
$.ajaxSetup({ //设置全局性的Ajax选项
	type:"post",
	headers: {
		'Authorization': checkLogin()
	},
    complete: function(xhr, textStatus) {
    	if(xhr.status == 401){
    		window.location.href = 'login.html?ak='+new Date().getTime();
    	}
    }
})

$(function() {
	/** 
	 * 对日期进行格式化， 
	 * @param date 要格式化的日期 
	 * @param format 进行格式化的模式字符串
	 *     支持的模式字母有： 
	 *     y:年, 
	 *     M:年中的月份(1-12), 
	 *     d:月份中的天(1-31), 
	 *     h:小时(0-23), 
	 *     m:分(0-59), 
	 *     s:秒(0-59), 
	 *     S:毫秒(0-999),
	 *     q:季度(1-4)
	 * @return String
	 * @author yanis.wang
	 * @see    http://yaniswang.com/frontend/2013/02/16/dateformat-performance/
	 */
	template.defaults.imports.dateFormat = function(date, format){
		if (typeof date === "string") {
	        var mts = date.match(/(\/Date\((\d+)\)\/)/);
	        if (mts && mts.length >= 3) {
	            date = parseInt(mts[2]);
	        }
	    }
	    date = new Date(date);
	    if (!date || date.toUTCString() == "Invalid Date") {
	        return "";
	    }

	    var map = {
	        "M": date.getMonth() + 1, //月份 
	        "d": date.getDate(), //日 
	        "h": date.getHours(), //小时 
	        "m": date.getMinutes(), //分 
	        "s": date.getSeconds(), //秒 
	        "q": Math.floor((date.getMonth() + 3) / 3), //季度 
	        "S": date.getMilliseconds() //毫秒 
	    };
	    

	    format = format.replace(/([yMdhmsqS])+/g, function(all, t){
	        var v = map[t];
	        if(v !== undefined){
	            if(all.length > 1){
	                v = '0' + v;
	                v = v.substr(v.length-2);
	            }
	            return v;
	        }
	        else if(t === 'y'){
	            return (date.getFullYear() + '').substr(4 - all.length);
	        }
	        return all;
	    });
	    return format;
	};
	
	template.defaults.imports.toLowerCase = function(data) {
		return data.toLowerCase();
	}
	
	template.defaults.imports.substring = function(data,start,end) {
		return data.substring(start,end);
	}

});

// 验证登录
function checkLogin(){
	var token = localStorage.getItem('token');
	/*if(!token || token == "undefined" || typeof(token) == "undefined"){
		window.location.href = 'login.html?ak='+new Date().getTime();
	}*/
	return token;
}

//获取url中的参数
function getUrlParam(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)"); //构造一个含有目标参数的正则表达式对象
    var u = window.location.search.substr(1);
    //if(u == ''){
			var temp = window.location.hash.split('?');
			if(temp.length == 2){
				u = temp[1];
			}
    //}
    var r = u.match(reg);  //匹配目标参数
    if (r != null) return unescape(r[2]); return null; //返回参数值
}

// 发送验证码
function sendSmsCode(phone){
	var messageId = "";
	if(!phone){
		return messageId;
	}
	$.ajax({
    	async : false,
    	cache : false,
    	type : 'GET',
    	url : serverPath + "frontPage/passRegister/getVerificateCode",
    	data : {
    		"phone":phone
    	},
    	success : function(data) {
    		if("0"==data.state){
    			messageId = data.result.msg;
    		}		
    	}
    }); 
	return messageId;
}

/// url参数替换值
/// <param name="url">目标url </param>
/// <param name="arg">需要替换的参数名称</param>
///<param name="arg_val">替换后的参数的值</param>
/// <returns>参数替换后的url </returns>
function changeURLArg(url, arg, arg_val) {
    var pattern = arg + '=([^&]*)';
    var replaceText = arg + '=' + arg_val;
    if (url.match(pattern)) {
        var tmp = '/(' + arg + '=)([^&]*)/gi';
        tmp = url.replace(eval(tmp), replaceText);
        return tmp;
    } else {
        if (url.match('[\?]')) {
            return url + '&' + replaceText;
        } else {
            return url + '?' + replaceText;
        }
    }
    return url + '\n' + arg + '\n' + arg_val;
}

