/*! Andrew.Mobile.Plugin by jQuery MobileWebApp Script v3.9.2 --- Copyright Andrew.Kim | (c) 20170808 ~ 20180307 andrew.mobile.plugin.js license */
/*! Coding by Andrew.Kim (E-mail: andrewkim365@qq.com) */

if ("undefined" == typeof jQuery) throw new Error("Andrew Mobile Plugin's JavaScript requires jQuery");
jQuery.easing['jswing'] = jQuery.easing['swing'];
jQuery.extend(jQuery.easing, {
    def: 'easeOutQuad',
    swing: function (x, t, b, c, d) {
        //alert(jQuery.easing.default);
        return jQuery.easing[jQuery.easing.def](x, t, b, c, d);
    },
    easeInQuad: function (x, t, b, c, d) {
        return c*(t/=d)*t + b;
    },
    easeOutQuad: function (x, t, b, c, d) {
        return -c *(t/=d)*(t-2) + b;
    },
    easeInOutQuad: function (x, t, b, c, d) {
        if ((t/=d/2) < 1) return c/2*t*t + b;
        return -c/2 * ((--t)*(t-2) - 1) + b;
    },
    easeInCubic: function (x, t, b, c, d) {
        return c*(t/=d)*t*t + b;
    },
    easeOutCubic: function (x, t, b, c, d) {
        return c*((t=t/d-1)*t*t + 1) + b;
    },
    easeInOutCubic: function (x, t, b, c, d) {
        if ((t/=d/2) < 1) return c/2*t*t*t + b;
        return c/2*((t-=2)*t*t + 2) + b;
    },
    easeInQuart: function (x, t, b, c, d) {
        return c*(t/=d)*t*t*t + b;
    },
    easeOutQuart: function (x, t, b, c, d) {
        return -c * ((t=t/d-1)*t*t*t - 1) + b;
    },
    easeInOutQuart: function (x, t, b, c, d) {
        if ((t/=d/2) < 1) return c/2*t*t*t*t + b;
        return -c/2 * ((t-=2)*t*t*t - 2) + b;
    },
    easeInQuint: function (x, t, b, c, d) {
        return c*(t/=d)*t*t*t*t + b;
    },
    easeOutQuint: function (x, t, b, c, d) {
        return c*((t=t/d-1)*t*t*t*t + 1) + b;
    },
    easeInOutQuint: function (x, t, b, c, d) {
        if ((t/=d/2) < 1) return c/2*t*t*t*t*t + b;
        return c/2*((t-=2)*t*t*t*t + 2) + b;
    },
    easeInSine: function (x, t, b, c, d) {
        return -c * Math.cos(t/d * (Math.PI/2)) + c + b;
    },
    easeOutSine: function (x, t, b, c, d) {
        return c * Math.sin(t/d * (Math.PI/2)) + b;
    },
    easeInOutSine: function (x, t, b, c, d) {
        return -c/2 * (Math.cos(Math.PI*t/d) - 1) + b;
    },
    easeInExpo: function (x, t, b, c, d) {
        return (t==0) ? b : c * Math.pow(2, 10 * (t/d - 1)) + b;
    },
    easeOutExpo: function (x, t, b, c, d) {
        return (t==d) ? b+c : c * (-Math.pow(2, -10 * t/d) + 1) + b;
    },
    easeInOutExpo: function (x, t, b, c, d) {
        if (t==0) return b;
        if (t==d) return b+c;
        if ((t/=d/2) < 1) return c/2 * Math.pow(2, 10 * (t - 1)) + b;
        return c/2 * (-Math.pow(2, -10 * --t) + 2) + b;
    },
    easeInCirc: function (x, t, b, c, d) {
        return -c * (Math.sqrt(1 - (t/=d)*t) - 1) + b;
    },
    easeOutCirc: function (x, t, b, c, d) {
        return c * Math.sqrt(1 - (t=t/d-1)*t) + b;
    },
    easeInOutCirc: function (x, t, b, c, d) {
        if ((t/=d/2) < 1) return -c/2 * (Math.sqrt(1 - t*t) - 1) + b;
        return c/2 * (Math.sqrt(1 - (t-=2)*t) + 1) + b;
    },
    easeInElastic: function (x, t, b, c, d) {
        var s=1.70158;var p=0;var a=c;
        if (t==0) return b;  if ((t/=d)==1) return b+c;  if (!p) p=d*.3;
        if (a < Math.abs(c)) { a=c; var s=p/4; }
        else var s = p/(2*Math.PI) * Math.asin (c/a);
        return -(a*Math.pow(2,10*(t-=1)) * Math.sin( (t*d-s)*(2*Math.PI)/p )) + b;
    },
    easeOutElastic: function (x, t, b, c, d) {
        var s=1.70158;var p=0;var a=c;
        if (t==0) return b;  if ((t/=d)==1) return b+c;  if (!p) p=d*.3;
        if (a < Math.abs(c)) { a=c; var s=p/4; }
        else var s = p/(2*Math.PI) * Math.asin (c/a);
        return a*Math.pow(2,-10*t) * Math.sin( (t*d-s)*(2*Math.PI)/p ) + c + b;
    },
    easeInOutElastic: function (x, t, b, c, d) {
        var s=1.70158;var p=0;var a=c;
        if (t==0) return b;  if ((t/=d/2)==2) return b+c;  if (!p) p=d*(.3*1.5);
        if (a < Math.abs(c)) { a=c; var s=p/4; }
        else var s = p/(2*Math.PI) * Math.asin (c/a);
        if (t < 1) return -.5*(a*Math.pow(2,10*(t-=1)) * Math.sin( (t*d-s)*(2*Math.PI)/p )) + b;
        return a*Math.pow(2,-10*(t-=1)) * Math.sin( (t*d-s)*(2*Math.PI)/p )*.5 + c + b;
    },
    easeInBack: function (x, t, b, c, d, s) {
        if (s == undefined) s = 1.70158;
        return c*(t/=d)*t*((s+1)*t - s) + b;
    },
    easeOutBack: function (x, t, b, c, d, s) {
        if (s == undefined) s = 1.70158;
        return c*((t=t/d-1)*t*((s+1)*t + s) + 1) + b;
    },
    easeInOutBack: function (x, t, b, c, d, s) {
        if (s == undefined) s = 1.70158;
        if ((t/=d/2) < 1) return c/2*(t*t*(((s*=(1.525))+1)*t - s)) + b;
        return c/2*((t-=2)*t*(((s*=(1.525))+1)*t + s) + 2) + b;
    },
    easeInBounce: function (x, t, b, c, d) {
        return c - jQuery.easing.easeOutBounce (x, d-t, 0, c, d) + b;
    },
    easeOutBounce: function (x, t, b, c, d) {
        if ((t/=d) < (1/2.75)) {
            return c*(7.5625*t*t) + b;
        } else if (t < (2/2.75)) {
            return c*(7.5625*(t-=(1.5/2.75))*t + .75) + b;
        } else if (t < (2.5/2.75)) {
            return c*(7.5625*(t-=(2.25/2.75))*t + .9375) + b;
        } else {
            return c*(7.5625*(t-=(2.625/2.75))*t + .984375) + b;
        }
    },
    easeInOutBounce: function (x, t, b, c, d) {
        if (t < d/2) return jQuery.easing.easeInBounce (x, t*2, 0, c, d) * .5 + b;
        return jQuery.easing.easeOutBounce (x, t*2-d, 0, c, d) * .5 + c*.5 + b;
    }
});

/*-----------------------------------------------Andrew_Config------------------------------------------*/
function Andrew_Config(setting){
    var option = $.extend({
            MaskStyle: [],
            touchstart: true,
            ButtonLink: true,
            fixedBar: true,
            WechatHeader: false,
            Orientation: true,
            Prompt: "",
            Topdblclick: true
        },
        setting);
    Andrew_sUserAgent();
    if(option.MaskStyle) {
        $("body").addClass("ak-mask_" + option.MaskStyle[0]+" ak-mask_"+option.MaskStyle[1]);
    }
    if(option.Topdblclick== true) {
        $("header h1").bind("touchstart", function() {
            $('main').animate({scrollTop:0},500);//让页面回头顶部
            return false;
        });
        $("header h1").bind("dblclick", function() {
            $('main').animate({scrollTop:0},500);//让页面回头顶部
            return false;
        });
    }
    if(option.Orientation== true) {
        window.addEventListener("onorientationchange" in window ? "orientationchange" : "resize", function() {
            if (window.orientation === 180 || window.orientation === 0) {//竖屏时 portrait
                $(".ak-landscape").remove();
                $("main").addClass("scrolling");
            }
            if (window.orientation === 90 || window.orientation === -90 ){//横屏时 landscape
                $("input").blur();
                $("textarea").blur();
                $("body").append("<div class=\"ak-landscape\">"+option.Prompt+"</div>");
                $("main").removeClass("scrolling");
            }
        }, false);
    }
    if(option.touchstart== true) {
        document.body.addEventListener('touchstart', function () {
        }); //解决IOS系统不支持active样式的问题
        $("main").addClass("scrolling");
    } else {
        $("*").removeClass("touchstart");
    }
    if(option.WechatHeader== true) {
        if(IsWechat) {
            $("header").hide().remove();
            $("main").css({
                "height": "auto",
                "position": "relative",
                "margin-top": 0
            });
            if ($("footer").hasClass("dis_none_im")) {
                $("main").css({
                    "padding-bottom": 0
                });
            } else {
                $("main").css({
                    "padding-bottom": $("footer").outerHeight()
                });
            }
        } else {
            Andrew_mainHeight();
        }
    } else {
        Andrew_mainHeight();
    }
    if(option.fixedBar== true) {
        //头部和输入框定位
        Andrew_InputFocus();
    }
    if(option.ButtonLink== true) {
        Andrew_HashSharp(false);
    } else {
        $("*").removeAttr("data-href");
    }
}

/*-----------------------------------------------Andrew_Router------------------------------------------*/
function Andrew_Router(setting){
    var option = $.extend({
            Router: false,
            tailClass: "",
            success:function () {
            },
            error:function () {
            },
            changePage:function () {
            }
        },
        setting);
    function ak_router() {
        if ($("footer").find("dfn").length == 0) {
            $("footer").children().before("<dfn />");
            $("footer").children("dfn").addClass("dis_none_im");
        }
        if ($("ak-header").length > 0) {
            if ($("ak-header").attr("data-display") == "false") {
                $("header").addClass("dis_none_im");
            } else {
                if ($("ak-header").children().length > 0) {
                    $("header").html($("ak-header").children().clone());
                }
                $("header").removeClass("dis_none_im");
            }
            $("ak-header").remove();
        } else {
            $("header").addClass("dis_none_im");
        }
        if ($("ak-footer").length > 0) {
            if ($("ak-footer").attr("data-display") == "false") {
                $("footer").addClass("dis_none_im");
            } else {
                if ($("ak-footer").children().length > 0) {
                    $("footer").children("dfn").html($("ak-footer").children().clone());
                    $("footer").children("dfn").removeClass("dis_none_im");
                } else {
                    $("footer").children("dfn").addClass("dis_none_im");
                }
                $("footer").removeClass("dis_none_im");
            }
            $("ak-footer").remove();
        } else {
            $("footer").children("dfn").addClass("dis_none_im");
            $("footer").addClass("dis_none_im");
        }
        Andrew_RouterResize(option);
        Andrew_HashSharp(true);
    }
    if(option.Router== true) {
        $(window).each(function () {
            if (location.hash.substring(1) != "") {
                htmlobj = $.ajax({
                    url: location.hash.substring(1),
                    async: false,
                    success:function () {
                        hash = location.hash.substring(1);
                        option.success(hash);
                        $("main").show();
                    },
                    error:function () {
                        hash = location.hash.substring(1);
                        option.error(hash);
                        $("main").hide();
                    }
                });
                $("main").html(htmlobj.responseText);
                ak_router();
                Andrew_InputFocus();
            }
            $(window).resize(function(){
                Andrew_RouterResize(option);
                Andrew_InputFocus();
            });
            option.changePage(location.hash.substring(1));
        });
        $(window).bind('hashchange', function () {

            //因跳完页面后有缓存，再次需要控制底部区域被隐藏后的问题
            var ak_menu_btn = $("footer").children("menu").find("button");
            ak_menu_btn.each(function () {
                if (location.hash == $(this).attr("data-href") || location.hash.substring(1) == $(this).attr("data-href")) {
                    $("footer").removeClass("dis_none_im");
                }
            });
            if (location.hash.substring(1) != "") {
                htmlobj = $.ajax({
                    url: location.hash.substring(1),
                    async: false,
                    success:function () {
                        hash = location.hash.substring(1);
                        option.success(hash);
                        $("main").show();
                        Andrew_InputFocus();
                    },
                    error:function () {
                        hash = location.hash.substring(1);
                        option.error(hash);
                        $("main").hide();
                    }
                });
                $("main").html(htmlobj.responseText);
                ak_router();
                Andrew_InputFocus();
                $('main').animate({"scrollTop":0},100);
                $('body').children("div").remove();
                $('body').find(".ak-mask").remove();
            } else {
                window.location.reload();
            }
            option.changePage(location.hash.substring(1));
        });
    }
}

/*-----------------------------------------------Andrew_Menu--------------------------------------------*/
function Andrew_Menu(setting){
    var option = $.extend({
            active_color: "",
            menu_icon: new Array(),
            menu_icon_active: new Array()
        },
        setting);
    var ak_menu = $("footer").find("menu");
    var ak_menu_btn = $("footer").find("menu").find("button");
    if (ak_menu_btn.length > 5) {
        ak_menu_btn.last().remove();
        ak_menu.addClass("length5");
    } else {
        ak_menu.addClass("length"+ak_menu_btn.length);
    }
    ak_menu_btn.each(function () {
        var index = $(this).index();
        $(this).children().eq(0).addClass(option.menu_icon[index]);
        $(this).children().removeClass(option.active_color);
        if (location.hash == $(this).attr("data-href") || location.hash.substring(1).split("?")[0] == $(this).attr("data-href")) {
            ak_menu_btn.children().eq(1).removeClass(option.active_color);
            $(this).children().eq(0).removeClass(option.menu_icon[index]);
            $(this).children().eq(0).addClass(option.menu_icon_active[index]).addClass(option.active_color);
            $(this).children().eq(1).addClass(option.active_color);
        } else if (location.hash.substring(1).split("?ak")[0] == "") {
            ak_menu_btn.eq(0).children().eq(0).removeClass(option.menu_icon[0]).addClass(option.menu_icon_active[0]).addClass(option.active_color);
            ak_menu_btn.eq(0).children().eq(1).addClass(option.active_color);
        }
    });
}

/*-----------------------------------------------Andrew_sUserAgent------------------------------------------*/
function Andrew_sUserAgent() {
    var sUserAgent = navigator.userAgent.toLowerCase();
    IsIpad = sUserAgent.match(/ipad/i) == "ipad";
    IsIphone = sUserAgent.match(/iphone os/i) == "iphone os";
    IsAndroid = sUserAgent.match(/android/i) == "android";
    IsWechat = sUserAgent.match(/MicroMessenger/i)=="micromessenger";
    IsUc7 = sUserAgent.match(/rv:1.2.3.4/i) == "rv:1.2.3.4";
    IsUc = sUserAgent.match(/ucweb/i) == "ucweb";
    IsWM = sUserAgent.match(/windows mobile/i) == "windows mobile";
}

/*-----------------------------------------------Andrew_InputFocus--------------------------------------*/
function Andrew_InputFocus() {
    Andrew_sUserAgent();
    function getScrollTop(){
        //移动端失效fixed样式，所以需要实时的检测滚动条的变化
        var scrollTop=0;
        if(document.documentElement&&document.documentElement.scrollTop){
            scrollTop=document.documentElement.scrollTop;
        }else if(document.body){
            scrollTop=document.body.scrollTop;
        }
        return scrollTop;
    }
    function blurScrollTop(){
        if (IsIphone || IsIpad) {
            $("main").removeClass("pb_100");
            $("footer").removeClass("minus_bottom_100");
        } else if (IsAndroid) {
            $("footer").removeClass("dis_opa_0");
        }
        if ($("header").length > 0) {
            $("header").css({
                "margin-top": 0
            });
        }
        $("header").show();
    }
    function header_scrollIntoView(focus) {
        //应用的头部置顶到最上面
        if (IsIphone || IsIpad) {
            setTimeout(function () {
                $('main').animate({scrollTop:$('main').scrollTop()},100);
            }, 100);
            if ($("header").length > 0) {
                setTimeout(function () {
                    $("header").animate({
                        "margin-top": getScrollTop()-1
                    });
                }, 200);
                $("main").on({
                    touchmove: function() {
                        $("header").css({
                            "margin-top": 0
                        });
                    }
                });
            }
            $("main").addClass("pb_100");
            $("footer").addClass("minus_bottom_100");
        } else if (IsAndroid) {
            if ($("header").length > 0) {
                $("header").css({
                    "margin-top": 0
                });
            }
            setTimeout(function () {
                focus.scrollIntoViewIfNeeded();
            }, 100);
        }
    }

    //内容区域输入框定位
    $('main input[type="text"],main input[type="number"], main input[type="tel"], main input[type="email"]').on('focus', function() {
        var focus = this;
        header_scrollIntoView(focus);
    });
    $('main input[type="password"]').not('main input[type="password"][multiple]').on('focus', function() {
        var focus = this;
        header_scrollIntoView(focus);
    });
    $('main input[type="password"][multiple]').on('focus', function(em) {
        em.preventDefault();
        if ($("main").scrollTop() > 0) {
            $("header").hide();
        }
        $("footer").addClass("dis_opa_0");
    });
    $('main textarea').focus(function () {
        var focus = this;
        header_scrollIntoView(focus);
    });
    $('main input[type="text"],main input[type="number"], main input[type="tel"], main input[type="email"]').on('blur', function() {
        blurScrollTop();
    });
    $('main input[type="password"]').not('main input[type="password"][multiple]').on('blur', function() {
        blurScrollTop();
    });
    $('main input[type="password"][multiple]').on('blur', function() {
        blurScrollTop();
        $("footer").removeClass("dis_opa_0");
    });
    $('main textarea').on('blur', function() {
        blurScrollTop();
    });

    //底部区域输入框定位
    $("footer input").focus(function (ev) {
        ev.preventDefault();
        $("header").on({
            touchmove: function(e) {
                e.preventDefault();
                e.stopPropagation();
            }
        });
        $("footer").on({
            touchmove: function(e) {
                e.preventDefault();
                e.stopPropagation();
            }
        });
        if (IsIphone || IsIpad) {
            var focus = this;
            $("main").on({
                touchmove: function() {
                    document.activeElement.blur();//隐藏键盘
                    if ($("header").length > 0) {
                        $("header").css({
                            "margin-top": 0
                        });
                    }
                }
            });
            if ($("header").length > 0) {
                setTimeout(function () {
                    if ($("body").scrollTop() > 0) {
                        $("header").animate({
                            "margin-top": $("body").scrollTop() - ($("header").height()/3)
                        });
                    } else {
                        $("header").css({
                            "margin-top": 0
                        });
                    }
                }, 200);
            }
            if ($("footer").length > 0) {
                $("footer").css({
                    "margin-bottom": getScrollTop()
                });
            }
        }
    });
    $('footer input').on('blur', function() {
        if (IsIphone || IsIpad) {
            if ($("header").length > 0) {
                $("header").css({
                    "margin-top": 0
                });
            }
        }
    });
}

/*-----------------------------------------------Andrew_mainHeight--------------------------------------*/
function Andrew_mainHeight() {
    Andrew_sUserAgent();
    if ($("header").hasClass("dis_none_im") && !$("footer").hasClass("dis_none_im")) {
        $("main").css({
            "margin-top": 0,
            "margin-bottom": $("footer").outerHeight()
        });
        if (IsWechat && IsAndroid) {
            $("main").css({
                "height": "inherit"
            });
        } else {
            $("main").css({
                "height": $(window).height() - $("footer").outerHeight()
            });
        }
    }
    if (!$("header").hasClass("dis_none_im") && $("footer").hasClass("dis_none_im")) {
        $("main").css({
            "margin-top": $("header").outerHeight(),
            "margin-bottom": 0
        });
        if (IsWechat && IsAndroid) {
            $("main").css({
                "height": "inherit"
            });
        } else {
            $("main").css({
                "height": $(window).height() - $("header").outerHeight()
            });
        }
    }
    if ($("header").hasClass("dis_none_im") && $("footer").hasClass("dis_none_im")) {
        $("main").css({
            "margin-top": 0,
            "margin-bottom": 0
        });
        if (IsWechat && IsAndroid) {
            $("main").css({
                "height": "inherit"
            });
        } else {
            $("main").css({
                "height": $(window).height()
            });
        }
    }
    if (!$("header").hasClass("dis_none_im") && !$("footer").hasClass("dis_none_im")) {
        $("main").css({
            "margin-top": $("header").outerHeight(),
            "margin-bottom": $("footer").outerHeight()
        });
        if (IsWechat && IsAndroid) {
            $("main").css({
                "height": "inherit"
            });
        } else {
            $("main").css({
                "height": $(window).height() - ($("header").outerHeight() + $("footer").outerHeight())
            });
        }
    }
    $("main").css({
        "top": "0",
        "bottom": "0",
        "left": "0",
        "right": "0",
        "position": "relative"
    });
}

/*-----------------------------------------------Andrew_Ajax--------------------------------------------*/
function Andrew_Ajax(setting){
    var option = $.extend({
            to: "",
            type: "POST",
            url: "",
            data:{},
            async:false,
            success:function () {
            },
            error:function () {
            }
        },
        setting);
    htmlobj=$.ajax({
        type : option.type,
        url: option.url,
        timeout : 20000, //超时时间设置，单位毫秒
        data: option.data,
        async: option.async,
        success:function (result) {
            option.success(result);
            if($(option.to)){
                $(option.to).html(htmlobj.responseText);
            }
            Andrew_HashSharp(true);
        },
        error:function (error) {
            if($(option.to)){
                $(option.to).html(htmlobj.responseText);
            }
            option.error(error);
        }
    });
}

/*-----------------------------------------------Andrew_Loader------------------------------------------*/
function Andrew_Loader(setting){
  var option = $.extend({
      ele:"",
      autoMode: true,
      maskBG: true,
      iconColor:"#ffffff",
      timeToHide:0,
      Loader: ""
    },
    setting);
  var load_1 = '<div class="ak-loading ak-Loader1">' +
    '<div class="ak-Loader-double-bounce1" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-double-bounce2" style="background-color:'+option.iconColor+'"></div>' +
    '</div>';
  var load_2 = '<div class="ak-loading ak-Loader2">' +
    '<div class="ak-Loader-container ak-Loader-container1">' +
    '<div class="ak-Loader-circle1" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-circle2" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-circle3" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-circle4" style="background-color:'+option.iconColor+'"></div>' +
    '</div>' +
    '<div class="ak-Loader-container ak-Loader-container2">' +
    '<div class="ak-Loader-circle1" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-circle2" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-circle3" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-circle4" style="background-color:'+option.iconColor+'"></div>' +
    '</div>' +
    '<div class="ak-Loader-container ak-Loader-container3">' +
    '<div class="ak-Loader-circle1" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-circle2" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-circle3" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-circle4" style="background-color:'+option.iconColor+'"></div>' +
    '</div>' +
    '</div>';
  var load_3 = '<div class="ak-loading ak-Loader3">' +
    '<div class="ak-Loader-dot1" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-dot2" style="background-color:'+option.iconColor+'"></div>' +
    '</div>';
  var load_4 = '<div class="ak-loading ak-Loader4" style="background-color:'+option.iconColor+'"></div>';
  var load_5 = '<div class="ak-loading ak-Loader5">' +
    '<div class="ak-Loader-cube1" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-cube2" style="background-color:'+option.iconColor+'"></div>' +
    '</div>';
  var load_6 = '<div class="ak-loading ak-Loader6">' +
    '<div class="ak-Loader-rect1" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-rect2" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-rect3" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-rect4" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-rect5" style="background-color:'+option.iconColor+'"></div>' +
    '</div>';
  var load_7 = '<div class="ak-loading ak-Loader7">' +
    '<div class="ak-Loader-circ1" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-circ2" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-circ3" style="background-color:'+option.iconColor+'"></div>' +
    '<div class="ak-Loader-circ4" style="background-color:'+option.iconColor+'"></div>' +
    '</div>';
  setTimeout(function() {
    $(".ak-Loader").remove();
    if (option.ele) {
      $(option.ele).append("<div class='ak-Loader press abs top_0 left_0 w_100 h_100 zindex_22'></div>");
    } else {
      $("body").append("<div class='ak-Loader press fix top_0 left_0 w_100 h_100 zindex_22'></div>");
    }
    var load_ele = $(".ak-Loader");
    if (option.maskBG == true) {
      load_ele.addClass("ak-mask");
    }
    $("main").removeClass("scrolling");
    load_ele.each(function() {
      var op = option.Loader;
      switch (op) {
        case "load_1":
          load_ele.html(load_1);
          break;
        case "load_2":
          load_ele.html(load_2);
          break;
        case "load_3":
          load_ele.html(load_3);
          break;
        case "load_4":
          load_ele.html(load_4);
          break;
        case "load_5":
          load_ele.html(load_5);
          break;
        case "load_6":
          load_ele.html(load_6);
          break;
        case "load_7":
          load_ele.html(load_7);
          break;
      }
    });
    var loading = load_ele.find(".ak-loading");
    if (option.ele) {
      var ww = $(option.ele).width();
      var wh = $(option.ele).height();
    } else {
      var ww = $(window).width();
      var wh = $(window).height();
    }
    var lw = loading.outerWidth();
    var lh = loading.outerHeight();
    var yy = {
      position: "absolute",
      left: (ww / 2) - (lw / 2),
      top: (wh / 2) - (lh / 2)
    };
    loading.css(yy);
    if (option.autoMode) {
      setTimeout(function () {
        ak_closeLayer();
      }, option.timeToHide);
    }
    function ak_closeLayer() {
      $(load_ele).fadeOut();
      $("main").addClass("scrolling");
    }
  }, 100);
}

/*-----------------------------------------------Andrew_Popupwin----------------------------------------*/
function Andrew_Popupwin (setting){
    option = $.extend({
        dom: "",
        position: "",
        effectIn: "",
        effectOut: "",
        hasMask: true,
        closeBtn: "",
        OneButton: "",
        maskPosition: "",
        toggleIcon: "",
        callback :function () {},
        scrollback :function () {}
    },setting);

    if (option.dom) {
        $(option.dom).css({
            "position": "fixed",
            "z-index": parseInt(option.maskPosition)+1
        });
        setPopupStyle();
        $(window).resize(function(){
            setPopupStyle();
        });
    }

    if (option.position === 'offset') {
        var main_scroll = $("main").scrollTop() + $(option.dom).outerHeight();
        $("main").scroll(function(sc){
            var scrolltop = $(this).scrollTop();
            if(scrolltop < main_scroll) {
                if ($(option.OneButton).hasClass("ak-is_active")) {
                    ClickHideModal();
                    $(option.dom).removeClass("dis_none");
                } else {
                    $(option.dom).removeAttr("style");
                }
            } else if(scrolltop > main_scroll) {
                if ($(option.OneButton).hasClass("ak-is_active")) {
                    ClickHideModal();
                    $(option.dom).removeClass("dis_none");
                } else {
                    $(option.dom).removeAttr("style");
                }
            }
            option.scrollback($(option));
            sc.preventDefault();
        });
    }
    if (option.hasMask) {
        addModalMask();
        $("main").removeClass("scrolling");
    }

    if (option.maskPosition) {
        $('#popup_mask').css({
            "z-index": option.maskPosition
        });
        if (option.position === 'offset') {
            var otm = $(option.OneButton).offset().top;
            var ohm = $(option.OneButton).outerHeight();
            $('#popup_mask').css({
                "top": otm + ohm
            });
        }
    }
    if (option.OneButton) {
        $(option.closeBtn).unbind("click");
        $(option.closeBtn).on('click', function() {
            ClickHideModal();
        });

        $(option.OneButton).toggleClass("ak-is_active");
        if ($(option.OneButton).hasClass("ak-is_active")) {
            addModalMask();
            if (option.position === 'offset') {
                var oth = $(option.OneButton).offset().top + $(option.OneButton).outerHeight();
                $(option.dom).css({
                    "top": oth
                })
            }
            $(option.dom).removeClass("animated " + option.effectOut).addClass("animated " + option.effectIn).removeClass("dis_none");
            if (option.toggleIcon) {
                if (option.position != 'offset') {
                    $(option.OneButton).append("<i />");
                    $(option.OneButton).children("i").eq(0).hide();
                    $(option.OneButton).children("i").eq(1).addClass(option.toggleIcon);
                }
            }
            option.callback($(option));
        } else {
            ClickHideModal();
        }
    } else {
        $(option.dom).removeClass("animated " + option.effectOut).addClass("animated " + option.effectIn).removeClass("dis_none");
        addModalMask();
        option.callback($(option));
        $(option.closeBtn).unbind("click");
        $(option.closeBtn).on('click', function(ec) {
            ec.preventDefault();
            ClickHideModal();
        });
    }
    function addModalMask() {
        if ($("#popup_mask").length < 1) {
            $("main").append('<div id="popup_mask" class="ak-mask"></div>');
            $('#popup_mask').show();
        }
    }
    function setPopupStyle() {
        var ww = $(window).width();
        var wh = $(window).height();
        var dw = $(option.dom).outerWidth();
        var dh = $(option.dom).outerHeight();

        if (option.position === 'top') {
            $(option.dom).css({
                "left": (ww / 2) - (dw / 2),
                "top": 0
            });
        } else if (option.position === 'bottom') {
            $(option.dom).css({
                "left": (ww / 2) - (dw / 2),
                "bottom": 0
            });
        } else if (option.position === 'left') {
            $(option.dom).css({
                "left": 0,
                "top": 0
            });
        } else if (option.position === 'right') {
            $(option.dom).css({
                "right": 0,
                "top": 0
            });
        } else if (option.position === 'offset') {
            var ot = $(option.OneButton).offset().top;
            var oh = $(option.OneButton).outerHeight();
            $(option.dom).css({
                "left": 0,
                "top": ot + oh
            });
        } else { // middle
            $(option.dom).css({
                "left": (ww / 2) - (dw / 2),
                "top": (wh / 2) - (dh / 2)
            });
        }
    }
    function ClickHideModal(){
        if (option.OneButton) {
            $(option.dom).removeClass("animated " + option.effectIn).addClass("animated " + option.effectOut);
            $(option.OneButton).children("i").eq(0).show();
            $(option.OneButton).children("i").eq(1).remove();
            $(option.OneButton).removeClass(option.toggleIcon);
        } else {
            if (option.effectOut) {
                $(option.dom).removeClass("animated " + option.effectIn).addClass("animated " + option.effectOut);
            }
        }
        setTimeout(function() {
            $("main").addClass("scrolling");
            $(option.OneButton).removeClass("ak-is_active");
            $('#popup_mask').fadeOut().remove();
            $(option.dom).addClass("dis_none").removeAttr("style");
        },700);
    }
}

/*-----------------------------------------------Andrew_CountDown---------------------------------------*/
function Andrew_CountDown(ele,setting){
    var option = $.extend({
            wait: 10,
            Start_text: "",
            End_Text: "",
            callback:function(){
            }
        },
        setting);
    var waits = option.wait;
    if (waits == 0) {
        ele.removeAttr("disabled");
        ele.html(option.End_Text);
        waits = option.wait;
        option.callback(waits);
    }
    else {
        ele.attr("disabled", "disabled");
        ele.html(waits + option.Start_text);
        waits--;
        setTimeout(function() {
                Andrew_CountDown(ele,{
                    wait: waits,
                    Start_text: option.Start_text,
                    End_Text: option.End_Text,
                    callback:function(waits){
                        option.callback(waits);
                    }
                })
            },
            1000)
    }
}

/*-----------------------------------------------Andrew_HashSharp------------------------------------------*/
function Andrew_HashSharp(form) {
    $('*[data-href]').unbind("click");
    $('*[data-href]').click(function () {
        //移动端不适合使用a元素，通过button的data-href设置跳转界面
        var hash_sharp = new RegExp("#");
        var hash_script = new RegExp("javascript");
    	var question_mark =  new RegExp("\\?");
    	var akTime =  new RegExp("ak=");
        if (hash_sharp.test($(this).attr("data-href"))) {
        	//首先判断该URL是否包含“?”，若包含则在尾部追加随机串,否则更新随机串
        	if(question_mark.test($(this).attr("data-href"))){
        		if(akTime.test($(this).attr("data-href"))){
        			window.location.href=changeURLArg($(this).attr("data-href"),"ak",new Date().getTime());
        		}else{
        	 		window.location.href=$(this).attr("data-href") + '&ak=' + new Date().getTime();
        		}
        	}else{
        			window.location.href=$(this).attr("data-href") + '?ak=' + new Date().getTime();
        	}
        } else if (hash_script.test($(this).attr("data-href"))){
            location.replace($(this).attr("data-href"));
        } else {
        	//首先判断该URL是否包含“?”，若包含则在尾部追加随机串,否则更新随机串
        	if(question_mark.test($(this).attr("data-href"))){
        		if(akTime.test($(this).attr("data-href"))){
        			window.location.href=changeURLArg("#"+$(this).attr("data-href"),"ak",new Date().getTime());
        		}else{
        	 		window.location.href="#"+$(this).attr("data-href") + '&ak=' + new Date().getTime();
        		}
        	}else{
        		window.location.href="#"+$(this).attr("data-href") + '?ak=' + new Date().getTime();
        	}
        }
    });
    if (form == true) {
        $('form[action]').each(function () {
            //移动端不适合使用a元素，通过button的data-href设置跳转界面
            var hash_sharp = new RegExp("#");
            if (!hash_sharp.test($(this).attr("action"))) {
                $(this).attr("action", "#" + $(this).attr("action")+'?ak='+new Date().getTime());
            }
        });
    }
    function changeURLArg(url, arg, arg_val) {
        var pattern = arg + '=([^&]*)';
        var replaceText = arg + '=' + arg_val;
        if (url.match(pattern)) {
            var tmp = '/(' + arg + '=)([^&]*)/gi';
            tmp = url.replace(eval(tmp), replaceText);
            return tmp;
        } else {
            if (url.match('[\?]')) {
                return url + '&' + replaceText;
            } else {
                return url + '?' + replaceText;
            }
        }
        return url + '\n' + arg + '\n' + arg_val;
    }
    var hash_sharps = new RegExp("\\?#");
    if (hash_sharps.test(window.location.href)) {
        location.replace(window.location.href.replace("?#","#"));
    }
}

/*-----------------------------------------------Andrew_RouterResize------------------------------------------*/
function Andrew_RouterResize(option) {
    Andrew_sUserAgent();
    if ($(option.tailClass).length > 0) {
        $(option.tailClass).prev().css({
            "margin-bottom": $(option.tailClass).outerHeight() + $(option.tailClass).outerHeight()/2
        });
        $("footer").addClass("dis_opa_0");
        if(IsWechat) {
            $("body").removeClass("ovh");
            $("main").css({
                "padding-bottom": $(option.tailClass).outerHeight()
            });
            if ($("header").hasClass("dis_none_im")) {
                $("main").css({
                    "margin-top": 0
                });
            } else {
                $("main").css({
                    "margin-top": $("header").outerHeight()
                });
            }
        } else {
            $("body").addClass("ovh");
            $("main").css({
                "padding-bottom": $(option.tailClass).outerHeight()
            });
            if ($("header").hasClass("dis_none_im")) {
                $("main").css({
                    "margin-top": 0,
                    "height": $(window).height() - $(option.tailClass).outerHeight()
                });
            } else {
                $("main").css({
                    "margin-top": $("header").outerHeight(),
                    "height": $(window).height() - $("header").outerHeight() - $(option.tailClass).outerHeight()
                });
            }
        }
        $(option.tailClass).on({
            touchmove: function (e) {
                e.preventDefault();
                e.stopPropagation();
            }
        });
        if (IsIphone || IsIpad) {
            $('main input[type="text"],main input[type="number"], main input[type="tel"], main input[type="email"]').on('focus', function () {
                $(option.tailClass).addClass("dis_opa_0");
            });
            $('main input[type="password"]').not('main input[type="password"][multiple]').on('focus', function () {
                $(option.tailClass).addClass("dis_opa_0");
            });
            $('main input[type="password"][multiple]').on('focus', function () {
                $(option.tailClass).addClass("dis_opa_0");
            });
            $('main textarea').focus(function () {
                $(option.tailClass).addClass("dis_opa_0");
            });
            $('main input[type="text"],main input[type="number"], main input[type="tel"], main input[type="email"]').on('blur', function () {
                $(option.tailClass).removeClass("dis_opa_0");
            });
            $('main input[type="password"]').not('main input[type="password"][multiple]').on('blur', function () {
                $(option.tailClass).removeClass("dis_opa_0");
            });
            $('main input[type="password"][multiple]').on('blur', function () {
                $(option.tailClass).removeClass("dis_opa_0");
            });
            $('main textarea').on('blur', function () {
                $(option.tailClass).removeClass("dis_opa_0");
            });
        }
    } else {
        $("footer").removeClass("dis_opa_0");
        Andrew_mainHeight();
    }
}

/*-----------------------------------------------Andrew_WebToast-------------------------------------------*/
function webToast(){
    var dcfg = {
        msg: "",
        postion: "bottom",
        time: 1000
    };
    var Andrew_WebToast = ".ak-webtoast";
    var sub_Andrew_WebToast = Andrew_WebToast.substring(1,Andrew_WebToast.length);
    var len = arguments.length;
    var arg0 = arguments[0];
    if (arguments.length > 0) {
        dcfg.msg = arguments[0];
        dcfg.msg = arg0;

        var arg1 = arguments[1];
        var regx = /(bottom|top|middle)/i;
        var regy = /()/i;
        var numRegx = /[1-9]\d*/;
        if (regx.test(arg1)) {
            dcfg.postion = arg1;
        } else if (regy.test(arg1)) {
            dcfg.mask = arg1;
        } else if (numRegx.test(arg1)) {
            dcfg.time = arg1;
        }

        var arg2 = arguments[2];
        var numRegx = /[1-9]\d*/;
        if (numRegx.test(arg2)) {
            dcfg.time = arg2;
        }
        if (regy.test(arg2)) {
            dcfg.mask = arg2;
        }
    }
    if ("mask" == dcfg.mask) {
        var ret = "<div class='"+sub_Andrew_WebToast+" animated fadeIn'><div class='ak-mask'></div><h3>" + dcfg.msg + "</h3></div>";
    } else {
        var ret = "<div class='"+sub_Andrew_WebToast+" animated fadeIn'><h3>" + dcfg.msg + "</h3></div>";
    }
    if ($(Andrew_WebToast).length <= 0) {
        $("body").append(ret);
    } else {
        $(Andrew_WebToast).css("left", "");
        if ("mask" == dcfg.mask) {
            ret = "<div class='ak-mask'></div><h3>" + dcfg.msg + "</h3>";
        } else {
            ret = "<h3>" + dcfg.msg + "</h3>";
        }
        $(Andrew_WebToast).html(ret);
    }
    var w = $(Andrew_WebToast).width(),
        ww = $(window).width();
    $(Andrew_WebToast).fadeIn();
    $(Andrew_WebToast).css("left", (ww - w) / 2 - 20);
    if ("bottom" == dcfg.postion) {
        $(Andrew_WebToast).css("bottom", 50);
        $(Andrew_WebToast).css("top", "");
    } else if ("top" == dcfg.postion) {
        $(Andrew_WebToast).css("bottom", "");
        $(Andrew_WebToast).css("top", 50);
    } else if ("middle" == dcfg.postion) {
        $(Andrew_WebToast).css("bottom", "");
        $(Andrew_WebToast).css("top", "");
        var h = $(Andrew_WebToast).height(),
            hh = $(window).height();
        $(Andrew_WebToast).css("bottom", (hh - h) / 2 - 20);
    }
    setTimeout(function() {
            $(Andrew_WebToast).fadeOut().remove();
        },
        dcfg.time);
}

/*-----------------------------------------------Andrew_Textarea----------------------------------------*/
(function($){
    $.fn.Andrew_Textarea = function(setting) {
        var opm = $.extend({
                maxlength: 300,
                rows: 6,
                topButton: "",
                onTextVal: function() {},
                TopbtnOK: function() {}
            },
            setting);
        var txt =$(this);
        if (txt.length > 0) {
            txt.each(function(){ //input元素加maxlength属性后控制自定义字数
                $(this).after('<span class="dis_block_im ovh abs center text_al_r text_08em">' +
                    '<var class="text_08em" style="color: #f16a6a;">0</var>' +
                    '/' +
                    '<var class="text_08em mr_03em">'+opm.maxlength+'</var>' +
                    '</span>');
                $(this).next("span").css({
                    "width": $(this).width(),
                    "left": ($(window).width() - $(this).width()) /2
                });
                $(this).attr("rows",opm.rows).attr("maxlength",opm.maxlength);
                $(this).parent().css({
                    "padding-bottom": $(this).next("span").height() * 1.2+"px"
                })
            });
            var len = 0;
            txt.on("input propertychange",function(e){
                if( len >= opm.maxlength && e.keyCode == 8 ){
                    return;
                }else{
                    // 取出回车字符
                    var textareaVal = ($(this).val().replace(/<(.+?)>/gi,"&lt;$1&gt;")).replace(/\n/gi,"|");
                    // 回车数量
                    var entLen = textareaVal.split('|').length-1;
                    // 不包含回车的数量
                    var strLen = textareaVal.split('|').join('').length;
                    $(this).attr('maxlength',opm.maxlength+(entLen*2));
                    len = strLen;
                    if( len >= opm.maxlength ){
                        len = opm.maxlength;
                    }
                    $(this).next("span").children("var").eq(0).html(len);
                    var data = $(this).val();
                    opm.onTextVal(data);

                    if (opm.topButton !="") {
                        if(len>0 && len<=opm.maxlength){
                            $(this).parents("form").find(":submit").addClass("dis_none_im");
                            if ($("header").children("button.ak-txtbutton").length == 0) {
                                var btn_text = txt.parents("form").find(":submit").text();
                                $("header").append('<button type="button" class="ak-txtbutton press text_12em pr_3 text_al_r">'+btn_text+'</button>');
                                $("header").children("button.ak-txtbutton").addClass(opm.topButton);
                                $("header").children("button.ak-txtbutton").css({
                                    "position": "absolute",
                                    "right": "0",
                                    "z-index": "2"
                                });
                            }
                            $("header").children("button.ak-txtbutton").unbind("click");
                            $("header").children("button.ak-txtbutton").on("click",function(e) {
                                e.stopPropagation();
                                $("header").children("button.ak-txtbutton").show();
                                opm.TopbtnOK(data);
                            });
                        } else {
                            $(this).parents("form").find(":submit").removeClass("dis_none_im");
                            $("header").children("button.ak-txtbutton").remove();
                        }
                    }
                }
            });
        }
    };
}(jQuery));

/*-----------------------------------------------Andrew_ScrollFixed-------------------------------------*/
(function($){
    $.fn.Andrew_ScrollFixed = function(setting) {
        var option = $.extend({
                ScrollFixed: false,
                zPosition: "1",
                animated: "slideInDown ani_05s",
                top: 0
            },
            setting);
        var Scroll_ele = $(this);
        if (option.ScrollFixed == true) {
            scrollbar_fun();
            $(window).resize(function(){
                scrollbar_fun();
            });
            function scrollbar_fun() {
                Andrew_sUserAgent();
                if(IsWechat) {
                    var $scrollbar = $(window);
                } else {
                    if($("header").length != 0 && $("footer").length != 0) {
                        var $scrollbar = $("main");
                        var Scroll_ele_h = $("header").outerHeight();
                    } else {
                        var $scrollbar = $(window);
                        var Scroll_ele_h = 0;
                    }
                }
                if (Scroll_ele.length > 0) {
                    var Scroll_ele_offset = Scroll_ele.offset().top
                }
                $scrollbar.scroll(function(){
                    if ($("header").length > 0) {
                        var scrolltop= $(this).scrollTop() + $("header").outerHeight();
                    } else {
                        var scrolltop = $(this).scrollTop();
                    }
                    if(scrolltop > Scroll_ele_offset){
                        Scroll_ele.addClass("fix w_100 top_0 animated "+option.animated);
                        Scroll_ele.css({
                            "margin-top": Scroll_ele_h + option.top,
                            "z-index": option.zPosition
                        });
                        if ($("header").hasClass("dis_none_im")) {
                            Scroll_ele.css({
                                "margin-top": 0
                            });
                        }
                    } else{
                        Scroll_ele.removeClass("fix w_100 top_0 animated "+option.animated);
                        Scroll_ele.removeAttr("style");
                    }
                });
                $('input[type="text"], input[type="password"], input[type="number"], input[type="tel"], input[type="email"]').focus(function () {
                    if (Scroll_ele.hasClass("fix")) {
                        Scroll_ele.addClass("dis_none");
                    }
                });
                $('input[type="text"], input[type="password"], input[type="number"], input[type="tel"], input[type="email"]').blur(function(){
                    Scroll_ele.removeClass("dis_none");
                });
                $('textarea').focus(function(){
                    if (Scroll_ele.hasClass("fix")) {
                        Scroll_ele.addClass("dis_none");
                    }
                });
                $('textarea').blur(function(){
                    Scroll_ele.removeClass("dis_none");
                });
            }
        }
    };
}(jQuery));

/*-----------------------------------------------Andrew_Dialog------------------------------------------*/
(function($){
    var m = {};
    var g = {};
    m.opening = false;
    m._options = {
        title: false,
        animateIn : "bounceInDown",
        animateOut : "bounceOutUp",
        onSubmit : false,
        onCancel : false,
        required: false,
        icon: false,
        inputbox: false,
        inputType: "",
        inputClass: "",
        placeholder:"",
        button_ok: "OK",
        button_cancel: "CANCEL"
    };

    m.tplBase = "<div class=\"ak-dialog\">";
    m.tplBase += "<div class=\"ak-dialog_container\">";
    m.tplBase += "{{header}}";
    m.tplBase += "<div class=\"ak-dialog_content\"><p>{{message}}</p>{{input}}</div>";
    m.tplBase += "<div class=\"ak-dialog_footer\">{{button_cancel}} <button type=\"button\" class=\"jq_btn bg_white button_ok c_title\">{{btn_ok}}</button></div>";
    m.tplBase += "</div>";
    m.tplBase += "</div>";

    m.tplHeader = "<div class=\"ak-dialog_header bor_bottom_dashed bor_gray_ddd {{icon}}\"><h3 class=\"ml_05em\">{{title}}</h3></div>";
    m.tplInput = "<div class=\"ak-dialog_field\">{{inputbox}}</div>";

    m.getTeplate = function(type, message, options){
        var t = m.tplBase;

        if( type !== 'alert' ){
            t = t.replace("{{button_cancel}}", "<button type=\"button\" class=\"jq_btn bg_white button_cancel bor_right bor_gray_ddd\">{{btn_cancel}}</button>");
        } else {
            t = t.replace("{{button_cancel}}", "");
        }
        if( type == 'prompt' ){
            t = t.replace("{{input}}", m.tplInput);
        } else {
            t = t.replace("{{input}}", "");
        }
        if( options.title ){
            t = t.replace("{{header}}", m.tplHeader.replace("{{title}}", options.title) );
        } else {
            t = t.replace("{{header}}", "");
        }
        if (options.inputbox == 'textarea') {
            t = t.replace("{{inputbox}}", "<textarea />");
        } else if (options.inputbox == 'input') {
            if (options.inputType) {
                t = t.replace("{{inputbox}}", "<input type='"+options.inputType+"' />");
            } else {
                t = t.replace("{{inputbox}}", "<input type='text' />");
            }
        }
        t = t.replace("{{icon}}", options.icon);
        t = t.replace("{{btn_ok}}", options.button_ok);
        t = t.replace("{{btn_cancel}}", options.button_cancel);
        t = t.replace("{{message}}", message );
        return t;
    };

    m.clear = function() {
        $('#alert_mask').length ? $('#alert_mask').remove() : '';
        $('.ak-dialog').length ? $('.ak-dialog').remove() : '';
    };

    m.Dialog = function() {
        var that = this;
        that.close = function() {
            $("main").addClass("scrolling");
            if (that.options.animateOut) {
                if (that.options.animateIn) {
                    that.container.find('.ak-dialog_container').removeClass(that.options.animateIn)
                }
                that.container.find('.ak-dialog_container').addClass('animated ' + that.options.animateOut);
                setTimeout(function() {
                        that.container.removeClass('is-active');
                        that.container.remove();
                        m.opening = false;
                        $('#alert_mask').remove();
                    },
                    800);
            } else {
                that.container.remove();
                m.opening = false;
                $('#alert_mask').remove();
            }
        };

        that.addEvents = function(){
            that.btnOk.unbind("click");
            that.btnOk.on("click", function(e){
                e.preventDefault();
                var res = false;
                if( that.field.length ){
                    if( that.options.required == true && !that.field.val().length ){
                        that.field.addClass('is-invalid');
                        return false;
                    } else {
                        that.field.removeClass('is-invalid');
                        res = that.field.val();
                    }
                } else {
                    res = true;
                }
                if( typeof that.options.onSubmit == 'function' ){
                    that.options.onSubmit(res);
                }
                that.close();
            });
            that.btnCancel.unbind("click");
            that.btnCancel.on("click", function(e){
                e.preventDefault();
                var res = false;
                if( that.field.length && that.field.val().length !== 0 ){
                    res = that.field.val();
                }
                if( typeof that.options.onCancel == 'function' ){
                    that.options.onCancel(res);
                }
                that.close();
            });
        };

        this.init = function(type, message, options, defaultValue){
            if (m.opening) {
                $('#alert_mask, .ak-dialog').remove();
            }
            m.clear();

            that.options = m.getOptions(options);
            $('body').append(m.getTeplate(type, message, that.options) + "<div id='alert_mask' class=\"ak-mask\"></div> ");
            that.container = $('body').find('.ak-dialog');
            $("main").removeClass("scrolling");
            that.btnOk = that.container.find('.button_ok');
            that.btnCancel = that.container.find('.button_cancel');

            if (options.inputbox == 'textarea') {
                that.field = that.container.find('textarea');
            } else {
                that.field = that.container.find('input');
            }
            if (options.placeholder) {
                that.field.attr("placeholder", options.placeholder);
                var placeholder_tmps ="";
                that.field.focus(function() {
                    placeholder_tmps = $(this).attr("placeholder");
                    if ($(this)[0].type !="search") {
                        $(this).removeAttr('placeholder');
                    }
                    $(this).blur(function() {
                        $(this).attr("placeholder",placeholder_tmps);
                    });
                });
            }
            that.field.parents('.ak-dialog_content').children("p").addClass("ak-input_title");
            that.field.addClass(options.inputClass);
            if( defaultValue && that.field.length ){
                that.field.val(defaultValue);
            }
            that.container.addClass('ak-is_active').css({
                "top": ($(window).height() / 2) - (that.container.height() / 2)
            });
            if( that.options.animateIn ){
                that.container.find('.ak-dialog_container').addClass('animated '+that.options.animateIn);
            }
            m.opening = true;

            that.addEvents();
        };
    };

    m.getOptions = function(options){
        var o = $.extend({}, m._options);
        if( typeof options == 'object' ){
            $.each(options, function(key, val){
                o[key] !== undefined ? o[key] = val : console.error("The option \""+key+"\" not exist.");
            });
        }
        return o;
    };

    //global functions
    var isIE = function () {
        var U = navigator.userAgent,
            IsIE = U.indexOf('MSIE') > -1,
            a = IsIE ? /\d+/.exec(U.split(';')[1]) : 'no ie';return a <= 8;
    }();
    if(!isIE){
        alert = function (message, userOptions) {
            var message = message || "";
            var userOptions = userOptions || {};
            var dialog = new m.Dialog;
            dialog.init('alert', message, userOptions);
        };
        confirm = function (message, userOptions) {
            var message = message || "";
            var userOptions = userOptions || {};
            var dialog = new m.Dialog;
            dialog.init('confirm', message, userOptions);
        };
        prompt = function (message, defaultValue, userOptions) {
            var message = message || "";
            var userOptions = userOptions || {};
            var dialog = new m.Dialog;
            dialog.init('prompt', message, userOptions, defaultValue);
        };
    }
    g.alert = function(message, userOptions){ //解决微信不支持问题
        var message = message || "";
        var userOptions = userOptions || {};
        var dialog = new m.Dialog;
        dialog.init('alert', message, userOptions);
    };
    g.confirm = function(message, userOptions){ //解决微信不支持问题
        var message = message || "";
        var userOptions = userOptions || {};
        var dialog = new m.Dialog;
        dialog.init('confirm', message, userOptions);
    };
    g.prompt = function(message, defaultValue, userOptions){ //解决微信不支持问题
        var message = message || "";
        var userOptions = userOptions || {};
        var dialog = new m.Dialog;
        dialog.init('prompt', message, userOptions, defaultValue);
    };
    g.config = function(options){
        if( typeof options !== 'object' ){ return false; }
        $.each(options, function(key, val){
            m._options[key] !== undefined ? m._options[key] = val : console.error("The option \""+key+"\" not exist.");
        });
    };
    $ak = g;
}(jQuery));

/*-----------------------------------------------Andrew_Slider------------------------------------------*/
(function($){
    var Andrew_Slider = function(ele, opt) {
        var self = this;
        self.$element = ele,
            self.defaults = {
                start: 1,
                speed: 500,
                interval: 5000,
                autoPlay: false,
                dotShow: true,
                arrShow: true,
                dotClass:"",
                arrClass:"",
                ActiveClass: "bg_title",
                afterSlider: function() {}
            },
            self.clickable = true,
            self.options = $.extend({},
                self.defaults, opt)
    };
    Andrew_Slider.prototype = {
        init: function() {
            var self = this,
                ele = self.$element;
            var sliderInder = ele.children("ul");
            var SliderLi = sliderInder.children("li");
            var SliderSize = SliderLi.length;
            var index = self.options.start;
            var touchStartY = 0,
                touchStartX = 0;
            if (self.options.arrShow) {
                var arrElement = '<button type="button" class="ak-arr_prev">&lt;</button><button type="button" class="ak-arr_next">&gt;</button>';
                ele.append(arrElement);
                ele.find("button").addClass(self.options.arrClass);
                ele.find("button.ak-arr_prev").css({
                    "left": ele.find("button.ak-arr_prev").outerWidth()/2
                });
                ele.find("button.ak-arr_next").css({
                    "right": ele.find("button.ak-arr_next").outerWidth()/2
                });
            }
            for (i = 1; i <= SliderSize; i++) {
                if (index == i) {
                    SliderLi.eq(index - 1).addClass("dis_block_im")
                }
            }
            if (self.options.dotShow) {
                var dot = "";
                for (i = 1; i <= SliderSize; i++) {
                    if (index == i) {
                        dot += '<li data-index="' + i + '" class="'+self.options.ActiveClass+'"></li>'
                    } else {
                        dot += '<li data-index="' + i + '"></li>'
                    }
                }
                var dotElement = '<ol>' + dot + "</ol>";
                ele.append(dotElement);
            }
            var resize = function() {
                ele.addClass("ak-Slider");
                if (self.options.arrShow) {
                    var arrOffset = (ele.outerHeight() - ele.find("button").outerHeight()) / 2;
                    ele.find("button").css("top", arrOffset + "px");
                }
                if (self.options.dotShow) {
                    var dots = ele.children("ol");
                    dots.find("li").addClass(self.options.dotClass);
                    var dotWidth = (SliderSize+1) * dots.find("li").eq(0).outerWidth();
                    var dotOffset = (ele.outerWidth() - dotWidth) / 2;
                    dots.css({
                        "left": dotOffset + "px"
                    });
                }
            };
            resize();
            $(window).resize(function() {
                resize()
            });
            if (self.options.arrShow) {
                ele.find(".ak-arr_next").unbind("click");
                ele.find(".ak-arr_next").on("click",
                    function(event) {
                        event.preventDefault();
                        if (self.clickable) {
                            if (index >= SliderSize) {
                                index = 1
                            } else {
                                index += 1
                            }
                            self.moveTo(index, "ak-arr_next")
                        }
                    });
                ele.find(".ak-arr_prev").unbind("click");
                ele.find(".ak-arr_prev").on("click",
                    function(event) {
                        event.preventDefault();
                        if (self.clickable) {
                            if (index == 1) {
                                index = SliderSize
                            } else {
                                index -= 1
                            }
                            self.moveTo(index, "ak-arr_prev")
                        }
                    })
            }
            if (self.options.dotShow) {
                ele.find("ol li").unbind("click");
                ele.find("ol li").on("click",
                    function(event) {
                        event.preventDefault();
                        if (self.clickable) {
                            var dotIndex = $(this).data("index");
                            if (dotIndex > index) {
                                dir = "ak-arr_next"
                            } else {
                                dir = "ak-arr_prev"
                            }
                            if (dotIndex != index) {
                                index = dotIndex;
                                self.moveTo(index, dir)
                            }
                        }
                    })
            }
            if (self.options.autoPlay) {
                var timer;
                var play = function() {
                    index++;
                    if (index > SliderSize) {
                        index = 1
                    }
                    self.moveTo(index, "ak-arr_next")
                };
                timer = setInterval(play, self.options.interval);
                ele.hover(function() {
                        timer = clearInterval(timer)
                    },
                    function() {
                        timer = setInterval(play, self.options.interval)
                    })
            }
            SliderLi.on({
                touchstart: function(e) {
                    touchStartY = e.originalEvent.touches[0].clientY;
                    touchStartX = e.originalEvent.touches[0].clientX;
                },
                touchend: function(e) {
                    var touchEndY = e.originalEvent.changedTouches[0].clientY,
                        touchEndX = e.originalEvent.changedTouches[0].clientX,
                        yDiff = touchStartY - touchEndY,
                        xDiff = touchStartX - touchEndX;
                    if (Math.abs(xDiff) > Math.abs(yDiff)) {
                        if (xDiff > 5) {
                            if (index >= SliderSize) {
                                index = 1
                            } else {
                                index += 1
                            }
                            self.moveTo(index, "ak-arr_next");
                        } else {
                            if (index == 1) {
                                index = SliderSize
                            } else {
                                index -= 1
                            }
                            self.moveTo(index, "ak-arr_prev");
                        }
                    }
                    touchStartY = null;
                    touchStartX = null
                },
                touchmove: function(e) {
                    var touchEndY = e.originalEvent.changedTouches[0].clientY,
                        touchEndX = e.originalEvent.changedTouches[0].clientX,
                        yDiff = touchStartY - touchEndY,
                        xDiff = touchStartX - touchEndX;
                    if (Math.abs(xDiff) > Math.abs(yDiff)) {
                        e.preventDefault()
                    }
                },
                mousedown: function(e) {
                    touchStartY = e.originalEvent.clientY;
                    touchStartX = e.originalEvent.clientX;
                },
                mouseup: function(e) {
                    var touchEndY = e.originalEvent.screenY,
                        touchEndX = e.originalEvent.screenX,
                        yDiff = touchStartY - touchEndY,
                        xDiff = touchStartX - touchEndX;
                    if (Math.abs(xDiff) > Math.abs(yDiff)) {
                        if (xDiff > 5) {
                            if (index >= SliderSize) {
                                index = 1
                            } else {
                                index += 1
                            }
                            self.moveTo(index, "ak-arr_next");
                        } else {
                            if (index == 1) {
                                index = SliderSize
                            } else {
                                index -= 1
                            }
                            self.moveTo(index, "ak-arr_prev");
                        }
                    }
                    touchStartY = null;
                    touchStartX = null
                },
                mousemove: function(e) {
                    e.preventDefault();
                }
            })
        },
        moveTo: function(index, dir) {
            var self = this,
                ele = self.$element;
            var clickable = self.clickable;
            var dots_li = ele.children("ol").find("li");
            var sliderInder = ele.children("ul");
            var SliderLi = sliderInder.children("li");
            if (clickable) {
                self.clickable = false;
                var offset = ele.width();
                if (dir == "ak-arr_prev") {
                    offset = -1 * offset
                }
                sliderInder.children(".dis_block_im").stop().animate({
                        left: -offset
                    },
                    self.options.speed,
                    function() {
                        $(this).removeClass("dis_block_im")
                    });
                SliderLi.eq(index - 1).css("left", offset + "px").addClass("dis_block_im").stop().animate({
                        left: 0
                    },
                    self.options.speed,
                    function() {
                        self.clickable = true
                    });
                self.options.afterSlider(index);
                dots_li.removeClass(self.options.ActiveClass);
                dots_li.eq(index - 1).addClass(self.options.ActiveClass);
            } else {
                return false
            }
        }
    };
    $.fn.Andrew_Slider = function(options) {
        var ak_Slider = new Andrew_Slider(this, options);
        return this.each(function() {
            ak_Slider.init()
        })
    }
}(jQuery));

/*-----------------------------------------------Andrew_Tabs--------------------------------------------*/
(function($){
    var Plugin = function(elem, options) {
        this.$wrapper = elem;
        this.$tab_list = this.$wrapper.children('nav').children('ul').children('li');
        this.$tabCont_art = this.$wrapper.children("article");
        this.$tabCont_wrap = this.$wrapper.children("article").children('div');
        this.$tab_cont = this.$tabCont_wrap.find('section');
        this.timer = null;
        this.playTimer = null;
        this.iNow = 0;
        this.defaults = {
            curDisplay: 1,
            touchmode: false,
            mouse: 'click',
            playDelay: 1000,
            boxheight: false,
            navlength: false,
            fullclass: 'bor_bottom2 bor_title c_title',
            emptyclass: 'bor_bottom bor_gray_ddd',
            changeMethod: 'default',
            autoPlay: false,
            callback: function() {}
        };
        this.opts = $.extend({},
            this.defaults, options);
    };
    Plugin.prototype = {
        inital: function() {
            var self = this;

            this.setData();
            this.tabInital();

            $(window).resize(function(){
                self.setData();
            });
            if (this.opts.mouse === 'click') {
                this.$tab_list.unbind("click");
                this.$tab_list.click(function() {
                    self.changeTab($(this).index());
                    self.iNow = $(this).index();
                });
            } else if (this.opts.mouse === 'hover') {
                this.$tab_list.hover(function() {
                        var cur_obj = this;

                        clearTimeout(self.timer);
                        self.timer = setTimeout(function() {
                            self.changeTab($(cur_obj).index());
                        }, 30);
                        self.iNow = $(this).index();
                    },
                    function() {
                        clearTimeout(self.timer);
                    });
            } else {
                this.$tab_list.unbind("click");
                this.$tab_list.click(function() {
                    self.changeTab($(this).index());
                    self.iNow = $(this).index();
                });
            }
            if (this.opts.autoPlay) {
                clearInterval(this.playTimer);
                this.playTimer = setInterval(function() {
                    self.autoPlay();
                }, this.opts.playDelay);

                this.$wrapper.hover(function() {
                        //clearInterval(self.playTimer); //鼠标滑动后自动播放将会停止
                    },
                    function() {
                        self.playTimer = setInterval(function() {
                            self.autoPlay();
                        }, this.opts.playDelay);
                    });
            }
            var tmp = this.opts.curDisplay;
            if (this.opts.touchmode) {
                this.$tab_cont.on({
                    touchstart: function (e) {
                        touchStartY = e.originalEvent.touches[0].clientY;
                        touchStartX = e.originalEvent.touches[0].clientX;
                    },
                    touchend: function (e) {
                        var touchEndY = e.originalEvent.changedTouches[0].clientY,
                            touchEndX = e.originalEvent.changedTouches[0].clientX,
                            yDiff = touchStartY - touchEndY,
                            xDiff = touchStartX - touchEndX,
                            tabsize = self.$tab_list.length;
                        if (Math.abs(xDiff) > Math.abs(yDiff)) {
                            if (xDiff > 5) {
                                ++tmp;
                                if (tmp > tabsize) {
                                    tmp = 1
                                }
                                //console.log("right==="+tmp)
                                self.$tab_list.eq(tmp - 1).click();
                            } else {
                                --tmp;
                                //console.log("tmp==="+tmp)
                                if (tmp == 0) {
                                    tmp = tabsize
                                }
                                ///console.log("left==="+tmp)
                                self.$tab_list.eq(tmp - 1).click();
                            }
                        }
                        touchStartY = null;
                        touchStartX = null
                    },
                    touchmove: function (e) {
                        var touchEndY = e.originalEvent.changedTouches[0].clientY,
                            touchEndX = e.originalEvent.changedTouches[0].clientX,
                            yDiff = touchStartY - touchEndY,
                            xDiff = touchStartX - touchEndX;
                        if (Math.abs(xDiff) > Math.abs(yDiff)) {
                            e.preventDefault()
                        }
                    },
                    mousedown: function (e) {
                        touchStartY = e.originalEvent.clientY;
                        touchStartX = e.originalEvent.clientX;
                    },
                    mouseup: function (e) {
                        var touchEndY = e.originalEvent.screenY,
                            touchEndX = e.originalEvent.screenX,
                            yDiff = touchStartY - touchEndY,
                            xDiff = touchStartX - touchEndX,
                            tabsize = self.$tab_list.length;
                        if (Math.abs(xDiff) > Math.abs(yDiff)) {
                            if (xDiff > 5) {
                                ++tmp;
                                if (tmp > tabsize) {
                                    tmp = 1
                                }
                                //console.log("right==="+tmp)
                                self.$tab_list.eq(tmp - 1).click();
                            } else {
                                --tmp;
                                //console.log("tmp==="+tmp)
                                if (tmp == 0) {
                                    tmp = tabsize
                                }
                                ///console.log("left==="+tmp)
                                self.$tab_list.eq(tmp - 1).click();
                            }
                        }
                        touchStartY = null;
                        touchStartX = null
                    },
                    mousemove: function (e) {
                        e.preventDefault();
                    }
                });
            }
        },
        setData: function() { // 设置样式
            if (this.$tab_list.length == this.opts.navlength) {
                this.$tab_list.removeClass("pl_1em pr_1em");
                this.$tab_list.parent("ul").removeClass("nav_line").addClass("nav_line_c");
                this.$tab_list.parent("ul").addClass("length" + this.$tab_list.length);
            }
            this.$tab_cont.css({
                "width": this.$tabCont_art.width()
            });
            if (this.opts.boxheight) {
                this.$tabCont_wrap.parent().css({
                    height: this.opts.boxheight
                });
                this.$tab_cont.css({
                    height: this.opts.boxheight
                });
            } else {
                this.$tabCont_wrap.parent().css({
                    "height": "auto"
                });
            }

            var tabCont_w = this.$tab_cont.width();
            var tabCont_h = this.$tab_cont.height();
            var tabCont_len = this.$tab_cont.length;

            switch (this.opts.changeMethod) {
                case 'default':
                    this.$tab_cont.css({
                        display: 'none'
                    });
                    break;
                case 'horizontal':
                    this.$tabCont_wrap.css({
                        width: tabCont_w * tabCont_len
                    });
                    this.$tab_cont.addClass("fl");
                    break;
                case 'vertical':
                    this.$tabCont_wrap.css({
                        height: tabCont_h * tabCont_len
                    });
                    break;
                case 'opacity':
                    this.$tab_cont.css({
                        display: 'none'
                    });
                    break;
                default:
                    this.$tab_cont.css({
                        display: 'none'
                    });
                    break;
            }
        },
        tabInital: function() { // 初始化当前显示
            var curNum = this.opts.curDisplay - 1;
            this.$tab_list.removeClass(this.opts.fullclass);
            this.$tab_list.eq(curNum).addClass(this.opts.fullclass);
            this.opts.callback(this.$tab_cont.eq(curNum));
            if (this.opts.changeMethod != 'vertical') {
                this.$tab_cont.css({
                    "height": "0",
                    "margin-bottom": "1%"
                });
                this.$tab_cont.eq(curNum).css({
                    "height": "auto"
                });
            } else {
                if (!this.opts.boxheight) {
                    this.$tabCont_wrap.parent().css({
                        height: this.$tab_cont.eq(curNum).outerHeight()
                    });
                }
            }
            if (this.opts.changeMethod === 'default' || this.opts.changeMethod === 'opacity') {
                this.$tab_cont.eq(curNum).css({
                    display: 'block'
                });
            } else if (this.opts.changeMethod === 'horizontal') {
                this.$tabCont_wrap.css({
                    left: -curNum * this.$tab_cont.width()
                });
            } else if (this.opts.changeMethod === 'vertical') {
                this.$tabCont_wrap.css({
                    top: -curNum * this.$tab_cont.height()
                });
            } else {
                this.$tab_cont.eq(curNum).css({
                    display: 'block'
                });
            }
            this.iNow = this.opts.curDisplay - 1;
        },
        changeTab: function(index) { // 选项卡切换
            //console.log(this.$tab_list.length)
            this.$tab_list.removeClass(this.opts.fullclass).addClass(this.opts.emptyclass).removeAttr("style");
            this.$tab_list.eq(index).removeClass(this.opts.emptyclass).addClass(this.opts.fullclass);
            this.opts.callback(this.$tab_cont.eq(index));
            if (this.opts.changeMethod != 'vertical') {
                var that = this;
                setTimeout(function () {
                    that.$tab_cont.css({
                        "height": "0"
                    });
                    that.$tab_cont.eq(index).css({
                        "height": "auto"
                    });
                }, 500);
                this.$tab_cont.eq(index).css({
                    "height": "auto"
                });
            }
            switch (this.opts.changeMethod) {
                case 'default':
                    this.$tab_cont.css({
                        display: 'none'
                    });
                    this.$tab_cont.eq(index).css({
                        display: 'block'
                    });
                    if (this.opts.boxheight) {
                        this.$tabCont_wrap.parent().css({
                            height: this.opts.boxheight
                        });
                        this.$tab_cont.stop().animate({
                            height: this.opts.boxheight
                        });
                    } else {
                        this.$tabCont_wrap.parent().stop().animate({
                            "height": "auto"
                        });
                    }
                    break;
                case 'horizontal':
                    this.$tabCont_wrap.stop().animate({
                        left: this.$tab_cont.width() * -index
                    });
                    if (this.opts.boxheight) {
                        this.$tabCont_wrap.parent().css({
                            height: this.opts.boxheight
                        });
                        this.$tab_cont.stop().animate({
                            height: this.opts.boxheight
                        });
                    } else {
                        this.$tabCont_wrap.parent().stop().animate({
                            "height": "auto"
                        });
                    }
                    break;
                case 'vertical':
                    this.$tabCont_wrap.stop().animate({
                        top: this.$tab_cont.height() * -index
                    });
                    if (this.opts.boxheight) {
                        this.$tabCont_wrap.parent().css({
                            height: this.opts.boxheight
                        });
                        this.$tab_cont.stop().animate({
                            height: this.opts.boxheight
                        });
                    } else {
                        this.$tabCont_wrap.parent().stop().animate({
                            "height": "auto"
                        });
                    }
                    break;
                case 'opacity':
                    this.$tab_cont.removeClass("rel").addClass("abs");
                    this.$tab_cont.eq(index).removeClass("abs").addClass("rel");
                    this.$tab_cont.stop().fadeOut();
                    this.$tab_cont.eq(index).stop().fadeIn();

                    if (this.opts.boxheight) {
                        this.$tabCont_wrap.parent().css({
                            height: this.opts.boxheight
                        });
                        this.$tab_cont.stop().animate({
                            height: this.opts.boxheight
                        });
                    } else {
                        this.$tabCont_wrap.parent().stop().animate({
                            "height": "auto"
                        });
                    }
                    break;
                default:
                    this.$tab_cont.css({
                        display: 'none'
                    });
                    this.$tab_cont.eq(index).css({
                        display: 'block'
                    });
                    if (this.opts.boxheight) {
                        this.$tabCont_wrap.parent().css({
                            height: this.opts.boxheight
                        });
                        this.$tab_cont.stop().animate({
                            height: this.opts.boxheight
                        });
                    } else {
                        this.$tabCont_wrap.parent().stop().animate({
                            "height": "auto"
                        });
                    }
                    break;
            }
        },
        autoPlay: function() { // 自动播放
            if (this.iNow === this.$tab_list.length - 1) {
                this.iNow = 0;
            } else {
                this.iNow++;
            }
            this.changeTab(this.iNow);
        },
        constructor: Plugin
    };
    $.fn.Andrew_Tabs = function(options) {
        var plugin = new Plugin(this, options);
        return plugin.inital();
    };
}(jQuery));

/*-----------------------------------------------Andrew_Form--------------------------------------------*/
(function($){
    $.fn.Andrew_Form = function(setting) {
        var option = $.extend({
                btn_delete: "",
                btn_delete_ico: "",
                btn_password: "",
                btn_password_ico_hide: "",
                btn_password_ico_show: "",
                placeholder: true,
                keyboard: true,
                passchek: "",
                passCallback: function() {},
                butCallback: function() {}
            },
            setting);
        var mbf = $(this);

        //对比两次输入的密码
        var password = mbf.find(option.passchek);
        mbf.find(":submit").addClass("mb_5");
        mbf.find(":submit").unbind("click");
        mbf.keyup(function (event) {
            event.preventDefault();
            var keycode = event.which;
            if (keycode == 13) {
                mbf.find(":submit").click();
            }
        });
        mbf.find(":submit").click(function () {
            if (option.passchek) {
                if(password.length > 1){
                    if (password[0].value != password[1].value){
                        if ($(this).parents("form").find(option.passchek).length > 0) {
                            option.passCallback();
                            return false;
                        }
                    }
                }
            }
            option.butCallback($(this).parents("form"));
        });
        //密码（显示/隐藏）
        var btn_password = mbf.find(option.btn_password);
        btn_password.each(function(){
            var pass_btn = $(this);
            if ($(this).next("button").length < 1) {
                $(this).after("<button type=\"button\" class=\"press top_0 right_0 abs text_al_r text_18em c_gray_ccc\"></button>");
                $(this).next("button").addClass(option.btn_password_ico_hide);
                $(this).next("button").css({
                    "height": pass_btn.outerHeight(),
                    "margin-left": pass_btn.width() - pass_btn.next("button").width()
                });
                $(window).resize(function(){
                    pass_btn.next("button").css({
                        "height": pass_btn.outerHeight(),
                        "margin-left": pass_btn.width() - pass_btn.next("button").width()
                    });
                });
            }
            $(this).next("button").unbind("click");
            $(this).next("button").click(function() {
                $(this).toggleClass(option.btn_password_ico_hide+" "+option.btn_password_ico_show);
                if ($(this).hasClass(option.btn_password_ico_show)) {
                    $(this).prev("input").attr("type","text");
                } else {
                    $(this).prev("input").attr("type","password");
                }
            });

        });
        //输入的文字删除按钮
        var btn_delete = mbf.find(option.btn_delete);
        btn_delete.bind('input propertychange', function() {
            var del_btn = $(this);
            if ($(this).val() > 0 ) {
                if ($(this).next("button[type=reset]").length < 1) {
                    $(this).after("<button type=\"reset\" class='top_0 right_0 abs press'><i class='fr bg_gray_ccc c_white bor_rad_50 wh_18em line_h_18em text_08em text_al_c text_18em'></i></button>");
                    $(this).next("button[type=reset]").css({
                        "height": $(this).prev("input").outerHeight(),
                        "margin-top": ($(this).height() - $(this).next("button[type=reset]").height()) / 2,
                        "margin-left": $(this).width() - $(this).next("button[type=reset]").width()
                    });
                    $(window).resize(function(){
                        del_btn.next("button[type=reset]").css({
                            "height": del_btn.prev("input").outerHeight(),
                            "margin-top": (del_btn.height() - del_btn.next("button[type=reset]").height()) / 2,
                            "margin-left": del_btn.width() - del_btn.next("button[type=reset]").width()
                        });
                    });
                    $(this).next("button[type=reset]").children("i").addClass(option.btn_delete_ico);
                }
                $(this).next("button[type=reset]").unbind("click");
                $(this).next("button[type=reset]").click(function() {
                    $(this).prev("input").val("");
                    $(this).remove();
                });
            } else {
                $(this).next("button[type=reset]").remove();
            }
        });

        if(option.placeholder== true) {
            var placeholder_tmp ="";
            mbf.find('*[placeholder]').focus(function() { //input元素加placeholder属性的文字点击后消失
                placeholder_tmp = $(this).attr("placeholder");
                if ($(this)[0].type !="search") {
                    $(this).removeAttr('placeholder');
                }
                $(this).blur(function() {
                    $(this).attr("placeholder",placeholder_tmp);
                });
            });
            $("input[type=button]").each(function(){//解决input的button不支持placeholder属性
                var place = $(this);
                if ($(this).attr("placeholder") && $(this).val()=='') {
                    $(this).parent().append("<label class='top_0  abs c_gray_ccc'></label>");
                    $(this).next("label").html($(this).attr('placeholder'));
                    $(this).next("label").css({
                        "width":$(this).outerWidth(),
                        "min-width": "100%",
                        "height": $(this).outerHeight(),
                        "line-height": $(this).outerHeight()+"px"
                    });
                    $(window).resize(function(){
                        place.next("label").css({
                            "width":place.outerWidth(),
                            "min-width": "100%",
                            "height": place.outerHeight(),
                            "line-height": place.outerHeight()+"px"
                        });
                    });
                    $(this).next("label").unbind("click");
                    $(this).next("label").click(function(){
                        $(this).prev("input[type=button]").click();
                    });
                }
            });
        }
        if(option.keyboard== true) {
            mbf.find("*[readonly]").focus(function(){ //input元素加readonly属性不显示键盘
                document.activeElement.blur();//隐藏键盘
            });
            mbf.find("*[maxlength]").each(function(){ //input元素加maxlength属性后控制自定义字数
                $(this).attr("oninput",'if(value.length>'+$(this).attr("maxlength")+')value=value.slice(0,'+$(this).attr("maxlength")+')');
                $(this).on('input',function(){
                    var maxlength = $(this).val();
                    if(maxlength.length == $(this).attr("maxlength")) { //输入自定的限制字数后手机键盘自动消失
                        document.activeElement.blur();//隐藏键盘
                    }
                });
            });
        }
    };
}(jQuery));

/*-----------------------------------------------Andrew_Validate----------------------------------------*/
(function($){
    $.fn.Andrew_Validate = function(setting) {
        var option = $.extend({
                opacity: "0.7",
                callback: function() {}
            },
            setting);
        var vld = $(this);
        vld.find(":submit").css("opacity", option.opacity).attr("disabled", "disabled");
        vld.keyup(function() {
            var inputs = $(this).find(":required");
            var submits = $(this).find(":submit");
            var arr = [];
            for (var i = 0; i < inputs.length; i++) {
                var tmpFlag = inputs[i].value == "" ? false: true;
                arr.push(tmpFlag);
            }
            //console.log(arr);
            var flag = false;
            if (arr.length == 1) {
                flag = arr[0];
            } else if (arr.length > 1) {
                flag = arr[0];
                for (var i = 1; i < arr.length; i++) {
                    flag = flag && arr[i];
                    //console.log("flag:"+flag);
                }
            } else {
                flag = true;
            }
            if (!flag) {
                submits.css("opacity", option.opacity);
                submits.attr("disabled", "disabled");
                option.callback(flag);
            } else {
                //$(this).find(":required").removeAttr("required");
                submits.css("opacity", "1");
                submits.removeAttr("disabled");
                option.callback(flag);
            }
        });
    };
}(jQuery));

/*-----------------------------------------------Andrew_GetVerifyCode-----------------------------------*/
(function($){
    /*constructor {} 计时按钮构造函数*/
    function Andrew_GetVerifyCode(){}
    /*倒计时 param { options: object } [必填] 倒计时所需的参数*/
    Andrew_GetVerifyCode.prototype.SecondCountDown = function (options) {
        var countDown = {};
        countDown.options = {
            time: 60,//总时间
            progress: function () { },//计时正在进行中
            started: function () { },//计时开始
            breaked: function () { },//计时中断
            end: function (){}//计时结束
        };
        for (var i in options) {
            countDown.options[i] = options[i];
        }
        countDown.timer = null;//存储计时器
        countDown.time = 0;//当前时间
        countDown._continueRun = true;//是否继续

        //开始计时
        countDown.start = function () {
            var that = this,
                time = that.options.time || 60,
                count = 0,//记录定时器执行了多少次
                interval = 1000,//每次执行间隔
                start = new Date().getTime(),//开始执行时间
                targetTime = that.options.time * 1000;//目标时间
            clearTimeout(that.timer);

            if (that.options.started && (({}).toString.call(that.options.started) == "[object Function]")) {
                that.options.started(time);
            }
            this._continueRun = true;
            that.timer = setTimeout(function () {
                if (that._continueRun) {
                    var wucha = 0,//计算误差
                        //下一次执行时间,下一次执行时间 = 每次执行间隔 - 误差
                        nextRunTime = interval,
                        currentFn = arguments.callee;
                    count++;
                    wucha = new Date().getTime() - (start + count * interval);
                    wucha = (wucha <= 0) ? 0 : wucha;
                    nextRunTime = interval - wucha;
                    nextRunTime = (nextRunTime <= 0) ? 0 : nextRunTime;


                    time--;
                    //在外部可以获取到倒计时当前时间
                    if (that.options.progress && (({}).toString.call(that.options.progress) == "[object Function]")) {
                        that.options.progress(time);
                    }
                    that.time = time;
                    that.timer = setTimeout(currentFn, nextRunTime);

                    //console.log("误差：" + wucha + "，下一次执行时间：" + nextRunTime);
                    if ((targetTime -= interval) <= 0) {
                        clearTimeout(that.timer);
                        /*time = 60;*/
                        if (that.options.end && (({}).toString.call(that.options.end) == "[object Function]")) {
                            that.options.end(time);
                        }
                        that.time = time;
                        return;
                    }
                } else {
                    clearTimeout(that.timer);
                }
            }, interval);
        }
        //中断计时
        countDown.abort = function () {
            this._continueRun = false;
            clearTimeout(this.timer);
            this.time--;
            if (this.options.breaked && (({}).toString.call(this.options.breaked) == "[object Function]")) {
                this.options.breaked(this.time);
            }
        }
        return countDown;
    }
    /*按钮倒计时功能，如发送验证码按钮
        param { eles: dom、jQuery object } [必填] 发送验证码的按钮
        param { options: object } [必填] 发送验证码相关配置
    */
    Andrew_GetVerifyCode.prototype.verify = function (eles,options) {
        eles = $(eles);
        if (eles.length > 0) {
            var self = this,
                timedown = {},
                verifyObj = {},
                _options = {
                    time: 60,
                    event: "click",
                    phone: "",
                    ableClass: "c_title",//按钮可以使用时的class
                    unableClass: "c_gray_999",//按钮不能使用时的class
                    condition: function () {
                    },//执行条件，若condition为true则会执行
                    progress: function () {
                    },//计时正在进行中时的回调
                    timeUp: function () {
                    },//计时结束时执行的回调
                    abort: function () {
                    },//中断计时
                    eventFn: function () {
                    }//事件执行后的回调
                }
            $.extend(_options, options);

            eles.on(_options.event, function () {
                if (this.unabled) {
                    return;
                }
                var canRun = true,
                    phone = _options.phone;
                if ($.isFunction(_options.condition)) {
                    canRun = _options.condition.call(this,phone);
                } else {
                    canRun = _options.condition(phone);
                }
                if (!canRun) {
                    return;
                }

                var that = this,
                    $this = $(that);
                timedown = self.SecondCountDown({
                    time: _options.time,
                    progress: function (time) {
                        _options.progress.call(that,time,phone);
                    },
                    end: function (time) {
                        that.unabled = false;
                        $this.removeClass(_options.unableClass);
                        $this.addClass(_options.ableClass);
                        _options.timeUp.call(that,time,phone);
                    },
                    breaked: function (time) {
                        that.unabled = false;
                        $this.removeClass(_options.unableClass);
                        $this.addClass(_options.ableClass);
                        _options.abort.call(that,time,phone);
                    }
                });
                timedown.start();
                this.timedown = timedown;
                that.unabled = true;
                $this.removeClass(_options.ableClass);
                $this.addClass(_options.unableClass);
                _options.eventFn.call(this,phone);
            });
        }
    }
    window.Andrew_GetVerifyCode = new Andrew_GetVerifyCode();
}(jQuery));

/*-----------------------------------------------Andrew_StepOrder---------------------------------------*/
(function($){
    $.fn.Andrew_StepOrder = function(setting) {
        var option = $.extend({
                stepNum: "",
                stepClass:  new Array(),
                dashed_line: "bor_white bor_bottom_dashed2",
                progress: "bor_white bor_bottom2",
                callback: function() {}
            },
            setting);
        var step = $(this);
        step.addClass("rel ovh");
        step.children().addClass("rel ovh");
        step.children().before("<cite /><cite />");
        step.children("cite").eq(0).addClass("dis_block rel w_100 "+option.dashed_line);
        step.children("cite").eq(1).addClass("dis_block rel "+option.progress);
        var step_li = step.children().children("li");
        var num_box = step.children().children("li").eq(0).children().eq(0);
        var step_line_h = step.children("cite").eq(0).outerHeight();
        step_li.each(function(){
            step.fadeIn();
            var num_boxs = $(this).children().eq(0);
            $(this).addClass("fl text_al_c");
            if($(this).index() <= option.stepNum-1){
                $(this).addClass("ak-is_active");
            }
            if ($(this).hasClass("ak-is_active")) {
                $(this).children().eq(0).addClass(option.stepClass[0]);
                $(this).children().eq(1).addClass(option.stepClass[1]);
            } else {
                num_boxs.removeClass(option.stepClass[0]);
                num_boxs.next().removeClass(option.stepClass[1]);
            }
            num_boxs.addClass("dis_block center text_al_c");
            step.children("cite").eq(0).css({
                "top": num_box.outerHeight()/2+step_line_h
            });
            step.children("cite").eq(1).css({
                "top": num_box.outerHeight()/2-step_line_h+step_line_h,
                "width": 0
            }).animate({
                "width": step.find(".ak-is_active").last().children().eq(0).offset().left
            });
            $(window).resize(function(){
                step.children("cite").eq(0).css({
                    "top": num_box.outerHeight()/2+step_line_h
                });
                step.children("cite").eq(1).css({
                    "top": num_box.outerHeight()/2-step_line_h+step_line_h,
                    "width": 0
                }).animate({
                    "width": step.find(".ak-is_active").last().children().eq(0).offset().left
                });
            });
        });
        option.callback(step);
    };
}(jQuery));

/*-----------------------------------------------Andrew_Codeval-----------------------------------------*/
(function($){
    var settings = {
        codeView: '',
        codeLength: '4',
        inputEle: ''
    };
    var _set = {
        storeLable:'codeval',
        codeval:'.ak-codeval'
    };
    $.Andrew_Codeval = {
        ak_getCode:function(option){
            _commSetting(option);
            return _storeData(_set.storeLable, null);
        },
        ak_setCode:function(option){
            _commSetting(option);
            _setCodeStyle(settings.codeView, settings.codeLength);

        },
        ak_validateCode:function(option){
            _commSetting(option);
            var inputV;
            inputV=$(settings.inputEle).val();
            if(inputV.toUpperCase() == _storeData(_set.storeLable, null).toUpperCase()){//修改的不区分大小写
                return true;
            }else{
                _setCodeStyle(settings.codeView, settings.codeLength);
                return false;
            }
        }
    };
    function _commSetting(option){
        $.extend(settings, option);
    }
    function _storeData(dataLabel, data){
        var store = $(_set.codeval).get(0);
        if(data){
            $.data(store, dataLabel, data);
        }else{
            return $.data(store, dataLabel);
        }
    }
    function _setCodeStyle(eid, codeLength){
        var codeObj = _createCode(settings.codeLength);
        var htmlCode='';
        htmlCode+='<ol class="'+_set.codeval.substring(1)+'" id="'+_set.codeval.substring(1)+'" onclick="$.Andrew_Codeval.ak_setCode()">' + _setStyle(codeObj) + '</ol>';
        $(eid).html(htmlCode);
        $(eid).css({
            "margin-top": ($(settings.inputEle).outerHeight() - $(eid).outerHeight())/2
        });
        $(window).resize(function(){
            $(eid).css({
                "margin-top": ($(settings.inputEle).outerHeight() - $(eid).outerHeight())/2
            });
        });
        $(settings.inputEle).attr("maxlength",settings.codeLength);
        _storeData(_set.storeLable, codeObj);
    }
    function _setStyle(codeObj){
        var fnCodeObj = new Array();
        var col = new Array('#BF0C43', '#E69A2A','#707F02','#18975F','#BC3087','#73C841','#780320','#90719B','#1F72D8','#D6A03C','#6B486E','#243F5F','#16BDB5');
        var charIndex;
        for(var i=0;i<codeObj.length;i++){
            charIndex = Math.floor(Math.random()*col.length);
            fnCodeObj.push('<li style="color:' + col[charIndex] + ';">' + codeObj.charAt(i) + '</li>');
        }
        return fnCodeObj.join('');
    }
    function _createCode(codeLength){
        var codeObj;
        codeObj = _createCodeFollow(codeLength);
        return codeObj;
    }
    function _createCodeFollow(codeLength){
        var code = "";
        var selectChar = new Array('0','1','2','3','4','5','6','7','8','9','A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z');
        for(var i=0;i<codeLength;i++){
            var charIndex = Math.floor(Math.random()*selectChar.length);
            if(charIndex % 2 == 0){
                code+=selectChar[charIndex].toLowerCase();
            }else{
                code +=selectChar[charIndex];
            }
        }
        return code;
    }

}(jQuery));

/*-----------------------------------------------Andrew_ChooseList--------------------------------------*/
(function($){
    // 默认实例化配置
    var defaults = {
        itemWidth: null,
        multi: false,
        active: '',
        full: false, //Choose的宽度，默认为null将自动获取Choose的宽度；
        dataKey: 'dataKey', //实例化后的data键值，方便后续通过data('dataKey')取出；
        change: null, //Choose值改变时的回调；
        click: null //Choose元素点击时的回调，diabled时不发生。
    };
    $.fn.Andrew_ChooseList = function(options) {
        var _this = $(this),
            _num = _this.length;
        // 当要实例的对象只有一个时，直接实例化返回对象；
        if (_num === 1) {
            return new ak_Choose(_this, options);
        }
        // 当要实例的对象有多个时，循环实例化，不返回对象；
        if (_num > 1) {
            _this.each(function(index, el) {
                new ak_Choose($(el), options);
            })
        }
        // 当元素个数为0时，不执行实例化。
    };
    /**
     * @param {[jQuery]} el  [jQuery选择后的对象，此处传入的为单个元素]
     * @param {[object]} opt [设置的参数]
     */
    function ak_Choose(el, opt) {
        this.el = el;
        this._tag = this.el.prop('tagName').toLowerCase();
        this._opt = $.extend({}, defaults, opt);

        return this._init();
    }
    // 原型链扩展。
    ak_Choose.prototype = {
        // init初始化;
        _init: function() {
            var _data = this.el.data(this._opt.dataKey);
            // 如果已经实例化了，则直接返回
            if (_data)
                return _data;
            else
                this.el.data(this._opt.dataKey, this);

            // 设置是否多选
            this.multi = this.el.attr('data-multiple') ? !!this.el.attr('data-multiple') : this._opt.multi;

            // 根据不同的标签进行不同的元素组建
            var _setFunc = this['_setHtml_' + this._tag];
            if (_setFunc) {
                _setFunc.call(this);
            }
            var option = this._opt;
            this._items.each(function() {
                var _this = this;
                var _self = $(this);
                if (_self.attr("data-checked")) {
                    _self.addClass(option.active);
                } else {
                    _self.removeClass(option.active);
                }
            });
            this._bindEvent(); // 绑定事件
        },
        // 组建并获取相关的dom元素-ul;
        _setHtml_ul: function() {
            this._wrap = this.el;
            this._items = this.el.children('li');
            if (this._opt.itemWidth) {
                this._items.css('width', this._opt.itemWidth);
            }
        },
        // 绑定事件；
        _bindEvent: function() {
            var _this = this;
            _this._wrap.find("li").unbind("click");
            _this._wrap.on('click', 'li', function() {
                var _self = $(this);
                if (_self.hasClass('disabled'))
                    return;
                if (!_this.multi) { // single select
                    var _val = _self.attr('data-value') || _self.index();
                    _this.val(_val);
                    _this._triggerClick(_val, _self);
                } else { // multiple
                    _self.toggleClass(_this._opt.active);
                    var _val = [];
                    _this._items.each(function(index, el) {
                        var _el = $(this);
                        if (_el.hasClass(_this._opt.active)) {
                            _el.attr("data-checked","true");
                            var _valOrIndex = _this._tag == 'select' ? _el.attr('data-value') : _el.index();
                            _val.push(_valOrIndex);
                        }
                    });
                    _this.val(_val);
                    _this._triggerClick(_val, _self);
                }
            });
            return _this;
        },

        // change 触发；value：值 ；
        _triggerChange: function(value, item) {
            item = item || this._wrap;
            this.change(value, item);
            if (typeof this._opt.change == 'function')
                this._opt.change.call(this, value, item);
        },

        // click 触发；value：值 ；item：选中的option；
        _triggerClick: function(value, item) {
            this.click(value, item);
            if (typeof this._opt.click == 'function')
                this._opt.click.call(this, value, item);
        },

        // 获取或设置值:ul
        _val_ul: function(index) {
            // getValue
            if (arguments.length === 0) {
                var _oActive = this._wrap.children('li.' + this._opt.active);
                if (!this.multi) { // single select
                    return _oActive.index() == -1 ? null : _oActive.index();
                } else { // single select
                    if (_oActive.length == 0) {
                        return null;
                    }
                    var _this = this,
                        _val = [];
                    _oActive.each(function(index, el) {
                        var _el = $(el);
                        if (_el.hasClass(_this._opt.active)) {
                            _el.attr("data-checked","true");
                            _val.push(_el.index());
                        }
                    });
                    return _val;
                }
            }
            // setValue
            var _oIndex = this._val_ul();
            if (!this.multi) { // single select
                var _selectedItem = this._wrap.children('li').eq(index);
                if (!_selectedItem.length)
                    return this;
                _selectedItem.addClass(this._opt.active).siblings('li').removeClass(this._opt.active);
                _selectedItem.attr("data-checked","true").siblings('li').removeAttr("data-checked");
                if (index !== _oIndex) {
                    this._triggerChange(index, _selectedItem);
                }
            } else { // multiple select
                if (index == null || index == '' || index == []) {
                    this._items.removeClass(this._opt.active);
                    this._items.removeAttr("data-checked");
                } else {
                    index = typeof index == 'object' ? index : [index];
                    this._items.removeClass(this._opt.active);
                    this._items.removeAttr("data-checked");
                    for (var i in index) {
                        var _no = index[i];
                        this._wrap.children('li').eq(_no).addClass(this._opt.active);
                        this._wrap.children('li').eq(_no).attr("data-checked","true");
                    }
                }
                if (index !== _oIndex) {
                    this._triggerChange(index);
                }
            }
            // multiple
            return this;
        },

        // 获取或设置值
        val: function() {
            return this['_val_' + this._tag].apply(this, arguments);
        },

        // 值改变事件；
        change: function(value, item) {},

        // 点击事件；
        click: function(value, item) {},

        // 隐藏
        hide: function() {
            this._wrap.hide();
            return this;
        },

        // 显示
        show: function() {
            this._wrap.show();
            return this;
        }
    };
}(jQuery));

/*-----------------------------------------------Andrew_ChangeInput-------------------------------------*/
(function($){
    $.fn.Andrew_ChangeInput = function(setting) {
        var option = $.extend({
                text_input: new Array(),
                onChange:function(){}
            },
            setting);
        var $ChangeInput = $(this);
        $ChangeInput.unbind("click");
        $ChangeInput.click(function() {
            var left_input = $(option.text_input[0]);
            var right_input = $(option.text_input[1]);
            var tmp ="";
            var left_input_value = left_input.val();
            var right_input_value = right_input.val();
            tmp = left_input_value;
            left_input.val(right_input_value);
            right_input.val(tmp);
            option.onChange(right_input_value,tmp);
        });
    };
}(jQuery));

/*-----------------------------------------------Andrew_ChangeIcon--------------------------------------*/
(function($){
    $.fn.Andrew_ChangeIcon = function(setting) {
        var option = $.extend({
                multi_icon: false,
                text_color: new Array(),
                Change_icon: new Array(),
                clickBack: function () {
                }
            },
            setting);
        var $ChangeIcon = $(this);
        $ChangeIcon.unbind("click");
        $ChangeIcon.click(function () {
            var icon_ele = $(this);
            if (option.multi_icon == true) {
                icon_ele.children().eq(0).addClass(option.text_color[1]);
                icon_ele.children().eq(1).toggleClass(option.text_color[1] + " " + option.text_color[0]);
                if (icon_ele.children().eq(1).hasClass(option.text_color[1])) {
                    icon_ele.children().find("i").eq(0).addClass(option.text_color[1]).removeClass(option.text_color[0]);
                    icon_ele.children().find("i").eq(1).removeClass(option.text_color[1]).addClass(option.text_color[0]);
                    option.clickBack("up",option, icon_ele)
                } else {
                    icon_ele.children().find("i").eq(0).removeClass(option.text_color[1]).addClass(option.text_color[0]);
                    icon_ele.children().find("i").eq(1).addClass(option.text_color[1]).removeClass(option.text_color[0]);
                    option.clickBack("down",option, icon_ele)
                }
            } else {
                icon_ele.children().toggleClass(option.text_color[1] + " " + option.text_color[0]);
                var flag = false;
                if (icon_ele.children().hasClass(option.text_color[1])) {
                    icon_ele.children().addClass(option.text_color[1]).removeClass(option.text_color[0]);
                    icon_ele.children().find("i").addClass(option.Change_icon[1]).removeClass(option.Change_icon[0]);
                    option.clickBack(true,option, icon_ele);
                    flag = true;
                } else {
                    icon_ele.children().removeClass(option.text_color[1]).addClass(option.text_color[0]);
                    icon_ele.children().find("i").removeClass(option.Change_icon[1]).addClass(option.Change_icon[0]);
                    option.clickBack(false,option, icon_ele);
                    flag = false;
                }
                if (flag == true) {
                    icon_ele.children().addClass(option.text_color[1]);
                    icon_ele.children().find("i").addClass(option.text_color[1]);
                } else {
                    icon_ele.children().removeClass(option.text_color[1]);
                    icon_ele.children().find("i").removeClass(option.text_color[1]);
                }
            }
        });
    };
}(jQuery));

/*-----------------------------------------------Andrew_Radio&Andrew_Checkbox&Andrew_Switch-------------*/
(function($){
    /**
     * 单选按钮 以data-name来标识分组
     * @param settings 用户设置参数
     */
    $.fn.Andrew_Radio = function(settings) {
        /* 默认参数 */
        var _defaults = {
            checkedClass: "bor_title border8",
            // 选中状态类名
            onChange: function(element) {} // onchange回调，返回当前选中项DOM元素
        };

        var options = $.extend(_defaults, settings || {});
        if (!this.parent("label").hasClass("ak-Radio")) {
            this.wrap("<label />");
        }
        var radios = this.parent("label");
        radios.addClass("ak-Radio");
        radios.attr("data-name",this.attr("name"));
        radios.each(function() {
            var $radio = $(this);
            var _name = $(this).data("name"); // 组name值
            /*---- 初始化 ----*/
            // 是否选中以input:radio的选中状态为准,多个选中的话以最后一个为准
            if ($radio.find('input[type="radio"]').is(':checked')) {
                var $otherRadios = radios.filter("[data-name='" + _name + "']").not($radio);
                $radio.addClass(options.checkedClass);
                $otherRadios.removeClass(options.checkedClass);
                $otherRadios.find('input[type="radio"]').removeAttr("checked");
            }

            /*---- 添加事件 ----*/
            $radio.unbind();
            $radio.on("change", function() {
                if (!$(this).hasClass(options.checkedClass)) {
                    $(this).addClass(options.checkedClass);
                    $(this).children('input[type="radio"]').attr("checked","checked");
                    radios.filter("[data-name='" + _name + "']").not($(this)).removeClass(options.checkedClass); // 切换class状态
                    radios.filter("[data-name='" + _name + "']").not($(this)).children('input[type="radio"]').removeAttr("checked"); // 切换input状态
                }
                options.onChange($(this).children()); // 回调
            });
        });
    };
    /**
     * 复选框
     * @param settings 用户设置参数
     */
    $.fn.Andrew_Checkbox = function(settings) {
        /* 默认参数 */
        var _defaults = {
            checkedClass: "bg_title bor_title c_white",
            disabledClass: "bg_gray_ccc bor_gray_ccc c_white",
            // 选中状态类名
            onChange: function(element) {} // onchange回调，返回当前选中项DOM元素组
        };

        var options = $.extend(_defaults, settings || {});
        if (!this.parent("label").hasClass("ak-Checkbox")) {
            this.wrap("<label />");
        }
        var checkboxes = this.parent("label");
        checkboxes.addClass("ak-Checkbox");
        checkboxes.attr("data-name",this.attr("name"));
        checkboxes.css("margin-top", (checkboxes.parent().height() - checkboxes.height()) / 2);
        checkboxes.find('input[type="checkbox"]').css("margin-top", "-" + (checkboxes.parent().height() - checkboxes.height()) / 2 -1 + "px");
        $(window).resize(function(){
            checkboxes.css("margin-top", (checkboxes.parent().height() - checkboxes.height()) / 2);
            checkboxes.find('input[type="checkbox"]').css("margin-top", "-" + (checkboxes.parent().height() - checkboxes.height()) / 2 -1 + "px");
        });
        checkboxes.each(function(ev) {
            if ($(this).find('input[type="checkbox"]').attr("multiple")) {
                var $checkbox = $(ev.target);
            } else {
                var $checkbox = $(this);
            }
            /*---- 初始化 ----*/
            // 是否选中以input:checkbox的选中状态为准
            if ($checkbox.find('input[type="checkbox"]').attr("checked")) {
                $checkbox.addClass(options.checkedClass);
                $checkbox.find('input[type="checkbox"]').attr("checked","checked");
            } else if ($checkbox.find('input[type="checkbox"]').is(':disabled')) {
                $checkbox.addClass(options.disabledClass);
                $checkbox.find('input[type="checkbox"]').attr("checked","checked");
            } else {
                $checkbox.removeClass(options.checkedClass).removeClass(options.disabledClass);
                $checkbox.find('input[type="checkbox"]').removeAttr("checked");
            }

            /*---- 添加事件 ----*/
            $checkbox.unbind();
            $checkbox.on("change", function() {
                if ($checkbox.find('input[type="checkbox"]').attr("checked")) {
                    $checkbox.find('input[type="checkbox"]').removeAttr("checked");
                    $checkbox.removeClass(options.checkedClass)
                } else {
                    $checkbox.find('input[type="checkbox"]').attr("checked","checked");
                    $checkbox.addClass(options.checkedClass);
                }
                options.onChange($(this).children()[0].checked); // 回调
            });
        });
    };
    /**
     * 开关按钮
     * @param settings 用户设置参数
     */
    $.fn.Andrew_Switch = function(settings) {
        /* 默认参数 */
        var _defaults = {
            checkedClass: "bg_title",
            disabledClass: "dis_opa_05",
            // 选中状态类名
            onChange: function(element) {} // onchange回调，返回当前选中项DOM元素组
        };

        var options = $.extend(_defaults, settings || {});

        var Switchs = this;
        Switchs.addClass("ak-Switch");
        if (Switchs.parent().children("label").length < 1) {
            Switchs.parent().append("<label />");
        }
        Switchs.next("label").attr("data-name",this.attr("name"));
        Switchs.each(function() {
            var $switch = $(this);
            $switch.next("label").css("margin-top", ($switch.next("label").parent().height() - Switchs.next("label").height()) / 2);
            $(window).resize(function(){
                $switch.next("label").css("margin-top", ($switch.next("label").parent().height() - Switchs.next("label").height()) / 2);
            });
            /*---- 初始化 ----*/
            // 是否选中以input:checkbox的选中状态为准
            if ($switch.is(':checked') && !$switch.is(':disabled')) {
                $switch.next("label").addClass(options.checkedClass).removeClass(options.disabledClass);
            } else if (!$switch.is(':checked') && $switch.is(':disabled'))  {
                $switch.next("label").removeClass(options.checkedClass).addClass(options.disabledClass);
            } else if ($switch.is(':disabled') || $switch.is(':checked')) {
                $switch.next("label").addClass(options.disabledClass).addClass(options.checkedClass);
            } else if (!$switch.is(':checked') && !$switch.is(':disabled'))  {
                $switch.next("label").removeClass(options.checkedClass).removeClass(options.disabledClass);
            }

            /*---- 添加事件 ----*/
            $switch.unbind();
            $switch.on("change", function() {
                $(this).next("label").toggleClass(options.checkedClass);
                options.onChange($(this)[0].checked); // 回调
            });
        });
    };
}(jQuery));

/*-----------------------------------------------Andrew_AllChecked--------------------------------------*/
(function($){
    $.fn.Andrew_AllChecked = function(settings){
        var ele = $(this);
        var allCheck = ele.children().eq(0).children("dl").find(':checkbox');
        var checks = ele.children().eq(0).children("dl").next().children().children("dl").find(':checkbox');
        var defaults = {
            toggleClass:"",
            callback :function(){}
        };
        var option = $.extend(defaults,settings);

        /*所有checkbox初始化*/
        allCheck.prop("checked",false);
        allCheck.parent("label").removeClass(option.toggleClass);
        /*全选/反选*/
        allCheck.unbind("click");
        allCheck.click(function(){
            var set = $(this).parents("dl").next().find(':checkbox');
            if($(this).prop("checked")){
                $.each(set,function(i,v){
                    $(v).prop("checked",true);
                    $(v).parent("label").addClass(option.toggleClass);
                    option.callback($(v));
                });
                allCheck.prop('checked',true);
                allCheck.parent("label").addClass(option.toggleClass);
            }else{
                $.each(set,function(i,v){
                    $(v).prop("checked",false);
                    $(v).parent("label").removeClass(option.toggleClass);
                    option.callback($(v));
                });
                allCheck.prop("checked",false);
                allCheck.parent("label").removeClass(option.toggleClass);
            }
        });

        /* 监听全选事件 */
        checks.unbind("click");
        checks.click(function(){
            //debugger;
            var leng = $(this).parents("dl").parent().parent().find(':checkbox:checked').length;
            /*勾选后该行active*/
            if($(this).prop('checked')){
                $(this).parent("label").addClass(option.toggleClass);
            }else{
                $(this).parent("label").removeClass(option.toggleClass);
            }
            if(leng == checks.length){
                allCheck.prop('checked',true);
                allCheck.parent("label").addClass(option.toggleClass);
            }else{
                allCheck.prop("checked",false);
                allCheck.parent("label").removeClass(option.toggleClass);

            }
            option.callback(checks);
        });
    }
}(jQuery));

/*-----------------------------------------------Andrew_DropUpDown--------------------------------------*/
(function($){
    $.fn.Andrew_DropUpDown = function(setting) {
        var option = $.extend({
                curDisplay: "",
                active_toggle: "",
                up_ico: "",
                down_ico: "",
                callback:function(){}
            },
            setting);
        function DropDown(el) {
            this.DropUpDown = el;
            this.initEvents();
        }
        DropDown.prototype = {
            initEvents: function() {
                var obj = this;
                var drop = obj.DropUpDown.children("dl").children("dd:last-child");
                if (option.curDisplay) {
                    var ele_display = obj.DropUpDown.eq(option.curDisplay-1);
                    ele_display.addClass("ak-is_active");
                    ele_display.children("dl").addClass(option.active_toggle);
                    ele_display.children("dl").find("dd").last().children("i").removeClass(option.down_ico).addClass(option.up_ico);
                }
                drop.each(function () {
                    var alldrop = $(this).parent("dl").parent("li");
                    var alldropsub = alldrop.children("dl").next();
                    if (alldrop.hasClass("ak-is_active")) {
                        alldropsub.show();
                    } else {
                        alldropsub.hide();
                    }
                    alldropsub.find("li").addClass("ml_3");
                    alldrop.children("dl").find("dd").last().unbind("click");
                    alldrop.children("dl").find("dd").last().click(function () {
                        alldrop.toggleClass("ak-is_active");
                        if (alldrop.children("dl").next().length > 0) {
                            alldrop.children("dl").toggleClass(option.active_toggle);
                        }
                        alldrop.children("dl").find("dd").last().children("i").toggleClass(option.up_ico + " " + option.down_ico);
                        if (alldrop.hasClass("ak-is_active")) {
                            alldropsub.slideDown(300);
                            option.callback(alldropsub);
                        } else {
                            alldropsub.slideUp(300);
                        }
                    });
                });
            }
        };
        var drop = new DropDown($(this).children("li"));
    };
}(jQuery));

/*-----------------------------------------------Andrew_TouchDelete-------------------------------------*/
(function($){
    var Andrew_TouchDelete = function(ele, opt) {
        var self = this;
        self.$element = ele;
        self.defaults = {
            UpDownTouch: false,
            DelText: "",
            DelClass: "",
            ClickDelete: function() {},
            UpTouch: function() {},
            DownTouch: function() {}
        };
        self.options = $.extend({},
            self.defaults, opt);
        this.init = this.options.init || this.init;
        this.touch = this.options.touch || this.touch;
    };
    Andrew_TouchDelete.prototype = {
        init: function() {
            var self = this,
                ele = self.$element;
            var DeleteLi = ele.find("li");
            DeleteLi.append("<button type='button' class='"+self.options.DelClass+"'></button>");
            DeleteLi.children("article").addClass("ak_delete_art").css({
                "left": "0",
                "position": "absolute"
            });
            DeleteLi.children("button").addClass("ak_delete_btn").html(self.options.DelText);
            DeleteLi.children("button").css({
                "right": "-"+DeleteLi.children("button").outerWidth()+"px"
            });
            self.touch();
        },
        touch: function () {
            var self = this,
                ele = self.$element;
            var DeleteLi = ele.find("li");
            var touchStartY = 0,
                touchStartX = 0;
            DeleteLi.on({
                touchstart: function(e) {
                    touchStartY = e.originalEvent.touches[0].clientY;
                    touchStartX = e.originalEvent.touches[0].clientX;
                    $(this).children("button").on('touchstart', function (event) {
                        event.preventDefault();
                        self.options.ClickDelete($(this),$(this).parent(),$(this).parent().index());
                    });
                },
                touchend: function(e) {
                    var touchEndY = e.originalEvent.changedTouches[0].clientY,
                        touchEndX = e.originalEvent.changedTouches[0].clientX,
                        yDiff = touchStartY - touchEndY,
                        xDiff = touchStartX - touchEndX;
                    if (self.options.UpDownTouch == true) {
                        if (Math.abs(xDiff) < Math.abs(yDiff)) {
                            if (yDiff > 5) {
                                self.options.UpTouch($(this).parent());
                                self.init();
                            } else {
                                self.options.DownTouch($(this).parent());
                                self.init();
                            }
                        }
                    }
                    if (Math.abs(xDiff) > Math.abs(yDiff)) {
                        if (xDiff > 5) {
                            DeleteLi.children("article").css({
                                "left": "0"
                            });
                            DeleteLi.children("button").css({
                                "right": "-"+DeleteLi.children("button").outerWidth()+"px"
                            });
                            $(this).children("article").css({
                                "left": "-"+$(this).children("button").outerWidth()+"px"
                            });
                            $(this).children("button").css({
                                "display": "block",
                                "right": "0"
                            });
                        } else {
                            $(this).children("article").css({
                                "left": "0"
                            });
                            $(this).children("button").css({
                                "right": "-"+$(this).children("button").outerWidth()+"px"
                            });
                        }
                    }
                    touchStartY = null;
                    touchStartX = null
                },
                touchmove: function(e) {
                    var touchEndY = e.originalEvent.changedTouches[0].clientY,
                        touchEndX = e.originalEvent.changedTouches[0].clientX,
                        yDiff = touchStartY - touchEndY,
                        xDiff = touchStartX - touchEndX;
                    if (self.options.UpDownTouch == true) {
                        e.preventDefault();
                    } else {
                        if (Math.abs(xDiff) > Math.abs(yDiff)) {
                            e.preventDefault()
                        }
                    }
                },
                mousedown: function(e) {
                    touchStartY = e.originalEvent.clientY;
                    touchStartX = e.originalEvent.clientX;
                    $(this).children("button").unbind("click");
                    $(this).children("button").on('click', function (event) {
                        event.preventDefault();
                        self.options.ClickDelete($(this),$(this).parent(),$(this).parent().index());
                    });
                },
                mouseup: function(e) {
                    var touchEndY = e.originalEvent.screenY,
                        touchEndX = e.originalEvent.screenX,
                        yDiff = touchStartY - touchEndY,
                        xDiff = touchStartX - touchEndX;
                    if (Math.abs(xDiff) > Math.abs(yDiff)) {
                        if (xDiff > 5) {
                            DeleteLi.children("article").css({
                                "left": "0"
                            });
                            DeleteLi.children("button").css({
                                "right": "-"+DeleteLi.children("button").outerWidth()+"px"
                            });
                            $(this).children("article").css({
                                "left": "-"+$(this).children("button").outerWidth()+"px"
                            });
                            $(this).children("button").css({
                                "display": "block",
                                "right": "0"
                            });
                        } else {
                            $(this).children("article").css({
                                "left": "0"
                            });
                            $(this).children("button").css({
                                "right": "-"+$(this).children("button").outerWidth()+"px"
                            });
                        }
                    }
                    touchStartY = null;
                    touchStartX = null
                },
                mousemove: function(e) {
                    e.preventDefault();
                }
            })
        }
    };
    $.fn.Andrew_TouchDelete = function(options) {
        var ak_TouchDelete = new Andrew_TouchDelete(this, options);
        return this.each(function() {
            ak_TouchDelete.init();
        })
    }
}(jQuery));

/*-----------------------------------------------Andrew_IntlTelInput------------------------------------*/
(function($){
    $.fn.Andrew_IntlTelInput = function(setting) {
        var option = $.extend({
                Title_Text: "",
                Close_btn:"",
                Close_Text:"",
                Close_Icon: "",
                list_Class: "",
                Nav_active: "",
                show_color: "",
                data:[],
                showBack:function(){
                },
                clickBack:function(){
                }
            },
            setting);
        function TelInput(el) {
            this.el = el;
            this.initEvents();
        }
        TelInput.prototype = {
            initEvents : function() {
                var obj = this;
                obj.el.each(function() {
                    $('body').append("<div class='ak-IntlTel'><datalist></datalist></div>");
                    var objsub = $(".ak-IntlTel");
                    var datalist = objsub.children("datalist");
                    datalist.before("<h6></h6>");

                    //生成右侧字母菜单
                    var str = "<ol>\n";
                    for(var k = 0; k < option.data.length;k++){
                        str +=   "<li>"+option.data[k].value+"</li>\n";
                    }
                    str += "</ol>";
                    datalist.before(str);

                    //Json获取数据信息
                    var tmp = "";
                    for(var i = 0; i < option.data.length; i++){
                        tmp += "<dl>";
                        tmp +=  '<dt data-id="'+option.data[i].id+'">'+option.data[i].value+'</dt>';
                        for(var j = 0; j < option.data[i].child.length; j++){
                            tmp += '<dd data-country="'+option.data[i].child[j].country+'" data-number="'+option.data[i].child[j].number+'" data-id="'+option.data[i].child[j].id+'">'+option.data[i].child[j].country+' '+option.data[i].child[j].number+'</dd>';
                        }
                        tmp += "</dl>";
                    }
                    datalist.html(tmp);

                    var objsub_title = objsub.find("h6");
                    var objsub_ol = objsub.find("ol");
                    var objsub_dl = objsub.find("dl");
                    if ($("header").length > 0) {
                        objsub.append("<div class='ak-IntlTel_head'>" +
                            "<button type='button' class='"+option.Close_btn+"'><i class='"+option.Close_Icon+"'></i>"+option.Close_Text+"</button>\n" +
                            "<h1>"+option.Title_Text+"</h1>" +
                            "</div>");
                        var headStyle = $("header").attr("class");
                        var headStyle_h1 = $("header h1").attr("class");
                        objsub.find(".ak-IntlTel_head").addClass(headStyle);
                        objsub.find(".ak-IntlTel_head h1").addClass(headStyle_h1);
                    }
                    objsub_title.addClass(option.show_color).css({
                        "height":$(window).height()
                    });
                    datalist.addClass("scrolling press").css({
                        "margin-top":$(".ak-IntlTel_head").outerHeight(),
                        "height":$(window).height()
                    });
                    objsub_ol.css({
                        "top":$(".ak-IntlTel_head").outerHeight()
                    });
                    $(window).resize(function(){
                        objsub_title.addClass(option.show_color).css({
                            "height":$(window).height()
                        });
                        datalist.addClass("scrolling press").css({
                            "margin-top":$(".ak-IntlTel_head").outerHeight(),
                            "height":$(window).height()
                        });
                        objsub_ol.css({
                            "top":$(".ak-IntlTel_head").outerHeight()
                        });
                    });
                    objsub_dl.find("dd").addClass(option.list_Class);
                    var this_h = 0;
                    datalist.scroll(function(){
                        var letter_position = [];
                        datalist.each(function() {
                            for (var i = 0; i < $(this).find("dl").length; i++) {
                                letter_position.push($(this).find("dl")[i].offsetTop)
                            }
                        });
                        if ($(".ak-IntlTel_head").length > 0) {
                            scrolltop = datalist.scrollTop() + $(".ak-IntlTel_head").outerHeight();
                        } else {
                            scrolltop = datalist.scrollTop();
                        }
                        for(var j = 0; j < letter_position.length; j++){
                            if(scrolltop >= letter_position[j]){
                                objsub_ol.find("li").removeClass(option.Nav_active);
                                objsub_ol.find("li").eq(j).addClass(option.Nav_active);
                            }
                        }
                        this_h = datalist.scrollTop();
                    });
                    objsub_ol.find("li").unbind("click");
                    objsub_ol.find("li").on('click', function(event){
                        this_h += objsub_dl.eq($(this).index()).offset().top - $(".ak-IntlTel_head").outerHeight()+2;
                        event.stopPropagation();
                        objsub.show();
                        objsub_title.fadeIn();
                        setTimeout(function () {
                            objsub_title.fadeOut();
                        }, 800);
                        objsub_title.text($(this).text());
                        datalist.animate({scrollTop:this_h},500);
                    });
                    objsub_dl.find("dd").unbind("click");
                    objsub_dl.find("dd").on('click', function(){
                        var val = this;
                        obj.el.children("input").val($(this).attr("data-number"));
                        objsub.hide();
                        obj.el.removeClass("ak-is_active");
                        option.clickBack(val);
                    });
                    $(this).unbind("click");
                    $(this).on('click', function(event){
                        $(this).toggleClass("ak-is_active");
                        if ($(this).hasClass("ak-is_active")) {
                            objsub.show();
                            option.showBack(objsub);
                        } else {
                            objsub.hide();
                        }
                        event.stopPropagation();
                    });
                    $(".ak-IntlTel_head").children("button").unbind("click");
                    $(".ak-IntlTel_head").children("button").click(function() {
                        obj.el.removeClass("ak-is_active");
                        objsub.hide();
                    });
                });
            }
        };
        var el = new TelInput( $(this) );
    };
}(jQuery));

/*-----------------------------------------------Andrew_NowTime-----------------------------------------*/
(function($){
    $.fn.Andrew_NowTime = function(setting) {
        var option = $.extend({
                dateStyle: 'yyyy-MM-dd hh:mm:ss'
            },
            setting);
        var time = this;
        Date.prototype.Format = function (fmt) {
            var o = {
                "M+": this.getMonth() + 1,
                "d+": this.getDate(),
                "h+": this.getHours(),
                "m+": this.getMinutes(),
                "s+": this.getSeconds()
            };
            if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
            for (var k in o)
                if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
            return fmt;
        };
        setInterval(function(){
            time.html(new Date().Format(option.dateStyle));
        },1000);
    };
}(jQuery));

/*-----------------------------------------------Andrew_Substring-----------------------------------------*/
(function($){
    $.fn.Andrew_Substring = function() {
        $(this).blur(function() {
            this.value = outputmoney(this.value);
        });
    };
    //金额字符串设置
    function outputdollars(number) {
        if (number.length <= 3) return (number == '' ? '0': number);
        else {
            var mod = number.length % 3;
            var output = (mod == 0 ? '': (number.substring(0, mod)));
            for (var i = 0; i < Math.floor(number.length / 3); i++) {
                if ((mod == 0) && (i == 0)) output += number.substring(mod + 3 * i, mod + 3 * i + 3);
                else output += '' + number.substring(mod + 3 * i, mod + 3 * i + 3);
            }
            return (output);
        }
    }
    function outputcents(amount) {
        amount = Math.round(((amount) - Math.floor(amount)) * 100);
        return (amount < 10 ? '.0' + amount: '.' + amount);
    }
    //金额字符格式化（RMB）
    function outputmoney(number) {
        number = number.replace(/\,/g, "");
        if (isNaN(number) || number == "") return "";
        number = Math.round(number * 100) / 100;
        if (number < 0) return '-' + outputdollars(Math.floor(Math.abs(number) - 0) + '') + outputcents(Math.abs(number) - 0);
        else return outputdollars(Math.floor(number - 0) + '') + outputcents(number - 0);
    }
}(jQuery));

/*-----------------------------------------------Andrew_CountTo-------------------------------------------*/
(function($){
    $.fn.Andrew_CountTo = function (options) {
        options = options || {};
        return $(this).each(function () {
            var settings = $.extend({}, $.fn.Andrew_CountTo.defaults, {
                from:            $(this).data('from'),
                to:              $(this).data('to'),
                speed:           $(this).data('speed'),
                refreshInterval: $(this).data('refresh-interval'),
                decimals:        $(this).data('decimals')
            }, options);

            // how many times to update the value, and how much to increment the value on each update
            var loops = Math.ceil(settings.speed / settings.refreshInterval),
                increment = (settings.to - settings.from) / loops;

            // references & variables that will change with each update
            var self = this,
                $self = $(this),
                loopCount = 0,
                value = settings.from,
                data = $self.data('Andrew_CountTo') || {};

            $self.data('Andrew_CountTo', data);

            // if an existing interval can be found, clear it first
            if (data.interval) {
                clearInterval(data.interval);
            }
            data.interval = setInterval(updateTimer, settings.refreshInterval);

            // initialize the element with the starting value
            render(value);

            function updateTimer() {
                value += increment;
                loopCount++;

                render(value);

                if (typeof(settings.onUpdate) == 'function') {
                    settings.onUpdate.call(self, value);
                }

                if (loopCount >= loops) {
                    // remove the interval
                    $self.removeData('Andrew_CountTo');
                    clearInterval(data.interval);
                    value = settings.to;

                    if (typeof(settings.onComplete) == 'function') {
                        settings.onComplete.call(self, value);
                    }
                }
            }

            function render(value) {
                var formattedValue = settings.formatter.call(self, value, settings);
                $self.html(formattedValue);
            }
        });
    };
    $.fn.Andrew_CountTo.defaults = {
        from: 0,               // the number the element should start at
        to: 0,                 // the number the element should end at
        speed: 1000,           // how long it should take to count between the target numbers
        refreshInterval: 100,  // how often the element should be updated
        decimals: 0,           // the number of decimal places to show
        formatter: formatter,  // handler for formatting the value before rendering
        onUpdate: null,        // callback method for every time the element is updated
        onComplete: null       // callback method for when the element finishes updating
    };
    function formatter(value, settings) {
        return value.toFixed(settings.decimals);
    }
}(jQuery));

/*-----------------------------------------------Andrew_Spinner-------------------------------------------*/
(function($){
    $.fn.Andrew_Spinner=function(setting) {
        var option = $.extend({
                input_width:"100%", //输入框宽度（px,%,em）
                btn_wrap: "", //数量加减输入框的外框样式
                btn_left: "", //数量减少按钮Class
                btn_right: "", //数量增加按钮Class
                maxNumber: 999,
                clickBack:function(){
                }
            },
            setting);
        var spt =$(this);
        ak_sptFun();
        $(window).resize(function(){
            spt.parent().find("input").css({
                "height": spt.parent().children("button").outerHeight()
            });
            spt.parent().css({
                "height": spt.parent().children("button").height()
            });
            spt.parent().css({
                "margin-top": (spt.parent().parent().outerHeight() - spt.parent().outerHeight())/2
            });
        });
        function ak_sptFun() {
            spt.each(function(i) {
                spt.wrap('<div class="'+option.btn_wrap+'"></div>');
                spt.before('<button type="button" class="minus '+option.btn_left+'"></button>');
                spt.before('<button type="button" class="plus '+option.btn_right+'"></button>');
                spt.parent().css({
                    "overflow": "hidden",
                    "width": option.input_width,
                    "height": spt.parent().children("button").height(),
                    "margin-top": (spt.parent().outerHeight() - spt.parent().children("button").outerHeight()) / 2
                });
                var it =$(this).parent().find("input");
                it.css({
                    "width": "100%",
                    "height": $(this).parent().children("button").outerHeight(),
                    "line-height": "100%",
                    "float": "inherit"
                });
                if (parseInt(it.val())<=1){
                    $(this).parent().children(".minus").attr("disabled",'disabled');
                }
                $(this).parent().children(".plus").unbind("click");
                $(this).parent().children(".plus").on('click', function (e) {
                    e.preventDefault();
                    if (option.maxNumber) {
                        var maxNumber = parseInt(option.maxNumber-1);
                    } else {
                        var maxNumber = parseInt(999999);
                    }
                    var lengthNum= parseInt(it.val());
                    if (maxNumber > lengthNum) {
                        $(this).parent().children(".minus").removeAttr("disabled",'disabled');
                        it.val(lengthNum+1);
                    } else if (maxNumber == lengthNum) {
                        $(this).attr("disabled", 'disabled');
                        it.val(lengthNum + 1);
                    } else if (maxNumber < lengthNum) {
                        it.parent().children(".minus").attr("disabled",'disabled');
                        it.parent().children(".plus").removeAttr("disabled",'disabled');
                        it.val(parseInt(1));
                    } else {
                        $(this).attr("disabled", 'disabled');
                    }
                    option.clickBack(lengthNum+1);
                });
                $(this).parent().children(".minus").unbind("click");
                $(this).parent().children(".minus").on('click', function (e) {
                    e.preventDefault();
                    if (option.maxNumber) {
                        var maxNumber = parseInt(option.maxNumber);
                    } else {
                        var maxNumber = parseInt(999999);
                    }
                    var lengthNum= parseInt(it.val());
                    if (maxNumber >= lengthNum){
                        $(this).parent().children(".plus").removeAttr("disabled",'disabled');
                        it.val(lengthNum-1);
                    } else if (maxNumber < lengthNum) {
                        it.parent().children(".minus").attr("disabled",'disabled');
                        it.parent().children(".plus").removeAttr("disabled",'disabled');
                        it.val(parseInt(1));
                    } else {
                        $(this).attr("disabled", 'disabled');
                    }
                    if (parseInt(it.val())<=1){
                        it.val(parseInt(1));
                        $(this).attr("disabled",'disabled');
                    }
                    option.clickBack(lengthNum-1);
                })
            });
        }
    }
}(jQuery));

/*-----------------------------------------------Andrew_Ratyli-------------------------------------------*/
(function($){
    $.Andrew_Ratyli = function(el, options){
        var base = this;
        base.$el = $(el);
        base.el = el;
        base.$el.data("Andrew_Ratyli", base);
        base.init = function(){
            // extend with parameters
            base.options = $.extend({},$.Andrew_Ratyli.defaultOptions, options);
            // extend with html5 dataset
            base.options =$.extend({},base.options,base.$el.data());
            // for the loop
            base.set(base.options.rate,true);
            // event listeners for rating signs
            base.$el.on("click","> *",function(e){
                if(!base.options.disable){
                    var target= e.target;
                    if(target.tagName!="span") target=target.parentNode;
                    base.options.onSignClick.call(base,target);
                    var val=$(target).prevAll().length+1;
                    base.set(val);
                }
            });
            base.$el.on("mouseenter","> *",function(e){
                var target= e.target;
                if(target.tagName!="span") target=target.parentNode;
                if(!base.options.disable){
                    $(target).addClass("rate-active");
                    $(target).prevAll().addClass("rate-active");
                }
                base.options.onSignEnter.apply(null,[base.options.rate,target]);
            });

            base.$el.on("mouseleave","> *",function(e){
                var target= e.target;
                if(target.tagName!="span") target=target.parentNode;
                if(!base.options.disable){
                    $(target).removeClass("rate-active");
                    $(target).prevAll().removeClass("rate-active");
                }
                base.options.onSignLeave.apply(null,[base.options.rate,target]);
            });
        };
        base.set=function(val,init){
            if(val<0 || (val % 1 != 0) || val>base.options.ratemax) val=0; // reset to 0.
            if(val==1 && base.options.rate==1 && base.options.unrateable==true && !init){
                val=0;
            }
            base.options.rate=val;
            // reset html
            base.$el.html("");
            // set data-rate
            if (base.options.rate!=0) base.$el.attr("data-rate",base.options.rate);
            // set data-ratemax
            base.$el.attr("data-ratemax",base.options.ratemax);
            // generate signs
            var i=0;
            while (i < base.options.ratemax) {
                var tmp="";
                if(i<base.options.rate){
                    tmp=base.signTemplate("full");
                }else{
                    tmp=base.signTemplate("empty");
                }
                base.$el.append(tmp);
                i++;
            }
            // set rated
            if(!init && !base.options.disable){
                //base.$el.addClass("rated");
                base.$el.attr("data-rate",val);
            }
            //rated callack
            base.options.onRated.call(base,val,init);
            return base.options.rate;
        };
        base.signTemplate=function(type){
            return "<span>"+base.options[type]+"</span>";
        };
        base.init();
    };
    $.Andrew_Ratyli.defaultOptions = {
        disable: false,
        unrateable: false,
        full: "",
        empty: "",
        rate:0,
        ratemax:5,
        onSignEnter:function(){},
        onSignLeave:function(){},
        onSignClick:function(){},
        onRated:function(){}
    };
    $.fn.Andrew_Ratyli = function(options){
        return this.each(function(){
            (new $.Andrew_Ratyli(this, options));
        });
    };

}(jQuery));

/*-----------------------------------------------Andrew_Favorite-------------------------------------------*/
(function($){
    $.fn.Andrew_Favorite = function(setting) {
        var options = $.extend({
                likeMode: true, //是否开启点赞模式 （设置false为收藏模式）
                str: "+1",  //字符串，要显示的内容;也可以传一段html
                icon_defaultClass: '', //default 类样式定义
                icon_changeClass: '', //change 类样式定义
                textClass: "c_white text_12em ml_02em mr_02em", //文字样式
                text_default: "Favorite", //默认显示的文字
                text_change: "Cancel", //点击后显示的文字
                startSize: "12px",  //动画开始的文字大小
                endSize: "30px",    //动画结束的文字大小
                interval: 600,  //动画时间间隔
                color: "red",    //文字颜色
                callback: function () { } //回调函数
            },
            setting);
        var that = $(this);
        that.each(function(){
            $(this).children("i").css({
                "*display":"inline",
                "*zoom":"1"
            });
            if (options.likeMode == true) {
                $(this).append('<i></i><span></span>(<em></em>)');
                $(this).children("i").addClass(options.icon_defaultClass);
                $(this).children("span").addClass(options.textClass).text(options.text_default);
                $(this).children("em").text($(this).attr("data-value"));
                if(typeof($(this).attr("favorite"))!="undefined"){
                    if($(this).attr("favorite")==1){
                        $(this).children("i").removeClass(options.icon_defaultClass);
                        $(this).children("i").addClass(options.icon_changeClass);
                    }
                }
            } else {
                $(this).append('<i></i><span></span>');
                $(this).children("i").addClass(options.icon_defaultClass);
                $(this).children("span").addClass(options.textClass).text(options.text_default);
                if(typeof($(this).attr("favorite"))!="undefined"){
                    if($(this).attr("favorite")==1){
                        $(this).children("span").text(options.text_change);
                        $(this).children("i").removeClass(options.icon_defaultClass);
                        $(this).children("i").addClass(options.icon_changeClass);
                    }
                }
            }
        });
        that.unbind("click");
        that.on("click", function(e){
            e.preventDefault();
            var ele = $(this);
            if (options.likeMode == true) {
                if(typeof($(this).attr("favorite"))!="undefined"){
                    if($(this).attr("favorite")==1){
                        return false;
                    }
                    $(this).attr("favorite",1);
                }
                var count = parseInt($(this).attr("data-value"))+1;
                $(this).attr("data-value",count);
                $(this).find("em").text(count);
                $(this).children("i").removeClass(options.icon_defaultClass);
                $(this).children("i").addClass(options.icon_changeClass);
                $("body").append("<span class='ak-NumLength press'>" + options.str + "</span>");
                var box = $(".ak-NumLength");
                $(window).resize(function(){
                    var left = that.offset().left + that.width() / 2;
                    var top = that.offset().top - that.outerHeight();
                });
                var left = that.offset().left + that.width() / 2;
                var top = that.offset().top - that.outerHeight();
                box.css({
                    "position": "absolute",
                    "left": left,
                    "top": top,
                    "z-index": 9999,
                    "font-size": options.startSize,
                    "line-height": options.endSize,
                    "color": options.color
                });
                box.animate({
                    "font-size": options.endSize,
                    "opacity": "0",
                    "top": top - parseInt(options.endSize)
                }, options.interval, function () {
                    box.remove();
                    options.callback(count,ele);
                });
            } else {
                if ($(this).children("i").hasClass(options.icon_changeClass)) {
                    var count = parseInt($(this).attr("data-value"))-1;
                } else {
                    var count = parseInt($(this).attr("data-value"))+1;
                }
                if ($(this).children("span").text() == options.text_default ) {
                    $(this).children("span").text(options.text_change);
                } else {
                    $(this).children("span").text(options.text_default);
                }
                $(this).attr("data-value",count);
                $(this).children("i").toggleClass(options.icon_defaultClass+" "+options.icon_changeClass);
                options.callback(count,ele);
            }
        });
    };
}(jQuery));

/*-----------------------------------------------Andrew_Progress-------------------------------------------*/
(function($){
    $.fn.extend({
        Andrew_Progress: function(options) {
            var defaults = {
                goalAmount: 100,
                currentAmount: 50,
                speed: 1000,
                ColorStyle: "",
                textBefore: '',
                textAfter: '',
                milestoneNumber: 70,
                milestoneClass: 'ak-almostfull',
                callback: function() {}
            };
            var options = $.extend(defaults, options);
            return this.each(function(){
                var obj = $(this);
                // Collect and sanitize user input
                var goalAmountParsed = parseInt(defaults.goalAmount);
                var currentAmountParsed = parseInt(defaults.currentAmount);
                // Calculate size of the Andrew_Progress bar
                var percentage = (currentAmountParsed / goalAmountParsed) * 100;
                var milestoneNumberClass = (percentage > defaults.milestoneNumber) ? ' ' + defaults.milestoneClass : ''
                // Generate the HTML
                if (defaults.textAfter) {
                    var progressBar = '<li class="ak-progressBar"><span>' + defaults.textBefore + '<em>'+currentAmountParsed+'</em>' + defaults.textAfter + '</span></li>';
                } else {
                    var progressBar = '<li class="ak-progressBar"><span>' + defaults.textBefore + '</span></li>';
                }
                var progressBarWrapped = '<ol class="bg_in h_in dis_block_im ovh ' + milestoneNumberClass + '">' + progressBar + '</ol>';
                // Append to the target
                obj.append(progressBarWrapped);
                // Ready
                var rendered = obj.children("ol").children("li")
                // Remove Spaces
                rendered.each(function() {
                    $(".ak-progressBar").addClass(defaults.ColorStyle);
                    $(this).html($(this).html().replace(/\s/g, ' '));
                    rendered.find('span').css({
                        "line-height": rendered.height()+"px"
                    });
                    obj.css("margin-top", (obj.parent().height() - obj.height()) / 2);
                    $(window).resize(function(){
                        rendered.find('span').css({
                            "line-height": rendered.height()+"px"
                        });
                        obj.css("margin-top", (obj.parent().height() - obj.height()) / 2);
                    });
                });
                // Animate!
                rendered.animate({width: percentage +'%'}, defaults.speed, defaults.callback);
                if(typeof callback == 'function') {
                    callback.call(this)
                }
            });
        }
    });
}(jQuery));

/*-----------------------------------------------Andrew_Lazyload-------------------------------------------*/
(function($){
    var $window = $(window);
    $.fn.Andrew_Lazyload = function(options) {
        var elements = this;
        var $container;
        var settings = {
            threshold       : 0,
            failure_limit   : 0,
            event           : "scroll",
            effect          : "show",
            container       : window,
            data_attribute  : "original",
            skip_invisible  : true,
            appear          : null,
            load            : null,
            placeholder     : ""
        };
        function update() {
            var counter = 0;
            elements.each(function() {
                var $this = $(this);
                if (settings.skip_invisible && !$this.is(":visible")) {
                    return;
                }
                if ($.abovethetop(this, settings) || $.leftofbegin(this, settings)) {
                    /* Nothing. */
                } else if (!$.belowthefold(this, settings) && !$.rightoffold(this, settings)) {
                    $this.trigger("appear");
                    /* if we found an image we'll load, reset the counter */
                    counter = 0;
                } else {
                    if (++counter > settings.failure_limit) {
                        return false;
                    }
                }
            });
        }
        if(options) {
            /* Maintain BC for a couple of versions. */
            if (undefined !== options.failurelimit) {
                options.failure_limit = options.failurelimit;
                delete options.failurelimit;
            }
            if (undefined !== options.effectspeed) {
                options.effect_speed = options.effectspeed;
                delete options.effectspeed;
            }
            $.extend(settings, options);
        }
        /* Cache container as jQuery as object. */
        $container = (settings.container === undefined ||
            settings.container === window) ? $window : $(settings.container);
        /* Fire one scroll event per scroll. Not one scroll event per image. */
        if (0 === settings.event.indexOf("scroll")) {
            $container.bind(settings.event, function() {
                return update();
            });
        }
        this.each(function() {
            var self = this;
            var $self = $(self);
            self.loaded = false;
            /* If no src attribute given use data:uri. */
            if ($self.attr("src") === undefined || $self.attr("src") === false) {
                if ($self.is("img")) {
                    $self.attr("src", settings.placeholder);
                }
            }
            /* When appear is triggered load original image. */
            $self.one("appear", function() {
                if (!this.loaded) {
                    if (settings.appear) {
                        var elements_left = elements.length;
                        settings.appear.call(self, elements_left, settings);
                    }
                    $("<img />")
                        .bind("load", function() {
                            var original = $self.attr("data-" + settings.data_attribute);
                            $self.hide();
                            if ($self.is("img")) {
                                $self.attr("src", original);
                            } else {
                                $self.css("background-image", "url('" + original + "')");
                            }
                            $self[settings.effect](settings.effect_speed);
                            self.loaded = true;
                            /* Remove image from array so it is not looped next time. */
                            var temp = $.grep(elements, function(element) {
                                return !element.loaded;
                            });
                            elements = $(temp);
                            if (settings.load) {
                                var elements_left = elements.length;
                                settings.load.call(self, elements_left, settings);
                            }
                        }).attr("src", $self.attr("data-" + settings.data_attribute));
                }
            });
            /* When wanted event is triggered load original image */
            /* by triggering appear.                              */
            if (0 !== settings.event.indexOf("scroll")) {
                $self.bind(settings.event, function() {
                    if (!self.loaded) {
                        $self.trigger("appear");
                    }
                });
            }
        });
        /* Check if something appears when window is resized. */
        $window.bind("resize", function() {
            update();
        });
        /* With IOS5 force loading images when navigating with back button. */
        /* Non optimal workaround. */
        if ((/(?:iphone|ipod|ipad).*os 5/gi).test(navigator.appVersion)) {
            $window.bind("pageshow", function(event) {
                if (event.originalEvent && event.originalEvent.persisted) {
                    elements.each(function() {
                        $(this).trigger("appear");
                    });
                }
            });
        }
        /* Force initial check if images should appear. */
        $(document).ready(function() {
            update();
        });
        return this;
    };
    /* Convenience methods in jQuery namespace.           */
    /* Use as  $.belowthefold(element, {threshold : 100, container : window}) */
    $.belowthefold = function(element, settings) {
        var fold;
        if (settings.container === undefined || settings.container === window) {
            fold = (window.innerHeight ? window.innerHeight : $window.height()) + $window.scrollTop();
        } else {
            fold = $(settings.container).offset().top + $(settings.container).height();
        }
        return fold <= $(element).offset().top - settings.threshold;
    };
    $.rightoffold = function(element, settings) {
        var fold;
        if (settings.container === undefined || settings.container === window) {
            fold = $window.width() + $window.scrollLeft();
        } else {
            fold = $(settings.container).offset().left + $(settings.container).width();
        }
        return fold <= $(element).offset().left - settings.threshold;
    };
    $.abovethetop = function(element, settings) {
        var fold;

        if (settings.container === undefined || settings.container === window) {
            fold = $window.scrollTop();
        } else {
            fold = $(settings.container).offset().top;
        }
        return fold >= $(element).offset().top + settings.threshold  + $(element).height();
    };
    $.leftofbegin = function(element, settings) {
        var fold;

        if (settings.container === undefined || settings.container === window) {
            fold = $window.scrollLeft();
        } else {
            fold = $(settings.container).offset().left;
        }
        return fold >= $(element).offset().left + settings.threshold + $(element).width();
    };
    $.inviewport = function(element, settings) {
        return !$.rightoffold(element, settings) && !$.leftofbegin(element, settings) &&
            !$.belowthefold(element, settings) && !$.abovethetop(element, settings);
    };
    /* Custom selectors for your convenience.   */
    /* Use as $("img:below-the-fold").something() or */
    /* $("img").filter(":below-the-fold").something() which is faster */
    $.extend($.expr[":"], {
        "below-the-fold" : function(a) { return $.belowthefold(a, {threshold : 0}); },
        "above-the-top"  : function(a) { return !$.belowthefold(a, {threshold : 0}); },
        "right-of-screen": function(a) { return $.rightoffold(a, {threshold : 0}); },
        "left-of-screen" : function(a) { return !$.rightoffold(a, {threshold : 0}); },
        "in-viewport"    : function(a) { return $.inviewport(a, {threshold : 0}); },
        /* Maintain BC for couple of versions. */
        "above-the-fold" : function(a) { return !$.belowthefold(a, {threshold : 0}); },
        "right-of-fold"  : function(a) { return $.rightoffold(a, {threshold : 0}); },
        "left-of-fold"   : function(a) { return !$.rightoffold(a, {threshold : 0}); }
    });
}(jQuery));

/*-----------------------------------------------Andrew_PreviewImage---------------------------------------*/
//size 属性对上传的图片大小限制
(function($){
    var option = {};
    $.fn.Andrew_PreviewImage = function(setting) {
        var op = $.extend({
                uploadNum:0,//用于计算图片上传数量
                webToast: "",
                messege: "",
                btn_ok: "",
                btn_cancel: "",
                box_title: new Array(),
                delbtnClass: "",
                box_icon: new Array(),
                Class:"",
                Del_icon:"",
                length_title:"",
                errorTip:"",
                size:"4",
                addCallbak: function() {},
                delCallbak: function() {}
            },
            setting);
        option = op;
        var pimg = $(this);
        pimg.addClass("ak-previewImage");
        $(option.delbtnClass).hide();
        pimg.find("input[type=file]").attr("accept","image/*");
        pimg.children("i").addClass(option.box_icon[0]);
        pimg.each(function(){
            $(option.delbtnClass).unbind("click");
            $(option.delbtnClass).click(function(e){
                if ($(option.delbtnClass).hasClass("ak-is_active")) {
                    $(option.delbtnClass).parents("ul").find("li span").hide();
                    $(option.delbtnClass).removeClass("ak-is_active");
                } else {
                    $(option.delbtnClass).parents("ul").find("li span").show();
                    $(option.delbtnClass).addClass("ak-is_active");
                }
            });
        });
        pimg.bind('change', function() {
            if(option.uploadNum == op.length){
                webToast(op.length_title +""+ op.length+"","middle","mask",10000);
                return false;
            }
            var tempData = $(this).children('input')[0];
            if((option.uploadNum + tempData.files.length) > op.length){
                webToast(op.length_title +""+ op.length+"","middle","mask",10000);
            }
            var tempFiles = [];
            for(var i=0;i<(op.length-option.uploadNum);i++){
              //图片大小限制
              if(tempData.files[i]!=null && tempData.files[i]!=undefined) {
                if (tempData.files[i].size > op.size * 1024 * 1024) {
                  webToast("上传的照片的大小不能大于" + op.size + "M", "middle", "mask", 10000);
                  return false;
                }
              }

                tempFiles.push(tempData.files[i])
            }
            file_prvid(tempData, tempFiles, op);
        });
        var figure_wh = $(this).outerWidth();
        var figure_m = $(this).outerWidth() / 3;
        pimg.children("figure").css({
            "width": figure_wh - figure_m,
            "height": figure_wh - figure_m,
            "line-height": figure_wh - figure_m+"px",
            "margin-top": (figure_m / 2)-2
        });
    };
    function file_prvid(file,files,op) {
      console.log('1111');
      console.log(file);
      console.log(files);
      console.log('222');
        var tip = op.errorTip; // 设定提示信息
        var filters = {
            "jpeg": "/9j/4",
            "gif": "R0lGOD",
            "png": "iVBORw"
        };
        if (window.FileReader) { // html5方案
            for (var i = 0,f; f = files[i];i++) {
                //console.log(i);
                var fr = new FileReader();
                fr.onload = function(e) {
                    var src = e.target.result;
                    if (!Andrew_ValidateImg(src)) {
                        $ak.alert(tip, {
                            icon: "error",
                            button_ok: op.btn_ok,
                            button_cancel: op.btn_cancel,
                            title: op.box_title[1]
                        });
                        return false;
                    } else {
                        showPrvImg(src, file);
                        op.uploadNum ++;
                    }
                };
                fr.readAsDataURL(f);
            }
        } else { // 降级处理
            if (!/\.jpg$|\.png$|\.gif$/i.test(file.value)) {
                $ak.alert(tip, {
                    icon: "error",
                    button_ok: op.btn_ok,
                    button_cancel: op.btn_cancel,
                    title: op.box_title[1]
                });
                return false;
            } else {
                showPrvImg(file.value, file);
                op.uploadNum ++;
            }
        }
        function Andrew_ValidateImg(data) {
            var pos = data.indexOf(",") + 1;
            for (var e in filters) {
                if (data.indexOf(filters[e]) === pos) {
                    return e;
                }
            }
            return null;
        }
        function showPrvImg(src, id) {
            //上传图片后继续生成图片
            var imgList = "<li class='rel fl mb_5'>" +
                "<figure class='img_auto "+option.Class+"' style='background-color: #eeeeee !important;'>" +
                "<img src=" + src + " />" +
                "</figure>" +
                "<span class='pointer top_0 abs wh_12em line_h_12em text_14em text_al_c bor_rad_50 c_white "+option.Del_icon+"' style='background-color: rgba(255,0,0,1); z-index: 1'>" +
                "</span>" +
                "</li>";
            $(id).parents("li").before(imgList);
            $(option.delbtnClass).show(); //显示删除按钮
            var showPrvImg_li = $(id).parents("li");

            option.addCallbak(showPrvImg_li.parent());

            var delbtn = showPrvImg_li.parent().find("li").find("span");
            delbtn.hide().css({
                "margin-top": "-" + delbtn.height() / 3 + "px",
                "left": showPrvImg_li.parent().find("figure").width() - (delbtn.width() / 2)
            });

            delbtn.unbind("click");
            delbtn.click(function(){
                var image = $(this);
                $ak.confirm(option.messege, {
                    icon: "question",
                    button_ok: option.btn_ok,
                    button_cancel: option.btn_cancel,
                    title: option.box_title[0], //弹窗标题
                    onSubmit:function(res){
                        option.delCallbak(image.parent("li"));
                        option.uploadNum--;
                        if (option.uploadNum < 1) {
                            $(option.delbtnClass).hide(); //隐藏删除按钮
                        }
                        webToast(option.webToast,"bottom",1000); //(提示文字，显示位置，耗时)
                    }
                });
            });
        }


    }

}(jQuery));

/*-----------------------------------------------Andrew_PortraitImage--------------------------------------*/
(function($){
    var option = {};
    $.fn.Andrew_PortraitImage = function(setting) {
        var op = $.extend({
                errorTip: "",
                btn_ok: "",
                box_title: "",
                addCallbak: function() {}
            },
            setting);
        option = op;
        var pimg = $(this);
        pimg.addClass("ak-PortraitImage");
        pimg.find("input[type=file]").attr("accept","image/*");
        pimg.bind('change',
            function() {
                ak_PortraitFilePrvid($(this).children('input')[0],op);
            });
        pimg.children("figure").css({
            "margin-top": ($(this).outerWidth() / 3 / 2)-2
        });

        $(window).resize(function(){
            pimg.children("figure").css({
                "margin-top": (pimg.outerWidth() / 3 / 2)-2
            });
        });
    };
    function ak_PortraitFilePrvid(file,op) {
        var tip = op.errorTip; // 设定提示信息
        var filters = {
            "jpeg": "/9j/4",
            "gif": "R0lGOD",
            "png": "iVBORw"
        };
        if (window.FileReader) { // html5方案
            for (var i = 0,
                     f; f = file.files[i]; i++) {
                var fr = new FileReader();
                fr.onload = function(e) {
                    var src = e.target.result;
                    if (!ak_PortraitValidateImg(src)) {
                        $ak.alert(tip, {
                            icon: "error",
                            button_ok: op.btn_ok,
                            title: op.box_title
                        });
                    } else {
                        ak_PortraitShowImg(src, file);
                    }
                };
                fr.readAsDataURL(f);
            }
        } else { // 降级处理
            if (!/\.jpg$|\.png$|\.gif$/i.test(file.value)) {
                $ak.alert(tip, {
                    icon: "error",
                    button_ok: op.btn_ok,
                    title: op.box_title
                });
            } else {
                ak_PortraitShowImg(file.value, file);
            }
        }
        function ak_PortraitValidateImg(data) {
            var pos = data.indexOf(",") + 1;
            for (var e in filters) {
                if (data.indexOf(filters[e]) === pos) {
                    return e;
                }
            }
            return null;
        }
        function ak_PortraitShowImg(src, id) {
            //上传图片后替换原先的图
            var figure = "<img src=" + src + ">";
            $(id).next().remove("i");
            $(id).next().html(figure);
            $(id).unbind("click");
            $(id).click(function() {
                $(id).parent().children("img").attr("src", src);
            });
            option.addCallbak($(id).next().find("img"));
        }
    }
}(jQuery));

/*-----------------------------------------------Andrew_SnInput-------------------------------------------*/
(function($){
    $.fn.Andrew_SnInput = function(setting) {
        var option = $.extend({
                default_active: false,
                input_length: 1,
                callback:function(){
                }
            },
            setting);
        var ele = $(this).find("input");
        $(this).css({
            "display": "block",
            "overflow": "hidden",
            "position": "relative"
        });
        ele.each(function() {
            ele.css({
                "display": "block",
                "overflow": "hidden",
                "position": "relative",
                "float": "left",
                "text-align": "center"
            });
            if (option.default_active == true) {
                ele.first().focus();
            }
            ele.attr("maxlength",option.input_length);
            ele.focus(function() {
                $(this).addClass("bor_title bg_white");
            });
            ele.blur(function() {
                $(this).removeClass("bor_title bg_white");
            });
            $(this).keyup(function(e) {
                e = window.event || e;
                var k = e.keyCode || e.which;
                if (k == 8) { //8是空格键
                    if ($(this).val().length < 1) {
                        $(this).prev().focus();
                        $(this).prev().focus(function() {
                            var obj = e.srcElement ? e.srcElement: e.target;
                            if (obj.createTextRange) { //IE浏览器
                                var range = obj.createTextRange();
                                range.moveStart("character", option.input_length);
                                range.collapse(true);
                                range.select();
                            }
                        });
                    }
                } else {
                    if ($(this).val().length > parseInt(option.input_length)-1) {
                        $(this).next().focus();
                    }
                }
                this.value=this.value.replace(/[^a-z0-9]/i,''); //只允许输入字母和数字
                this.value=this.value.toUpperCase(); //英文字母转换为大写
            })
        });
        ele.bind('keyup',function() {
            var f = true;
            var str = "";
            if (ele.val() >= 1) {
                $(this).addClass("c_black");
            } else {
                $(this).addClass("c_black");
            }
            for(var i = 0;i < ele.length; i++){
                if(""==ele.eq(i).val()){
                    f = false;
                }
            }
            if(f){
                for(var i = 0;i < ele.length; i++){
                    str += ele.eq(i).val();
                }
                if(str.length==(parseInt(option.input_length)*ele.length)){
                    option.callback(str)
                }
            }else{
                option.callback("");
            }
        });
    };
}(jQuery));

/*-----------------------------------------------Andrew_Typeahead-----------------------------------------*/
(function($){
    var Andrew_Typeahead = function (element, options) {
        this.$element = $(element);
        this.options = $.extend(true, {}, $.fn.Andrew_Typeahead.defaults, options);
        this.$menu = $(this.options.menu).appendTo('body');
        this.shown = false;
        // Method overrides
        this.eventSupported = this.options.eventSupported || this.eventSupported;
        this.grepper = this.options.grepper || this.grepper;
        this.highlighter = this.options.highlighter || this.highlighter;
        this.lookup = this.options.lookup || this.lookup;
        this.matcher = this.options.matcher || this.matcher;
        this.render = this.options.render || this.render;
        this.init = this.options.init || this.init;
        this.ele_show = this.options.ele_show || this.ele_show;
        this.select = this.options.select || this.select;
        this.sorter = this.options.sorter || this.sorter;
        this.source = this.options.source || this.source;
        if (!this.source.length) {
            var ajax = this.options.ajax;
            if (typeof ajax === 'string') {
                this.ajax = $.extend({}, $.fn.Andrew_Typeahead.defaults.ajax, { url: ajax });
            } else {
                this.ajax = $.extend({}, $.fn.Andrew_Typeahead.defaults.ajax, ajax);
            }
            if (!this.ajax.url) {
                this.ajax = null;
            }
        }
        this.init();
        this.listen();
    };
    Andrew_Typeahead.prototype = {
        constructor: Andrew_Typeahead,
        init: function () {
            var that = this;
            that.$element.bind('focus', function() {
                that.ele_show(1);
                that.$menu.children("ul").hide();
            });
            that.$element.bind('input propertychange', function() {
                that.ele_show(1);
                if (that.$menu.children("ul").find("li").length > 0) {
                    that.$menu.children("ul").show();
                } else {
                    that.$menu.children("ul").hide();
                }
                if (that.$element.val().length==0) {
                    that.$menu.children("ul").empty();
                    that.$element.blur();
                }
            });
        },
        ele_show:function(flag){
            var that = this;
            if(flag){
                that.$menu.on("touchmove",function(event){
                    event.preventDefault();
                });
            }else{
                that.$menu.unbind("touchmove");
            }
            that.$menu.css({
                "top": that.$element.parent().parent().outerHeight(),
                "left": "0",
                "width": "100%"
            });
            that.$menu.children("ul").addClass("scrolling").css({
                "overflow-y": "scroll",
                "height": $(window).height()
            });
            that.$element.parent().parent().addClass("ak-is_search w_100 zindex_show fix top_0 left_0");
            $("header").hide();
            $("main").addClass("mt_0").removeClass("scrolling");
            $(window).bind('hashchange', function () {
                that.$menu.remove();
                $("header").show();
                $("main").removeClass("mt_0").addClass("scrolling");
            });
            that.$menu.fadeIn();
            that.options.showCallBack(that.$menu);
            that.shown = true;
        },
        //  Check if an event is supported by the browser eg. 'keypress'
        eventSupported: function(eventName) {
            var isSupported = (eventName in this.$element);
            if (!isSupported) {
                this.$element.setAttribute(eventName, 'return;');
                isSupported = typeof this.$element[eventName] === 'function';
            }
            return isSupported;
        },
        //  Handle AJAX source
        ajaxer: function () {
            var that = this,
                query = that.$element.val();
            if (query === that.query) {
                return that;
            }
            // Query changed
            that.query = query;
            // Cancel last timer if set
            if (that.ajax.timerId) {
                clearTimeout(that.ajax.timerId);
                that.ajax.timerId = null;
            }
            if (!query || query.length < that.ajax.triggerLength) {
                // Cancel the ajax callback if in progress
                if (that.ajax.xhr) {
                    that.ajax.xhr.abort();
                    that.ajax.xhr = null;
                    that.ajaxToggleLoadClass(false);
                }
                return that.shown ? that.hide() : that;
            }
            // Query is good to send, set a timer
            that.ajax.timerId = setTimeout(function() {
                $.proxy(that.ajaxExecute(query), that)
            }, that.ajax.timeout);
            return that;
        },
        //  Execute an AJAX request
        ajaxExecute: function(query) {
            this.ajaxToggleLoadClass(true);
            // Cancel last call if already in progress
            if (this.ajax.xhr) this.ajax.xhr.abort();
            var params = this.ajax.preDispatch ? this.ajax.preDispatch(query) : { query : query };
            var jAjax = (this.ajax.method === "post") ? $.post : $.get;
            this.ajax.xhr = jAjax(this.ajax.url, params, $.proxy(this.ajaxLookup, this));
            this.ajax.timerId = null;
        },
        //  Perform a lookup in the AJAX results
        ajaxLookup: function (data) {
            var items;
            this.ajaxToggleLoadClass(false);
            if (!this.ajax.xhr) return;
            if (this.ajax.preProcess) {
                data = this.ajax.preProcess(data);
            }
            // Save for selection retreival
            this.ajax.data = data;
            items = this.grepper(this.ajax.data);
            if (!items || !items.length) {
                return this.shown ? this.hide() : this;
            }
            this.ajax.xhr = null;
            return this.render(items.slice(0, this.options.items)).show();
        },
        //  Toggle the loading class
        ajaxToggleLoadClass: function (enable) {
            if (!this.ajax.loadingClass) return;
            this.$element.toggleClass(this.ajax.loadingClass, enable);
        },
        //  Search source
        lookup: function (event) {
            var that = this,
                items;
            if (that.ajax) {
                that.ajaxer();
            }
            else {
                that.query = that.$element.val();
                if (!that.query) {
                    return that.shown ? that.hide() : that;
                }
                items = that.grepper(that.source);
                if (!items || !items.length) {
                    return that.shown ? that.show() : that;
                }
                return that.render(items.slice(0, that.options.items)).show();
            }
        },
        //  Filters relevent results
        grepper: function(data) {
            var that = this,
                items;
            if (data && data.length && !data[0].hasOwnProperty(that.options.display)) {
                return null;
            }
            items = $.grep(data, function (item) {
                return that.matcher(item[that.options.display], item);
            });
            return this.sorter(items);
        },
        //  Looks for a match in the source
        matcher: function (item) {
            return ~item.toLowerCase().indexOf(this.query.toLowerCase());
        },
        //  Sorts the results
        sorter: function (items) {
            var that = this,
                beginswith = [],
                caseSensitive = [],
                caseInsensitive = [],
                item;
            while (item = items.shift()) {
                if (!item[that.options.display].toLowerCase().indexOf(this.query.toLowerCase())) {
                    beginswith.push(item);
                }
                else if (~item[that.options.display].indexOf(this.query)) {
                    caseSensitive.push(item);
                }
                else {
                    caseInsensitive.push(item);
                }
            }
            return beginswith.concat(caseSensitive, caseInsensitive);
        },
        //  Shows the results list
        show: function () {
            var that = this;
            that.ele_show();
            this.$menu.bind("touchstart", function() {
                document.activeElement.blur();//隐藏键盘
            });
            return this;
        },
        //  Hides the results list
        hide: function () {
            this.$element.parent().parent().removeClass("ak-is_search w_100 zindex_show fix top_0 left_0");
            $("header").show();
            $("main").removeClass("mt_0").addClass("scrolling");
            this.$menu.hide();
            this.shown = false;
            return this;
        },
        //  Highlights the match(es) within the results
        highlighter: function (item) {
            var query = this.query.replace(/[\-\[\]{}()*+?.,\\\^$|#\s]/g, '\\$&');
            return item.replace(new RegExp('(' + query + ')', 'ig'), function ($1, match) {
                return '<strong>' + match + '</strong>';
            });
        },
        //  Renders the results list
        render: function (items) {
            var that = this;
            this.$menu.html("<ul />");
            items = $(items).map(function (i, item) {
                i = $(that.options.item).attr('data-value', item[that.options.val]);
                i.html(that.highlighter(item[that.options.display], item));
                return i[0];
            });
            items.first().addClass("ak-is_active");
            this.$menu.children("ul").html(items);
            return this;
        },
        //  Item is selected
        select: function () {
            var that = this;
            var $selectedItem = this.$menu.find('.ak-is_active');
            setTimeout(function () {
                document.activeElement.blur();//隐藏键盘
                that.hide();
                that.$element.val($selectedItem.text()).change();
            }, 150);
            if (this.$element.val != "") {
                //this.$menu.find('li').unbind("click");
                this.$menu.find('li').on('click', function(e) {
                    e.stopPropagation();
                    that.hide();
                });
            }
            this.$menu.children("ul").empty();
            this.options.itemSelected($selectedItem, $selectedItem.attr('data-value'), $selectedItem.text());
            return;
        },
        //  Selects the next result
        next: function (event) {
            var active = this.$menu.find('.ak-is_active').removeClass("ak-is_active");
            var next = active.next();
            if (!next.length) {
                next = $(this.$menu.find('li')[0]);
            }
            next.addClass("ak-is_active");
        },
        //  Selects the previous result
        prev: function (event) {
            var active = this.$menu.find('.ak-is_active').removeClass("ak-is_active");
            var prev = active.prev();
            if (!prev.length) {
                prev = this.$menu.find('li').last();
            }
            prev.addClass("ak-is_active");
        },
        //  Listens for user events
        listen: function () {
            this.$element.on('blur', $.proxy(this.blur, this)).on('input propertychange', $.proxy(this.keyup, this));

            if (this.eventSupported('keydown')) {
                this.$element.on('keydown', $.proxy(this.keypress, this));
            } else {
                this.$element.on('keypress', $.proxy(this.keypress, this));
            }
            this.$menu.on('click', $.proxy(this.click, this)).on('mouseenter', 'li', $.proxy(this.mouseenter, this));
        },
        //  Handles a key being raised up
        keyup: function (e) {
            e.stopPropagation();
            e.preventDefault();
            switch (e.keyCode) {
                case 40:
                // down arrow
                case 38:
                    // up arrow
                    break;
                case 9:
                // tab
                case 13:
                    // enter
                    if (!this.shown) {
                        return;
                    }
                    this.select();
                    break;
                case 27:
                    // escape
                    this.hide();
                    break;
                default:
                    this.lookup();
            }
        },
        //  Handles a key being pressed
        keypress: function (e) {
            e.stopPropagation();
            if (!this.shown) {
                return;
            }
            switch (e.keyCode) {
                case 9:
                // tab
                case 13:
                // enter
                case 27:
                    // escape
                    e.preventDefault();
                    break;
                case 38:
                    // up arrow
                    e.preventDefault();
                    this.prev();
                    break;
                case 40:
                    // down arrow
                    e.preventDefault();
                    this.next();
                    break;
            }
        },
        //  Handles cursor exiting the textbox
        blur: function (e) {
            var that = this;
            e.stopPropagation();
            e.preventDefault();
            if (that.$element.val().length==0) {
                that.hide();
            }
            setTimeout(function () {
                document.activeElement.blur();//隐藏键盘
                /*if (!that.$menu.is(':focus')) {
                    that.hide();
                }*/
            }, 150);
        },
        //  Handles clicking on the results list
        click: function (e) {
            e.stopPropagation();
            e.preventDefault();
            this.select();
        },
        //  Handles the mouse entering the results list
        mouseenter: function (e) {
            this.$menu.find('.ak-is_active').removeClass("ak-is_active");
            $(e.currentTarget).addClass("ak-is_active");
        }
    };
    //  Plugin definition
    $.fn.Andrew_Typeahead = function (option) {
        return this.each(function () {
            var $this = $(this),
                data = $this.data('ak_typeahead'),
                options = typeof option === 'object' && option;
            if (!data) {
                $this.data('ak_typeahead', (data = new Andrew_Typeahead(this, options)));
            }
            if (typeof option === 'string') {
                data[option]();
            }
        });
    };
    //  Defaults
    $.fn.Andrew_Typeahead.defaults = {
        source: [],
        items: 20,
        menu: '<div class="ak-typeahead"></div>',
        item: '<li class="touchstart"></li>',
        display: 'name',
        val: 'id',
        showCallBack: function () { },
        itemSelected: function () { },
        ajax: {
            url: null,
            timeout: 300,
            method: 'post',
            triggerLength: 3,
            loadingClass: null,
            displayField: null,
            preDispatch: null,
            preProcess: null
        }
    };
    $.fn.Andrew_Typeahead.Constructor = Andrew_Typeahead;
    $(function () {
        $('body').on('focus.ak_typeahead.data-api', '[data-provide="ak_typeahead"]', function (e) {
            var $this = $(this);
            if ($this.data('ak_typeahead')) {
                return;
            }
            e.preventDefault();
            $this.ak_typeahead($this.data());
        });
    });
}(jQuery));

/*-----------------------------------------------Andrew_lightSlider---------------------------------------*/
(function($){
    var defaults = {
        item: 3,
        autoWidth: false,
        slideMove: 1,
        slideMargin: 10,
        activeClass: '',
        dotClass: new Array(),
        useCSS: true,
        speed: 400,
        auto: false,
        loop: false,
        pause: 2000,
        pager: false,
        freeMove: true,
        swipeThreshold: 40,
        responsive: [],
        onSliderClick: function ($el, num) {},
        onSliderLoad: function ($el) {}
    };
    $.fn.Andrew_lightSlider = function (options) {
        if (this.length === 0) {
            return this;
        }
        if (this.length > 1) {
            this.each(function () {
                $(this).Andrew_lightSlider(options);
            });
            return this;
        }
        var plugin = {},
            settings = $.extend(true, {}, defaults, options),
            settingsTemp = {},
            $el = this;
        plugin.$el = this;
        var $children = $el.children(),
            windowW = $(window).width(),
            breakpoint = null,
            resposiveObj = null,
            length = 0,
            w = 0,
            on = false,
            elSize = 0,
            $slide = '',
            scene = 0,
            property = 'width',
            gutter = 'margin-right',
            slideValue = 0,
            slideWidth = 0,
            interval = null,
            isTouch = ('ontouchstart' in document.documentElement);
        var refresh = {};
        refresh.chbreakpoint = function () {
            windowW = $(window).width();
            if (settings.responsive.length) {
                var item;
                if (settings.autoWidth === false) {
                    item = settings.item;
                }
                if (windowW < settings.responsive[0].breakpoint) {
                    for (var i = 0; i < settings.responsive.length; i++) {
                        if (windowW < settings.responsive[i].breakpoint) {
                            breakpoint = settings.responsive[i].breakpoint;
                            resposiveObj = settings.responsive[i];
                        }
                    }
                }
                if (typeof resposiveObj !== 'undefined' && resposiveObj !== null) {
                    for (var j in resposiveObj.settings) {
                        if (resposiveObj.settings.hasOwnProperty(j)) {
                            if (typeof settingsTemp[j] === 'undefined' || settingsTemp[j] === null) {
                                settingsTemp[j] = settings[j];
                            }
                            settings[j] = resposiveObj.settings[j];
                        }
                    }
                }
                if (!$.isEmptyObject(settingsTemp) && windowW > settings.responsive[0].breakpoint) {
                    for (var k in settingsTemp) {
                        if (settingsTemp.hasOwnProperty(k)) {
                            settings[k] = settingsTemp[k];
                        }
                    }
                }
                if (settings.autoWidth === false) {
                    if (slideValue > 0 && slideWidth > 0) {
                        if (item !== settings.item) {
                            scene = Math.round(slideValue / ((slideWidth + settings.slideMargin) * settings.slideMove));
                        }
                    }
                }
            }
        };
        refresh.calSW = function () {
            if (settings.autoWidth === false) {
                slideWidth = (elSize - ((settings.item * (settings.slideMargin)) - settings.slideMargin)) / settings.item;
            }
        };
        refresh.calWidth = function (cln) {
            var ln = cln === true ? $slide.find('.ak-lslide').length : $children.length;
            if (settings.autoWidth === false) {
                w = ln * (slideWidth + settings.slideMargin);
            } else {
                w = 0;
                for (var i = 0; i < ln; i++) {
                    w += (parseInt($children.eq(i).width()) + settings.slideMargin);
                }
            }
            return w;
        };
        plugin = {
            doCss: function () {
                var support = function () {
                    var transition = ['transition', 'MozTransition', 'WebkitTransition', 'OTransition', 'msTransition', 'KhtmlTransition'];
                    var root = document.documentElement;
                    for (var i = 0; i < transition.length; i++) {
                        if (transition[i] in root.style) {
                            return true;
                        }
                    }
                };
                if (settings.useCSS && support()) {
                    return true;
                }
                return false;
            },
            initialStyle: function () {
                var $this = this;
                if (settings.autoWidth) {
                    settings.slideMove = 1;
                    settings.item = 1;
                }
                if (settings.loop) {
                    settings.slideMove = 1;
                    settings.freeMove = false;
                }
                refresh.chbreakpoint();
                $el.addClass('ak-lightSlider').wrap('<div class="ak-lSSlideOuter"><div class="ak-lSSlideWrapper"></div></div>');
                $slide = $el.parent('.ak-lSSlideWrapper');
                elSize = $el.outerWidth();
                $children.addClass('ak-lslide');
                if (settings.loop === true) {
                    refresh.calSW();
                    refresh.clone = function () {
                        if (refresh.calWidth(true) > elSize) {
                            /**/
                            var tWr = 0,
                                tI = 0;
                            for (var k = 0; k < $children.length; k++) {
                                tWr += (parseInt($el.find('.ak-lslide').eq(k).width()) + settings.slideMargin);
                                tI++;
                                if (tWr >= (elSize + settings.slideMargin)) {
                                    break;
                                }
                            }
                            var tItem = settings.autoWidth === true ? tI : settings.item;

                            /**/
                            if (tItem < $el.find('.ak-lSSclone.ak-lSSleft').length) {
                                for (var i = 0; i < $el.find('.ak-lSSclone.ak-lSSleft').length - tItem; i++) {
                                    $children.eq(i).remove();
                                }
                            }
                            if (tItem < $el.find('.ak-lSSclone.ak-lSSright').length) {
                                for (var j = $children.length - 1; j > ($children.length - 1 - $el.find('.ak-lSSclone.ak-lSSright').length); j--) {
                                    scene--;
                                    $children.eq(j).remove();
                                }
                            }
                            /**/
                            for (var n = $el.find('.ak-lSSclone.ak-lSSright').length; n < tItem; n++) {
                                $el.find('.ak-lslide').eq(n).clone().removeClass('ak-lslide').addClass('ak-lSSclone ak-lSSright').appendTo($el);
                                scene++;
                            }
                            for (var m = $el.find('.ak-lslide').length - $el.find('.ak-lSSclone.ak-lSSleft').length; m > ($el.find('.ak-lslide').length - tItem); m--) {
                                $el.find('.ak-lslide').eq(m - 1).clone().removeClass('ak-lslide').addClass('ak-lSSclone ak-lSSleft').prependTo($el);
                            }
                            $children = $el.children();
                        } else {
                            if ($children.hasClass('ak-lSSclone')) {
                                $el.find('.ak-lSSclone').remove();
                                $this.move($el, 0);
                            }
                        }
                    };
                    refresh.clone();
                }
                var index = 0;
                $children.on('click', function () {
                    var le_length = $el.find(".ak-lSSclone.ak-lSSleft").length;
                    var mi_length = $el.find(".ak-lslide").length;
                    var al_length = $children.length;
                    var i = $(this).index();
                    index = i;
                    if (i >= mi_length + le_length) {
                        if(i != al_length-1){
                            index = i - mi_length;
                        }

                    }
                    if (i < le_length ) {
                        index = i + mi_length;
                    }
                    var num = index-le_length+1;
                    settings.onSliderClick($(this),num);
                    $(this).addClass('ak-is_active '+settings.activeClass).siblings($children).removeClass('ak-is_active '+settings.activeClass);
                });
                refresh.sSW = function () {
                    length = $children.length;
                    if (settings.autoWidth === false) {
                        $children.css(property, slideWidth + 'px');
                    }
                    $children.css(gutter, settings.slideMargin + 'px');
                    w = refresh.calWidth(false);
                    $el.css(property, w + 'px');
                    if (settings.loop === true) {
                        if (on === false) {
                            scene = $el.find('.ak-lSSclone.ak-lSSleft').length;
                        }
                    }
                };
                refresh.calL = function () {
                    $children = $el.children();
                    length = $children.length;
                };
                if (this.doCss()) {
                    $slide.addClass('ak-usingCss');
                }
                refresh.calL();
                refresh.calSW();
                refresh.sSW();
                if (settings.loop === true) {
                    slideValue = $this.slideValue();
                    this.move($el, slideValue);
                }
                this.setHeight($el, false);
                if (settings.loop === true) {
                    $children.eq(scene).addClass('ak-is_active '+settings.activeClass);
                } else {
                    $children.first().addClass('ak-is_active '+settings.activeClass);
                }
            },
            pager: function () {
                var $this = this;
                refresh.createPager = function () {
                    var $children = $slide.find('.ak-lslide');
                    var length = $slide.find('.ak-lslide').length;
                    var i = 0,
                        pagers = '',
                        v = 0;
                    for (i = 0; i < length; i++) {
                        // calculate scene * slide value
                        if (!settings.autoWidth) {
                            v = i * ((slideWidth + settings.slideMargin) * settings.slideMove);
                        } else {
                            v += ((parseInt($children.eq(i).width()) + settings.slideMargin) * settings.slideMove);
                        }
                        pagers += '<li>' + (i + 1) + '</li>';
                        if ((v) >= w - elSize - settings.slideMargin) {
                            i = i + 1;
                            var minPgr = 2;
                            if (settings.autoWidth) {
                                pagers += '<li>' + (i + 1) + '</li>';
                                minPgr = 1;
                            }
                            if (i < minPgr) {
                                pagers = null;
                                $slide.parent().addClass('ak-noPager');
                            } else {
                                $slide.parent().removeClass('ak-noPager');
                            }
                            break;
                        }
                    }
                    var $cSouter = $slide.parent();
                    $cSouter.find('.ak-lSPager').html(pagers);
                    var $pager = $cSouter.find('.ak-lSPager').find('li');
                    $pager.addClass(settings.dotClass[0]);
                    $pager.first().addClass('active '+settings.dotClass[1]);
                    $pager.on('click', function () {
                        if (settings.loop === true) {
                            scene = scene + ($pager.index(this) - $cSouter.find('.ak-lSPager').find('li.ak-is_active').index());
                        } else {
                            scene = $pager.index(this);
                        }
                        $el.mode(false);
                        return false;
                    });
                };
                if (settings.pager) {
                    var cl = 'ak-lSpg';
                    $slide.after('<ul class="ak-lSPager ' + cl + '"></ul>');
                    refresh.createPager();
                }

                setTimeout(function () {
                    refresh.init();
                }, 0);
            },
            setHeight: function (ob) {
                var obj = null,
                    $this = this;
                if (settings.loop) {
                    obj = ob.children('.ak-lslide ').first();
                } else {
                    obj = ob.children().first();
                }
                var setCss = function () {
                    var tH = obj.outerHeight(),
                        tP = 0,
                        tHT = tH;
                    ob.css({
                        'height': tH+2 + 'px',
                        'padding-bottom': tP + '%'
                    });
                };
                setCss();
                if (obj.find('img').length) {
                    if ( obj.find('img')[0].complete) {
                        setCss();
                        if (!interval) {
                            $this.auto();
                        }
                    }
                    /*else{
                        obj.find('img').load(function () {
                            setTimeout(function () {
                                setCss();
                                if (!interval) {
                                    $this.auto();
                                }
                            }, 100);
                        });
                    }*/
                }else{
                    if (!interval) {
                        $this.auto();
                    }
                }
            },
            active: function (ob, t) {
                var sc = 0;
                if (scene * settings.slideMove < length) {
                    ob.removeClass('active '+settings.dotClass[1]);
                    if (t === true) {
                        sc = scene;
                    } else {
                        sc = scene * settings.slideMove;
                    }
                    //t === true ? sc = scene : sc = scene * settings.slideMove;
                    var l, nl;
                    if (t === true) {
                        l = ob.length;
                        nl = l - 1;
                        if (sc + 1 >= l) {
                            sc = nl;
                        }
                    }
                    if (settings.loop === true) {
                        if (t === true) {
                            sc = scene - $el.find('.ak-lSSclone.ak-lSSleft').length;
                        } else {
                            sc = scene * settings.slideMove;
                        }
                        if (t === true) {
                            l = ob.length;
                            nl = l - 1;
                            if (sc + 1 === l) {
                                sc = nl;
                            } else if (sc + 1 > l) {
                                sc = 0;
                            }
                        }
                    }
                    ob.eq(sc).addClass('active '+settings.dotClass[1]);
                } else {
                    ob.removeClass('active '+settings.dotClass[1]);
                    ob.eq(ob.length - 1).addClass('active '+settings.dotClass[1]);
                }
            },
            move: function (ob, v) {
                if (this.doCss()) {
                    ob.css({
                        'transform': 'translate3d(' + (-v) + 'px, 0px, 0px)',
                        '-webkit-transform': 'translate3d(' + (-v) + 'px, 0px, 0px)',
                    });
                } else {
                    ob.css('position', 'relative').animate({
                        left: -v + 'px'
                    }, settings.speed, 'linear');
                }
            },
            slide: function () {
                var $this = this;
                refresh.calSlide = function () {
                    if (w > elSize) {
                        slideValue = $this.slideValue();
                        if ((slideValue) > w - elSize - settings.slideMargin) {
                            slideValue = w - elSize - settings.slideMargin;
                        } else if (slideValue < 0) {
                            slideValue = 0;
                        }
                        $this.move($el, slideValue);
                        if (settings.loop === true) {
                            if (scene >= (length - ($el.find('.ak-lSSclone.ak-lSSleft').length / settings.slideMove))) {
                                $this.resetSlide($el.find('.ak-lSSclone.ak-lSSleft').length);
                            }
                            if (scene === 0) {
                                $this.resetSlide($slide.find('.ak-lslide').length);
                            }
                        }
                    }
                };
                refresh.calSlide();
            },
            resetSlide: function (s) {
                var $this = this;
                setTimeout(function () {
                    scene = s;
                    $slide.css('transition-duration', '0ms');
                    slideValue = $this.slideValue();
                    plugin.move($el, slideValue);
                    setTimeout(function () {
                        $slide.css('transition-duration', settings.speed + 'ms');
                    }, 50);
                }, settings.speed + 100);
            },
            slideValue: function () {
                var _sV = 0;
                if (settings.autoWidth === false) {
                    _sV = scene * ((slideWidth + settings.slideMargin) * settings.slideMove);
                } else {
                    _sV = 0;
                    for (var i = 0; i < scene; i++) {
                        _sV += (parseInt($children.eq(i).width()) + settings.slideMargin);
                    }
                }
                return _sV;
            },
            auto: function () {
                if (settings.auto) {
                    clearInterval(interval);
                    interval = setInterval(function () {
                        $el.goToNextSlide();
                    }, settings.pause);
                }
            },
            touchMove: function (endCoords, startCoords) {
                $slide.css('transition-duration', '0ms');
                var distance = endCoords - startCoords;
                var swipeVal = slideValue - distance;
                if ((swipeVal) >= w - elSize - settings.slideMargin) {
                    if (settings.freeMove === false) {
                        swipeVal = w - elSize - settings.slideMargin;
                    } else {
                        var swipeValT = w - elSize - settings.slideMargin;
                        swipeVal = swipeValT + ((swipeVal - swipeValT) / 5);

                    }
                } else if (swipeVal < 0) {
                    if (settings.freeMove === false) {
                        swipeVal = 0;
                    } else {
                        swipeVal = swipeVal / 5;
                    }
                }
                this.move($el, swipeVal);
            },
            touchEnd: function (distance) {
                $slide.css('transition-duration', '500ms');
                var mxVal = false;
                var _next = true;
                slideValue = slideValue - distance;
                if ((slideValue) > w - elSize - settings.slideMargin) {
                    slideValue = w - elSize - settings.slideMargin;
                    if (settings.autoWidth === false) {
                        mxVal = true;
                    }
                } else if (slideValue < 0) {
                    slideValue = 0;
                }
                var gC = function (next) {
                    var ad = 0;
                    if (!mxVal) {
                        if (next) {
                            ad = 1;
                        }
                    }
                    if (!settings.autoWidth) {
                        var num = slideValue / ((slideWidth + settings.slideMargin) * settings.slideMove);
                        scene = parseInt(num) + ad;
                        if (slideValue >= (w - elSize - settings.slideMargin)) {
                            if (num % 1 !== 0) {
                                scene++;
                            }
                        }
                    } else {
                        var tW = 0;
                        for (var i = 0; i < $children.length; i++) {
                            tW += (parseInt($children.eq(i).width()) + settings.slideMargin);
                            scene = i + ad;
                            if (tW >= slideValue) {
                                break;
                            }
                        }
                    }
                };
                if (distance >= settings.swipeThreshold) {
                    gC(false);
                    _next = false;
                } else if (distance <= -settings.swipeThreshold) {
                    gC(true);
                    _next = false;
                }
                $el.mode(_next);
            },
            enableDrag: function () {
                var $this = this;
                if (!isTouch) {
                    var startCoords = 0,
                        endCoords = 0,
                        isDraging = false;
                    $slide.on('mousedown', function (e) {
                        if (w < elSize) {
                            if (w !== 0) {
                                return false;
                            }
                        }
                        if ($(e.target).attr('class') !== ('ak-lSPrev') && $(e.target).attr('class') !== ('ak-lSNext')) {
                            startCoords = e.pageX;
                            isDraging = true;
                            if (e.preventDefault) {
                                e.preventDefault();
                            } else {
                                e.returnValue = false;
                            }
                            // ** Fix for webkit cursor issue https://code.google.com/p/chromium/issues/detail?id=26723
                            $slide.scrollLeft += 1;
                            $slide.scrollLeft -= 1;
                            // *
                            clearInterval(interval);
                        }
                    });
                    $(window).on('mousemove', function (e) {
                        if (isDraging) {
                            endCoords = e.pageX;
                            $this.touchMove(endCoords, startCoords);
                        }
                    });
                    $(window).on('mouseup', function (e) {
                        if (isDraging) {
                            isDraging = false;
                            endCoords = e.pageX;
                            var distance = endCoords - startCoords;
                            if (Math.abs(distance) >= settings.swipeThreshold) {
                                $(window).on('click.ls', function (e) {
                                    if (e.preventDefault) {
                                        e.preventDefault();
                                    } else {
                                        e.returnValue = false;
                                    }
                                    e.stopImmediatePropagation();
                                    e.stopPropagation();
                                    $(window).off('click.ls');
                                });
                            }
                            $this.touchEnd(distance);
                        }
                    });
                }
            },
            enableTouch: function () {
                var $this = this;
                if (isTouch) {
                    var startCoords = {},
                        endCoords = {};
                    $slide.on('touchstart', function (e) {
                        endCoords = e.originalEvent.targetTouches[0];
                        startCoords.pageX = e.originalEvent.targetTouches[0].pageX;
                        startCoords.pageY = e.originalEvent.targetTouches[0].pageY;
                        clearInterval(interval);
                    });
                    $slide.on('touchmove', function (e) {
                        if (w < elSize) {
                            if (w !== 0) {
                                return false;
                            }
                        }
                        var orig = e.originalEvent;
                        endCoords = orig.targetTouches[0];
                        var xMovement = Math.abs(endCoords.pageX - startCoords.pageX);
                        var yMovement = Math.abs(endCoords.pageY - startCoords.pageY);
                        if ((xMovement * 3) > yMovement) {
                            e.preventDefault();
                        }
                        $this.touchMove(endCoords.pageX, startCoords.pageX);
                    });
                    $slide.on('touchend', function () {
                        if (w < elSize) {
                            if (w !== 0) {
                                /*return false;*/
                            }
                        }
                        var distance;
                        distance = endCoords.pageX - startCoords.pageX;
                        $this.touchEnd(distance);
                    });
                }
            },
            build: function () {
                var $this = this;
                $this.initialStyle();
                if (this.doCss()) {
                    $this.enableTouch();
                    $this.enableDrag();
                }
                $(window).on('focus', function(){
                    $this.auto();
                });
                $(window).on('blur', function(){
                    clearInterval(interval);
                });
                $this.pager();
            }
        };
        plugin.build();
        refresh.init = function () {
            refresh.chbreakpoint();
            elSize = $slide.outerWidth();
            if (settings.loop === true) {
                refresh.clone();
            }
            refresh.calL();
            $el.removeClass('ak-lSSlide');
            refresh.calSW();
            refresh.sSW();
            setTimeout(function () {
                $el.addClass('ak-lSSlide');
            }, 1000);
            if (settings.pager) {
                refresh.createPager();
            }
            plugin.setHeight($el, false);
            plugin.slide();
        };
        $el.goToPrevSlide = function () {
            if (scene > 0) {
                scene--;
                $el.mode(false);
            } else {
                if (settings.loop === true) {
                    $el.mode(false);
                }
            }
        };
        $el.goToNextSlide = function () {
            var nextI = true;
            var _slideValue = plugin.slideValue();
            nextI = _slideValue < w - elSize - settings.slideMargin;
            if (((scene * settings.slideMove) < length - settings.slideMove) && nextI) {
                scene++;
                $el.mode(false);
            } else {
                if (settings.loop === true) {
                    scene = 0;
                    $el.mode(false);
                }
            }
        };
        $el.mode = function (_touch) {
            if (on === false) {
                if (plugin.doCss()) {
                    $el.addClass('ak-lSSlide');
                    if (settings.speed !== '') {
                        $slide.css('transition-duration', settings.speed + 'ms');
                    }
                    $slide.css('transition-timing-function', 'ease');
                }
            }
            plugin.slide();
            if (!$slide.hasClass('ak-lshover')) {
                plugin.auto();
            }
            on = true;
        };
        $el.play = function () {
            $el.goToNextSlide();
            settings.auto = true;
            plugin.auto();
        };
        $el.pause = function () {
            settings.auto = false;
            clearInterval(interval);
        };
        $el.refresh = function () {
            refresh.init();
        };
        $el.getCurrentSlideCount = function () {
            var sc = scene;
            if (settings.loop) {
                var ln = $slide.find('.ak-lslide').length,
                    cl = $el.find('.ak-lSSclone.ak-lSSleft').length;
                if (scene <= cl - 1) {
                    sc = ln + (scene - cl);
                } else if (scene >= (ln + cl)) {
                    sc = scene - ln - cl;
                } else {
                    sc = scene - cl;
                }
            }
            return sc + 1;
        };
        $el.getTotalSlideCount = function () {
            return $slide.find('.ak-lslide').length;
        };
        $el.goToSlide = function (s) {
            if (settings.loop) {
                scene = (s + $el.find('.ak-lSSclone.ak-lSSleft').length - 1);
            } else {
                scene = s;
            }
            $el.mode(false);
        };
        $el.destroy = function () {
            if ($el.Andrew_lightSlider) {
                $el.goToPrevSlide = function(){};
                $el.goToNextSlide = function(){};
                $el.mode = function(){};
                $el.play = function(){};
                $el.pause = function(){};
                $el.refresh = function(){};
                $el.getCurrentSlideCount = function(){};
                $el.getTotalSlideCount = function(){};
                $el.goToSlide = function(){};
                $el.Andrew_lightSlider = null;
                refresh = {
                    init : function(){}
                };
                $el.parent().parent().find('.ak-lSPager').remove();
                $el.removeClass('ak-lightSlider ak-lSSlide ak-lSSright').removeAttr('style').unwrap().unwrap();
                $el.children().removeAttr('style');
                $children.removeClass('ak-lslide active');
                $el.find('.ak-lSSclone').remove();
                $children = null;
                interval = null;
                on = false;
                scene = 0;
            }

        };
        setTimeout(function () {
            settings.onSliderLoad.call(this, $el);
        }, 10);
        $(window).on('resize orientationchange', function (e) {
            setTimeout(function () {
                if (e.preventDefault) {
                    e.preventDefault();
                } else {
                    e.returnValue = false;
                }
                refresh.init();
            }, 200);
        });
        return this;
    };
}(jQuery));

/*-----------------------------------------------Andrew_DateTime-------------------------------------------*/
(function($){
    // 补0;
    function fillZero(x) {
        if (x < 10) {
            return x = "0" + x;
        } else {
            return "" + x;
        }
    }
    $.fn.Andrew_DateTime = function(opt) {
        function cPlugin(o, emlnum) {
            var sjObj = o;
            //默认参数
            sjObj.defaults = {
                type: "time",
                Format: "yyyy-mm-dd",
                //显示日期格式//yyyy表示年份 ，mm月份 ，dd天数
                timeFormat: "h:m:s",
                //显示时间格式//h小时，m分 s秒
                width: 60,
                //px
                height: 40,
                //px
                Year: true,
                //是否显示年//
                Month: true,
                //是否显示月//
                Day: true,
                //是否显示日//
                Hour: true,
                //是否显示小时
                Minute: true,
                //是否显示分钟
                Seconds: false,
                //是否显示秒
                yyArr: [],
                //年份数组
                mmArr: [],
                //月份数组
                ddArr: [],
                //天数数组
                hArr: [],
                //小时数组
                mArr: [],
                //分钟数组
                sArr: [],
                //分钟数组
                yyyy: "2000",
                //当前显示年
                mm: "01",
                //当前显示月
                dd: "01",
                //当前显示日
                h: "01",
                //当前显示小时
                m: "01",
                //当前显示分
                s: "01",
                //当前显示秒
                val: null,
                //最终显示时间
                yearText: "Y",
                //顶部时间 年单位 文字
                monthText: "M",
                //顶部时间 月单位 文字
                dayText: 'D',
                //顶部时间 日单位 文字
                hourText: 'H',
                //顶部时间 时单位 文字
                minuteText: 'M',
                //顶部时间 分单位 文字
                secondsText: 'S',
                //顶部时间 秒单位 文字
                okText: "OK",
                //按钮确认键文字
                cancelText: "CANCEL",
                //按钮取消键文字
                thisElm: null,
                //当前控制的dom
                showNowTime: true,
                //是否默认显示当前时间
                alwaysShow: false,
                //是否默认直接显示插件
                timeElm: null,
                //放时间插件的box
                isparseInt: false,
                //单独显示一个时间是否为正整数
                finalshow: true,
                boxClassName: "",
                onfun: function(sjObj) { //取消改变时间时候执行事件
                },
                okfun: function(sjObj) { //确认时间时候执行事件
                },
                t_box: null,
                //保存生产元素盒子
                df_persp: function() {
                    return $("<div class='ak-datetime'><div class='ak-mask'></div>")
                },
                df_box: function() {
                    return $("</div><div class='jdt_box animated slideInUp " + (sjObj.opt.alwaysShow ? "alwaysShow": "") + " " + sjObj.opt.boxClassName + "' style='line-height:" + sjObj.opt.height + "px;'></div>")
                },
                df_main: function() {
                    return $("<div class='jdt_main'>")
                },
                df_btn: function() {
                    if (sjObj.opt.alwaysShow) {
                        return
                    }
                    return $("<div class='jdt_btn'><button type='button' class='jdt_no bg_white c_gray_777'>" + sjObj.opt.cancelText + "</button><button type='button' class='jdt_ok bg_white c_title'>" + sjObj.opt.okText + "</button></div>")
                },
                df_wrap: function() {
                    return $("<div class='jdt_wrap'><table><tbody><tr></tr></tbody></table><div class='jdt_active' style='height:" + sjObj.opt.height + "px; margin-top:-" + sjObj.opt.height * 3 + "px;'></div></div>")
                },
                df_final: function() {
                    return $("<div class='jdt_final c_title'></div>")
                },
                getArr: function() {
                    //按时间生成分钟，小时，月天数，月份
                    for (var i = 0; i < 61; i++) {
                        if (i < 12) {
                            this.mmArr[i] = (i + 1);
                        }
                        if (i < 31) {
                            this.ddArr[i] = (i + 1);
                        }
                        if (i < 24) {
                            this.hArr[i] = i;
                        }
                        if (i < 60) {
                            this.mArr[i] = i;
                            this.sArr[i] = i;
                        }
                        if (i < 61 && !sjObj.opt.Year && !sjObj.opt.Month && !sjObj.opt.Day && !sjObj.opt.Hour) {
                            this.mArr[i] = i;
                        }
                    }
                },
                y: 10,
                nowTime: new Date(),
                startYear: null,
                //自定义开始年份
                endYear: null,
                //自定义结束年份
                ampmText: null,
                //上午下午
                //结构字符串生成
                dataNum: 0,

                strStart: function(text, c) {
                    var df = this;
                    var str;
                    var text = text || "";
                    //console.log(this);
                    if (df.width) {
                        str = '<div class="jdt_class">' + text + '</div><div class="jdt_item " style="height:' + (df.height * 5 - 1) + 'px;min-width:' + df.width + 'px"><ul class="jdt_ul" data-class=' + c + '>';
                    } else {
                        str = '<div class="jdt_class">' + text + '</div><div class="jdt_item " style="height:' + (df.height * 5 - 1) + 'px"><ul class="jdt_ul" data-class=' + c + '>';
                    }
                    sjObj.opt.dataNum++;
                    return str;
                },
                //拼接字符串结尾
                strEnd: function() {
                    var df = this;
                    return "</ul><div class='jdt_bg'><div class='jdt_top' style='height:" + (df.height * 2) + "px'></div><div class='jdt_mid' style='height:" + df.height + "px'></div><div class='jdt_btm' style='height:" + (df.height * 2) + "px'></div></div></div>"
                },
                //数字小于10 就在字前面+一个0
                fillZero: function(x) {
                    if (x < 10) {
                        return x = "0" + x;
                    } else {
                        return "" + x;
                    }
                },
                //获取年份
                getYear: function() {
                    if (!this.startYear) {
                        var y = sjObj.opt.y || 10;
                        var nowTime = new Date();
                        for (var x = this.y,
                                 i = 0; x != 0; y > 0 ? x--:x++, i++) {
                            if (y < 0) {
                                sjObj.opt.yyArr[i] = nowTime.getFullYear() + x + 1;
                            } else {
                                sjObj.opt.yyArr[i] = nowTime.getFullYear() + i;
                            }
                        }
                        sjObj.opt.getArr()
                        //console.log(this.yyArr);
                        //console.log(this.mmArr);
                        //console.log(this.ddArr);
                        //console.log(this.hArr);
                        //console.log(this.mArr);
                    } else {
                        if (sjObj.opt.yyArr.length > 1) {
                            //console.log("年份",sjObj.opt.yyArr);
                            return;
                        }
                        var endYear = this.endYear || parseInt(sjObj.opt.y) + parseInt(this.startYear);
                        var y = -(endYear - parseInt(this.startYear));
                        nowTime = new Date(endYear + "/01/01");
                        //console.log("自定义起始年份",endYear,y,nowTime);
                        for (var x = y,
                                 i = 0; y > 0 ? x != 0 : x < 1; y > 0 ? x--:x++, i++) {
                            if (y < 0) {
                                sjObj.opt.yyArr[i] = nowTime.getFullYear() + x;
                                //console.log(x, sjObj.opt.yyArr[i]);
                            } else {
                                sjObj.opt.yyArr[i] = nowTime.getFullYear() + i;
                            }
                        }
                        sjObj.opt.getArr()
                    }
                },
                //核心内容居中
                setCenter: function() {
                    var wid = $(window).width();
                    var tabWid = null;
                    var mWid = 0;
                    $(".jdt_wrap table").each(function() {
                        tabWid += parseFloat($(this).width());
                    });
                    if (tabWid > wid) {
                        $(".jdt_wrap table").each(function() {
                            mWid = parseFloat($(this).width()) > mWid ? parseFloat($(this).width()) : mWid;
                        });
                        $('.jdt_box').width(mWid);
                    } else {
                        $('.jdt_box').width(tabWid + 10)
                    }
                },
                //返回数组组成的html字符串
                buildArrStr: function(Arr, txt, c) {
                    var str = this.strStart(txt, c);
                    $.each(Arr,
                        function() {
                            str += '<li class="jdt_li jdt_show"  data-val=' + sjObj.opt.fillZero(this) + ' style="line-height:' + sjObj.opt.height + 'px;height:' + sjObj.opt.height + 'px">' + sjObj.opt.fillZero(this) + '</li>'
                        });
                    //console.log(Arr)
                    str += sjObj.opt.strEnd();
                    return str;
                },
                //创建html
                buildHTml: function() {
                    var wrap = sjObj.opt.df_wrap();
                    sjObj.opt.t_box = sjObj.opt.df_box();
                    var main = sjObj.opt.df_main();
                    var persp = sjObj.opt.df_persp();
                    //console.log(sjObj.opt.t_box);
                    if (sjObj.opt.alwaysShow) {
                        //  if(){
                        // sjObj.opt.timeElm.append(persp.append(sjObj.opt.t_box.append(sjObj.opt.df_final).append(main.append(wrap)).append(sjObj.opt.df_btn)));
                        //  }else{
                        sjObj.opt.timeElm = eval(sjObj.opt.timeElm);
                        //console.log(sjObj.opt.timeElm)
                        sjObj.opt.timeElm.append(sjObj.opt.t_box.append(main.append(wrap)));
                        //  }
                    } else {
                        sjObj.opt.timeElm = $("<div class='ak-datetime'><div class='ak-mask'></div>");
                        sjObj.opt.timeElm.append(sjObj.opt.t_box.append(sjObj.opt.finalshow ? sjObj.opt.df_final: "").append(main.append(wrap)).append(sjObj.opt.df_btn));
                        $('body').append(sjObj.opt.timeElm);
                        document.activeElement.blur();//隐藏键盘
                        $("main").removeClass("scrolling");
                        // $('body').append(persp.append(sjObj.opt.t_box.append(sjObj.opt.df_final).append(main.append(wrap)).append(sjObj.opt.df_btn)));
                    }
                    if (sjObj.opt.ampmText) {
                        main.append("<div class='jdt_wrap'><table><tbody><tr><td>" + sjObj.opt.buildAmPmStr() + "</tr></tbody></table></div>")
                    }
                    if (sjObj.opt.Format == "dd-mm-yyyy") {
                        if (sjObj.opt.Day) $(sjObj.opt.timeElm.find('.jdt_wrap')[0]).find('tr').append("<td>" + sjObj.opt.buildArrStr(sjObj.opt.ddArr, sjObj.opt.dayText, "dd") + "</td>");
                        if (sjObj.opt.Month) $(sjObj.opt.timeElm.find('.jdt_wrap')[0]).find('tr').append("<td>" + sjObj.opt.buildArrStr(sjObj.opt.mmArr, sjObj.opt.monthText, "mm") + "</td>");
                        if (sjObj.opt.Year) $(sjObj.opt.timeElm.find('jdt_wrap')[0]).find('tr').append("<td>" + sjObj.opt.buildArrStr(sjObj.opt.yyArr, sjObj.opt.yearText, "yyyy") + "</td>");
                    } else if (sjObj.opt.Format == "mm-dd-yyyy") {
                        if (sjObj.opt.Month) $(sjObj.opt.timeElm.find('.jdt_wrap')[0]).find('tr').append("<td>" + sjObj.opt.buildArrStr(sjObj.opt.mmArr, sjObj.opt.monthText, "mm") + "</td>");
                        if (sjObj.opt.Day) $(sjObj.opt.timeElm.find('.jdt_wrap')[0]).find('tr').append("<td>" + sjObj.opt.buildArrStr(sjObj.opt.ddArr, sjObj.opt.dayText, "dd") + "</td>");
                        if (sjObj.opt.Year) $(sjObj.opt.timeElm.find('.jdt_wrap')[0]).find('tr').append("<td>" + sjObj.opt.buildArrStr(sjObj.opt.yyArr, sjObj.opt.yearText, "yyyy") + "</td>");
                    } else if (sjObj.opt.Format == "yyyy-mm") {
                        if (sjObj.opt.Year) $(sjObj.opt.timeElm.find('.jdt_wrap')[0]).find('tr').append("<td>" + sjObj.opt.buildArrStr(sjObj.opt.yyArr, sjObj.opt.yearText, "yyyy") + "</td>");
                        if (sjObj.opt.Month) $(sjObj.opt.timeElm.find('.jdt_wrap')[0]).find('tr').append("<td>" + sjObj.opt.buildArrStr(sjObj.opt.mmArr, sjObj.opt.monthText, "mm") + "</td>");
                    } else if (sjObj.opt.Format == "yyyy") {
                        if (sjObj.opt.Year) $(sjObj.opt.timeElm.find('.jdt_wrap')[0]).find('tr').append("<td>" + sjObj.opt.buildArrStr(sjObj.opt.yyArr, sjObj.opt.yearText, "yyyy") + "</td>");
                    } else {
                        if (sjObj.opt.Year) $(sjObj.opt.timeElm.find('.jdt_wrap')[0]).find('tr').append("<td>" + sjObj.opt.buildArrStr(sjObj.opt.yyArr, sjObj.opt.yearText, "yyyy") + "</td>");
                        if (sjObj.opt.Month) $(sjObj.opt.timeElm.find('.jdt_wrap')[0]).find('tr').append("<td>" + sjObj.opt.buildArrStr(sjObj.opt.mmArr, sjObj.opt.monthText, "mm") + "</td>");
                        if (sjObj.opt.Day) $(sjObj.opt.timeElm.find('.jdt_wrap')[0]).find('tr').append("<td>" + sjObj.opt.buildArrStr(sjObj.opt.ddArr, sjObj.opt.dayText, "dd") + "</td>");
                    }
                    if (sjObj.opt.Hour || sjObj.opt.Minute || sjObj.opt.Seconds) {
                        var eml = sjObj.opt.df_wrap();
                        main.append(eml);
                    }
                    if (sjObj.opt.Hour) {
                        $(eml).find('tr').append("<td>" + sjObj.opt.buildArrStr(sjObj.opt.hArr, sjObj.opt.hourText, "h") + "</td>")
                    }
                    if (sjObj.opt.Minute) {
                        $(eml).find('tr').append("<td>" + sjObj.opt.buildArrStr(sjObj.opt.mArr, sjObj.opt.minuteText, "m") + "</td>");
                    }
                    if (sjObj.opt.Seconds) {
                        $(eml).find('tr').append("<td>" + sjObj.opt.buildArrStr(sjObj.opt.sArr, sjObj.opt.secondsText, "s") + "</td>");
                    }
                    if (sjObj.opt.showNowTime) {
                        if (emlnum) {
                            var val = sjObj.value,
                                sjeml = sjObj;
                        } else {
                            var val = sjObj[0].value,
                                sjeml = sjObj[0];
                        }
                        if (val) {
                            //console.log("input中有值",val);
                            //console.log(val.indexOf(" "));
                            if (val.indexOf("/") != -1) {
                                val = val.replace(/\//g, "-")
                            }
                            if (val.indexOf(" ") != -1) {
                                var valarr = val.split(" ");
                            } else {
                                var valarr = [val];
                            }
                            //console.log("拆分后",valarr);
                            var nyr, sfm;
                            var str = "";
                            if (valarr.length == 2) {
                                nyr = valarr[0];
                                sfm = valarr[1];
                                str += getnyrstr(nyr) + " " + getsfmstr(sfm);
                            } else if (valarr.length == 1 && (valarr.indexOf("-") != -1 || valarr.indexOf("/") != -1)) {
                                str += getnyrstr(valarr[0]) + " " + getsfmstr("")
                                //console.log("组合 2");
                            } else {
                                if (sjObj.opt.Year || sjObj.opt.Month || sjObj.opt.Day) {
                                    str += getnyrstr(valarr[0]) + " " + getsfmstr("")
                                } else {
                                    str += getnyrstr("") + " " + getsfmstr(valarr[0])
                                }
                                //console.log("组合 3");
                            }
                            //console.log("合成字符串",str)
                            data = new Date(str.replace(/-/g, "/"));
                        } else {
                            var data = new Date();
                        }
                        //console.log(data);
                        var year = data.getFullYear();
                        var month = data.getMonth() + 1;
                        var day = data.getDate();
                        var hours = data.getHours();
                        var Minutes = data.getMinutes();
                        var Seconds = data.getSeconds();
                        sjObj.opt.yyyy = fillZero(year);
                        sjObj.opt.mm = fillZero(month);
                        sjObj.opt.dd = fillZero(day);
                        sjObj.opt.h = fillZero(hours);
                        sjObj.opt.m = fillZero(Minutes);
                        sjObj.opt.s = fillZero(Seconds);
                        //console.log(year,month,day,hours,Minutes);
                        //console.log("是否显示年",sjObj.opt.Year)
                        if (sjObj.opt.Year) sjObj.opt.timeElm.find("[data-class='yyyy'] .jdt_li").each(function() {
                            //console.log(parseInt($(this).attr("data-val")),parseInt(year))
                            if (parseInt($(this).attr("data-val")) == parseInt(year)) {
                                var pY = -($(this).index() - 2) * sjObj.opt.height;
                                //console.log(pY,year)
                                $(this).parent().css({
                                    "transform": "translate(0," + pY + "px)"
                                })
                            }
                        });
                        if (sjObj.opt.Month) sjObj.opt.timeElm.find("[data-class='mm'] .jdt_li").each(function() {
                            if (parseInt($(this).attr("data-val")) == parseInt(month)) {
                                var pY = -($(this).index() - 2) * sjObj.opt.height;
                                //console.log(pY,month)
                                $(this).parent().css({
                                    "transform": "translate(0," + pY + "px)"
                                })
                            }
                        });
                        if (sjObj.opt.Day) sjObj.opt.timeElm.find("[data-class='dd'] .jdt_li").each(function() {
                            if (parseInt($(this).attr("data-val")) == parseInt(day)) {
                                var pY = -($(this).index() - 2) * sjObj.opt.height;
                                //console.log(day)
                                $(this).parent().css({
                                    "transform": "translate(0," + pY + "px)"
                                })
                            }
                        });
                        if (sjObj.opt.Hour) sjObj.opt.timeElm.find("[data-class='h'] .jdt_li").each(function() {
                            if (parseInt($(this).attr("data-val")) == parseInt(hours)) {
                                var pY = -($(this).index() - 2) * sjObj.opt.height;
                                //console.log(pY,Hour)
                                $(this).parent().css({
                                    "transform": "translate(0," + pY + "px)"
                                })
                            }
                        });
                        if (sjObj.opt.Minute) sjObj.opt.timeElm.find("[data-class='m'] .jdt_li").each(function() {
                            if (parseInt($(this).attr("data-val")) == parseInt(Minutes)) {
                                var pY = -($(this).index() - 2) * sjObj.opt.height;
                                //console.log(pY,Minutes,$(this).index(),this)
                                $(this).parent().css({
                                    "transform": "translate(0," + pY + "px)"
                                })
                            }
                        });
                        if (sjObj.opt.Seconds) sjObj.opt.timeElm.find("[data-class='m'] .jdt_li").each(function() {
                            if (parseInt($(this).attr("data-val")) == parseInt(Seconds)) {
                                var pY = -($(this).index() - 2) * sjObj.opt.height;
                                //console.log(pY)
                                $(this).parent().css({
                                    "transform": "translate(0," + pY + "px)"
                                })
                            }
                        })
                    } else {
                        //console.log("使用自定义时间")
                        if (sjObj.opt.Year) sjObj.opt.timeElm.find("[data-class='yyyy'] .jdt_li").each(function() {
                            if (parseInt($(this).attr("data-val")) == parseInt(sjObj.opt.yyyy)) {
                                var pY = -($(this).index() - 2) * sjObj.opt.height;
                                $(this).parent().css({
                                    "transform": "translate(0," + pY + "px)"
                                })
                            }
                        });
                        if (sjObj.opt.Month) sjObj.opt.timeElm.find("[data-class='mm'] .jdt_li").each(function() {
                            if (parseInt($(this).attr("data-val")) == parseInt(sjObj.opt.mm)) {
                                var pY = -($(this).index() - 2) * sjObj.opt.height;
                                //console.log(pY)
                                $(this).parent().css({
                                    "transform": "translate(0," + pY + "px)"
                                })
                            }
                        });
                        if (sjObj.opt.Day) sjObj.opt.timeElm.find("[data-class='dd'] .jdt_li").each(function() {
                            if (parseInt($(this).attr("data-val")) == parseInt(sjObj.opt.dd)) {
                                var pY = -($(this).index() - 2) * sjObj.opt.height;
                                //console.log(pY)
                                $(this).parent().css({
                                    "transform": "translate(0," + pY + "px)"
                                })
                            }
                        });
                        if (sjObj.opt.Hour) sjObj.opt.timeElm.find("[data-class='h'] .jdt_li").each(function() {
                            if (parseInt($(this).attr("data-val")) == parseInt(sjObj.opt.h)) {
                                var pY = -($(this).index() - 2) * sjObj.opt.height;
                                //console.log(pY, sjObj.opt.h, $(this).index());
                                $(this).parent().css({
                                    "transform": "translate(0," + pY + "px)"
                                })
                            }
                        });
                        if (sjObj.opt.Minute) sjObj.opt.timeElm.find("[data-class='m'] .jdt_li").each(function() {
                            if (parseInt($(this).attr("data-val")) == parseInt(sjObj.opt.m)) {
                                var pY = -($(this).index() - 2) * sjObj.opt.height;
                                //console.log(pY, sjObj.opt.m, $(this).index());
                                $(this).parent().css({
                                    "transform": "translate(0," + pY + "px)"
                                })
                            }
                        });
                        if (sjObj.opt.Seconds) sjObj.opt.timeElm.find("[data-class='m'] .jdt_li").each(function() {
                            if (parseInt($(this).attr("data-val")) == parseInt(sjObj.opt.s)) {
                                var pY = -($(this).index() - 2) * sjObj.opt.height;
                                //console.log(pY)
                                $(this).parent().css({
                                    "transform": "translate(0," + pY + "px)"
                                })
                            }
                        })
                        //console.log("设置默认时间")
                    }
                    sjObj.opt.fillData();
                    sjObj.opt.setCenter();
                    sjObj.opt.bindFun();
                },
                //绑定事件
                bindFun: function() {
                    //关闭事件
                    sjObj.opt.timeElm.find(".jdt_no").unbind("click");
                    sjObj.opt.timeElm.find(".jdt_no").on("click",
                        function() {
                            $(this).parent().parent().parent().find(".jdt_box").addClass("animated slideOutDown");
                            setTimeout(function() {
                                    sjObj.opt.timeElm.remove();
                                },
                                500);
                            sjObj.opt.onfun(sjObj);
                            $("main").addClass("scrolling");
                            //$("html").removeClass("ovh");
                        });
                    sjObj.opt.timeElm.find(".ak-mask").unbind("click");
                    sjObj.opt.timeElm.find(".ak-mask").on("click",
                        function() {
                            $(this).parent().find(".jdt_box").addClass("animated slideOutDown");
                            setTimeout(function() {
                                    sjObj.opt.timeElm.remove();
                                },
                                500);
                            sjObj.opt.onfun(sjObj);
                            $("main").addClass("scrolling");
                            //$("html").removeClass("ovh");
                        });
                    sjObj.opt.timeElm.find(".jdt_ok").unbind("click");
                    sjObj.opt.timeElm.find(".jdt_ok").on("click",
                        function() {
                            var str = "";
                            if (sjObj.opt.Year) {
                                str = sjObj.opt.Format.replace("yyyy", sjObj.opt.yyyy)
                            }
                            if (sjObj.opt.Month) {
                                str = str.replace("mm", sjObj.opt.mm);
                            } else {
                                str = str.replace("-mm", "");
                            }
                            if (sjObj.opt.Day) {
                                str = str.replace("dd", sjObj.opt.dd)
                            } else {
                                str = str.replace("-dd", "");
                            }
                            if (sjObj.opt.Day && sjObj.opt.Hour) {
                                str += " ";
                            }
                            if (sjObj.opt.Hour) {
                                str += sjObj.opt.h
                            }
                            if (sjObj.opt.Minute && sjObj.opt.Hour) {
                                str += ":"
                            }
                            if (sjObj.opt.Minute) {
                                str += sjObj.opt.m;
                            }
                            if (sjObj.opt.Minute && sjObj.opt.Seconds) {
                                str += ":"
                            }
                            if (sjObj.opt.Seconds) {
                                str += sjObj.opt.s;
                            }
                            sjObj.opt.val = sjObj.opt.isparseInt ? parseInt(str) : str;
                            //console.log("我执行了没")
                            $(sjObj.opt.thisElm).next("label").hide();
                            $(sjObj.opt.thisElm).val(sjObj.opt.val);
                            //$(this).parent().parent().parent().remove();
                            $(this).parent().parent().parent().find(".jdt_box").addClass("animated slideOutDown");
                            setTimeout(function() {
                                    sjObj.opt.timeElm.remove();
                                },
                                500);
                            sjObj.opt.okfun(sjObj);
                            $("main").addClass("scrolling");
                            //$("html").removeClass("ovh");
                        });
                    //滚动事件
                    sjObj.opt.moveElm(sjObj.opt.timeElm.find(".jdt_bg"))
                },
                //将时间放入dom中
                fillData: function() {
                    var str = "";
                    if (sjObj.opt.Year) {
                        str += sjObj.opt.yyyy;
                    }
                    if (sjObj.opt.Month) {
                        str += '-' + sjObj.opt.mm;
                    }
                    if (sjObj.opt.Day) {
                        str += '-' + sjObj.opt.dd;
                    }
                    if (sjObj.opt.Hour) {
                        str += ' ' + sjObj.opt.h;
                    }
                    if (sjObj.opt.Minute) {
                        str += ":" + sjObj.opt.m;
                    }
                    if (sjObj.opt.Seconds) {
                        str += sjObj.opt.s;
                    }
                    if (!sjObj.opt.alwaysShow) {
                        //console.log("直接显示？",sjObj.opt.timeElm.find(".jdt_final"));
                        if (sjObj.opt.isparseInt) {
                            sjObj.opt.timeElm.find(".jdt_final").html(parseInt(str));
                        } else {
                            sjObj.opt.timeElm.find(".jdt_final").html(str);
                        }
                    } else {
                        //console.log("啊哈哈哈哈啊？",sjObj.opt.timeElm.find(".jdt_final"))
                        //console.log($(sjObj.opt.thisElm));
                        $(sjObj.opt.thisElm).html(str).val(str);
                    }
                },
                //变量赋值监听
                vardata: function(name, val) {
                    if (!val) {
                        return;
                    }
                    if (sjObj.opt[name] != val) {
                        sjObj.opt[name] = val;
                        sjObj.opt.fillData();
                    }
                },
                //获取当前日期
                getFinal: function() {
                    var currentY = 0;
                    var str = "";
                    if (sjObj.opt.showNowTime) {
                        sjObj.opt.timeElm.find(".jdt_ul").each(function() {
                            currentY = getTranslateY(this);
                            var dataClass = $(this).attr("data-class");
                            var val = $($(this).find(".jdt_li")[Math.round(currentY / sjObj.opt.height) + 2]).attr("data-val");
                            sjObj.opt.vardata(dataClass, val);
                            //console.log(dataClass,val)
                            $(this).unbind("webkitTransitionEnd").on("webkitTransitionEnd",
                                function() {
                                    currentY = getTranslateY(this);
                                    var val = $($(this).find(".jdt_li")[Math.round(currentY / sjObj.opt.height) + 2]).attr("data-val");
                                    dataClass = $(this).attr("data-class");
                                    sjObj.opt.vardata(dataClass, val);
                                    sjObj.opt.daysJudge(dataClass);
                                })
                        })
                    } else {
                        sjObj.opt.timeElm.find(".jdt_ul").each(function() {
                            currentY = getTranslateY(this);
                            var dataClass = $(this).attr("data-class");
                            var val = $($(this).find(".jdt_li")[Math.round(currentY / sjObj.opt.height) + 2]).attr("data-val");
                            sjObj.opt.vardata(dataClass, val);
                            //console.log(dataClass,val)
                            $(this).unbind("webkitTransitionEnd").on("webkitTransitionEnd",
                                function() {
                                    currentY = getTranslateY(this);
                                    var val = $($(this).find(".jdt_li")[Math.round(currentY / sjObj.opt.height) + 2]).attr("data-val");
                                    dataClass = $(this).attr("data-class");
                                    sjObj.opt.vardata(dataClass, val);
                                    sjObj.opt.daysJudge(dataClass);
                                })
                        })
                    }
                },
                //根据时间判断当月天数
                daysJudge: function(name) {
                    if (name == 'mm' || name == "yyyy") { //在选择年份获取天数时
                        var day = new Date(sjObj.opt.yyyy, sjObj.opt.mm, 0).getDate();
                        var l = sjObj.opt.timeElm.find('[data-class="dd"]').find(".jdt_show").length
                        //console.log("dd长度",l,$('[data-class="dd"]'));
                        var mubiao = day - l;
                        if (mubiao > 0) {
                            //console.log("大于");
                            for (var i = 0; i < mubiao; i++) {
                                $(sjObj.opt.timeElm.find('[data-class="dd"]').find(".jdt_li")[l + i]).removeClass("jdt_hide").addClass("jdt_show")
                                //console.log($($('[data-class="dd"]').find(".jdt_li")[l-1+i]))
                            }
                        } else {
                            //console.log("小于");
                            var naomovey = getTranslateY(sjObj.opt.timeElm.find('[data-class="dd"]'));
                            for (var i = 0; i > mubiao; i--) {
                                //console.log($($('[data-class="dd"]').find(".jdt_li")[l-1+i]),l-1+i)
                                $(sjObj.opt.timeElm.find('[data-class="dd"]').find(".jdt_li")[l - 1 + i]).removeClass("jdt_show").addClass("jdt_hide")
                            }
                            //console.log("当前y",naomovey,"目标y",(day-1-2)*sjObj.opt.height)
                            if (naomovey > (day - 1 - 2) * sjObj.opt.height) {
                                sjObj.opt.timeElm.find('[data-class="dd"]').css({
                                    "transition": "all .5s"
                                });
                                sjObj.opt.timeElm.find('[data-class="dd"]').css({
                                    "transform": "translate(0," + -(day - 1 - 2) * sjObj.opt.height + "px)"
                                })
                            }
                        }
                        //console.log("当月天数",day);
                    }
                },
                //滚动事件绑定
                moveElm: function(eml) {
                    //console.log("进入",eml)
                    return $(eml).each(function() {
                        //移动事件变量
                        //console.log("进入",$(this))
                        var sX = null,
                            sY = null,
                            mX = null,
                            mY = null,
                            eX = null,
                            eY = null,
                            sTime = null,
                            eTime = null,
                            mTime = null,
                            nTime = null,
                            //开始时间，结束时间，移动时的时间，开始到现在花费的时间
                            nY = 0,
                            drt = null,
                            nowElm = null,
                            //现在的Y位置。方向，当前元素
                            canStart = true,
                            canMove = false,
                            canEnd = false,
                            //移动事件条件。。
                            emlLang = null,
                            //子元素长度
                            maxY = null,
                            minY = null,
                            //最大距离和最小距离
                            lastY = null,
                            nowY = null,
                            moveY = null,
                            stopInertiaMove = false,
                            //是否停止惯性滚
                            SE = null,
                            ME = null,
                            EE = null,
                            moveCy = 0;
                        var stop = function(e) {
                            //Opera/Chrome/FF
                            if (e.preventDefault) e.preventDefault();
                            //IE
                            e.returnValue = false;
                        }
                        //移动事件开始
                        var moveStart = function(e) {
                            //console.log(e);
                            stop(e);
                            if (!canStart) {
                                return
                            }
                            if (e.originalEvent.touches) {
                                SE = e.originalEvent.targetTouches[0]
                            } else {
                                SE = e;
                            }
                            sX = SE.pageX;
                            sY = SE.pageY;
                            nowElm = $(this).prev(".jdt_ul");
                            emlLang = nowElm.find(".jdt_show").length;
                            lastY = sY;
                            nY = getTranslateY(nowElm);
                            //console.log("移动开始时",e);
                            sTime = new Date().getTime();
                            if (!canMove && canEnd) {
                                return false
                            }
                            canStart = false;
                            canMove = false;
                            stopInertiaMove = true;
                            $(window).on("touchmove",
                                function(e) {
                                    if (stopInertiaMove) {
                                        e.preventDefault();
                                    }
                                })

                        };
                        var moveing = function(e) {
                            stop(e);
                            if (e.originalEvent.touches) {
                                ME = e.originalEvent.targetTouches[0]
                            } else {
                                ME = e;
                            }
                            //console.log("移动中",ME,sjObj.opt.nY)
                            mTime = new Date().getTime();
                            mX = ME.pageX;
                            mY = ME.pageY;
                            drt = GetSlideDirection(sX, sY, mX, mY);
                            if ((drt == 1 || drt == 2) && !canStart) {
                                //console.log("条件允许移动")
                                canMove = true;
                                canEnd = true;
                                stopInertiaMove = true;
                            }
                            if (canMove) {
                                nowElm.css({
                                    "transition": "none"
                                });
                                //console.log(sjObj.opt.nowElm,-(sjObj.opt.nY-(sjObj.opt.mY-sjObj.opt.sY)),sjObj.opt.mX,sjObj.opt.sX,sjObj.opt.nY)
                                nowElm.css({
                                    "transform": "translate(0," + -(nY - (mY - sY)) + "px)"
                                });
                                sjObj.opt.getFinal(); //获取当前值
                            }
                            if (mTime - sTime > 300) {
                                //console.log("移动后加速")
                                sTime = mTime;
                                lastY = mY;
                            }
                        };

                        var moveEnd = function(e) {
                            stop(e);
                            if (e.originalEvent.touches) {
                                EE = e.originalEvent.changedTouches[0]
                            } else {
                                EE = e;
                            }
                            eX = EE.pageX;
                            eY = EE.pageY;
                            maxY = sjObj.opt.height * 2;
                            minY = -(emlLang - 3) * sjObj.opt.height;
                            if (canEnd) {
                                canMove = false;
                                canEnd = false;
                                canStart = true;
                                nY = -(nY - (mY - sY));
                                nowY = eY;
                                //console.log(lastY,nowY,"结束时")
                                //console.log(sjObj.opt.nY,-(sjObj.opt.emlLang-2)*sjObj.opt.height)
                                if (nY > maxY) {
                                    nowElm.css({
                                        "transition": "all .5s"
                                    });
                                    nowElm.css({
                                        "transform": "translate(0," + maxY + "px)"
                                    })
                                } else if (nY < minY) {
                                    nowElm.css({
                                        "transition": "all .5s"
                                    });
                                    nowElm.css({
                                        "transform": "translate(0," + minY + "px)"
                                    })
                                } else {
                                    eTime = new Date().getTime();
                                    var speed = ((nowY - lastY) / (eTime - sTime));
                                    //console.log("移动距离",(nowY-lastY))
                                    //console.log("移动时间",(eTime-sTime),sTime,eTime)
                                    //console.log('移动速度',speed);
                                    stopInertiaMove = false;
                                    //惯性滚动函数
                                    (function(v, startTime, contentY) {
                                        var dir = v > 0 ? -1 : 1;
                                        //加速度方向
                                        var deceleration = dir * 0.001; //0.001 为减速时间
                                        //console.log("移动方向",dir);
                                        //console.log("减速率",deceleration);
                                        function inertiaMove() {
                                            if (stopInertiaMove) return;
                                            var nowTime = new Date().getTime();
                                            var t = nowTime - startTime;
                                            var nowV = v + t * deceleration;
                                            //console.log("当期速度",nowV);
                                            var moveY = (v + nowV) / 2 * t;
                                            //console.log("当期移动距离",(contentY+moveY));
                                            //console.log("当期停止条件",dir * nowV,dir,nowV);
                                            if (dir * nowV > 0) { //大于0是减速停止
                                                //console.log("移动结束，总距离",moveCy)
                                                //console.log("移动结束，总距离除以高度",(moveCy/sjObj.opt.height))
                                                //console.log("移动结束，总距离%高度",moveCy%sjObj.opt.height)
                                                if (moveCy > sjObj.opt.maxY) {
                                                    nowElm.css({
                                                        "transition": "all .5s"
                                                    });
                                                    sjObj.opt.nowElm.css({
                                                        "transform": "translate(0," + sjObj.opt.maxY + "px)"
                                                    })
                                                } else if (moveCy < sjObj.opt.minY) {
                                                    nowElm.css({
                                                        "transition": "all .5s"
                                                    });
                                                    nowElm.css({
                                                        "transform": "translate(0," + sjObj.opt.minY + "px)"
                                                    })
                                                } else {
                                                    var MC = Math.round(moveCy / sjObj.opt.height)
                                                    //		console.log(MC)
                                                    if (MC > 2) {
                                                        //			console.log("大于长度")
                                                        MC = 2
                                                    } else if (MC < -(emlLang - 1) + 2) {
                                                        //			console.log("小于长度+显示个数")
                                                        MC = -(emlLang - 1) + 2
                                                    }
                                                    nowElm.css({
                                                        "transition": "all .4s"
                                                    });
                                                    nowElm.css({
                                                        "transform": "translate(0," + sjObj.opt.height * MC + "px)"
                                                    })
                                                }
                                                sjObj.opt.getFinal();
                                                //sjObj.opt.daysJudge();
                                                return
                                            }
                                            moveCy = (contentY + moveY);
                                            if (moveCy > (maxY + (sjObj.opt.height * 2))) {
                                                nowElm.css({
                                                    "transition": "all .5s"
                                                });
                                                nowElm.css({
                                                    "transform": "translate(0," + maxY + "px)"
                                                });
                                                return
                                            } else if (moveCy < (minY - (sjObj.opt.height * 2))) {
                                                nowElm.css({
                                                    "transition": "all .5s"
                                                });
                                                nowElm.css({
                                                    "transform": "translate(0," + minY + "px)"
                                                });
                                                return
                                            }
                                            nowElm.css({
                                                "transform": "translate(0," + moveCy + "px)"
                                            });
                                            sjObj.opt.getFinal();
                                            var timers = setTimeout(inertiaMove, 10);
                                        }
                                        inertiaMove();
                                    })(speed, eTime, nY);
                                }
                                //console.log("移动结束",EE)
                            }
                        };
                        //console.log("开始绑定事件",$(this))
                        $(this).unbind("touchstart mousedown").on("touchstart mousedown", moveStart) //触摸起始//鼠标按下
                        $(this).unbind("touchmove").on("touchmove", moveing) //触摸移动
                        $(this).unbind("touchend").on("touchend", moveEnd) //触摸结束
                        $(document).on("mousemove", moveing) //鼠标按下后移动中
                        $(document).on("mouseup", moveEnd) //鼠标松开
                    })
                }
            };
            sjObj.opt = $.extend({},
                sjObj.defaults, opt);
            var GetSlideAngle = function(dx, dy) { //判断角度
                return Math.atan2(dy, dx) * 180 / Math.PI;
            };
            function getnyrstr(str) {
                var r = sjObj.opt.Format; //yyyy-mm-dd;
                var valarr = str.split("-");
                //console.log(valarr,str);
                if (valarr.length == 3) {
                    r = r.replace("yyyy", valarr[0]);
                    r = r.replace("mm", valarr[1]);
                    r = r.replace("dd", valarr[2]);
                } else if (valarr.length == 2) {
                    if (sjObj.opt.Year && !sjObj.opt.Month) {
                        r = r.replace("yyyy", valarr[0]);
                        r = r.replace("mm", sjObj.opt.mm);
                        r = r.replace("dd", valarr[1]);
                    } else if (sjObj.opt.Year && !sjObj.opt.Day) {
                        r = r.replace("yyyy", valarr[0]);
                        r = r.replace("mm", valarr[1]);
                        r = r.replace("dd", sjObj.opt.dd);
                    } else if (!sjObj.opt.Year) {
                        r = r.replace("yyyy", sjObj.opt.yyyy);
                        r = r.replace("mm", valarr[0]);
                        r = r.replace("dd", valarr[1]);
                    }

                } else if (valarr.length == 1) {
                    if (sjObj.opt.Year) {
                        r = r.replace("yyyy", valarr[0]);
                        r = r.replace("mm", sjObj.opt.mm);
                        r = r.replace("dd", sjObj.opt.dd);
                    } else if (sjObj.opt.Month) {
                        r = r.replace("yyyy", sjObj.opt.yyyy);
                        r = r.replace("mm", valarr[0]);
                        r = r.replace("dd", sjObj.opt.dd);
                    } else if (sjObj.opt.Day) {
                        r = r.replace("yyyy", sjObj.opt.yyyy);
                        r = r.replace("mm", sjObj.opt.mm);
                        r = r.replace("dd", valarr[0]);
                    } else {
                        r = r.replace("yyyy", sjObj.opt.yyyy);
                        r = r.replace("mm", sjObj.opt.mm);
                        r = r.replace("dd", sjObj.opt.dd);
                    }
                }
                //console.log("返回年月日", r);
                return r;
            }
            function getsfmstr(str) {
                var r = sjObj.opt.timeFormat; //yyyy-mm-dd;
                //console.log(r);
                var valarr = str.split(":");
                if (valarr.length == 3) {
                    r = r.replace("h", valarr[0]);
                    r = r.replace("m", valarr[1]);
                    r = r.replace("s", valarr[2]);
                } else if (valarr.length == 2) {
                    if (sjObj.opt.Hour && !sjObj.opt.Minute) {
                        r = r.replace("h", valarr[0]);
                        r = r.replace("m", sjObj.opt.m);
                        r = r.replace("s", valarr[1]);
                    } else if (sjObj.opt.Hour && !sjObj.opt.Seconds) {
                        r = r.replace("h", valarr[0]);
                        r = r.replace("m", valarr[1]);
                        r = r.replace("s", sjObj.opt.s);
                    } else if (!sjObj.opt.Hour) {
                        r = r.replace("h", sjObj.opt.h);
                        r = r.replace("m", valarr[0]);
                        r = r.replace("s", valarr[1]);
                    }

                } else if (valarr.length == 1) {
                    if (sjObj.opt.Hour) {
                        r = r.replace("h", valarr[0]);
                        r = r.replace("m", sjObj.opt.m);
                        r = r.replace("s", sjObj.opt.s);
                    } else if (sjObj.opt.Minute) {
                        r = r.replace("h", sjObj.opt.h);
                        r = r.replace("m", valarr[0]);
                        r = r.replace("s", sjObj.opt.s);
                    } else if (sjObj.opt.Hour) {
                        r = r.replace("h", sjObj.opt.h);
                        r = r.replace("m", sjObj.opt.m);
                        r = r.replace("s", valarr[0]);
                    } else {
                        r = r.replace("h", sjObj.opt.h);
                        r = r.replace("m", sjObj.opt.m);
                        r = r.replace("s", sjObj.opt.s);
                    }
                }
                //console.log("返回时分秒", r);
                return r;
            }
            var GetSlideDirection = function(startX, startY, endX, endY) { //判读手指滑动方向
                var dy = startY - endY;
                var dx = endX - startX;
                var result = 0;
                //如果滑动距离太短
                if (Math.abs(dx) < 2 && Math.abs(dy) < 2) {
                    return result;
                }
                var angle = GetSlideAngle(dx, dy);
                if (angle >= -45 && angle < 45) {
                    result = 4; //右
                } else if (angle >= 45 && angle < 135) {
                    result = 1; //上
                } else if (angle >= -135 && angle < -45) {
                    result = 2; //下
                } else if ((angle >= 135 && angle <= 180) || (angle >= -180 && angle < -135)) {
                    result = 3; //左
                }
                return result;
            };
            var getTranslateY = function(eml) {
                var matrix = $(eml).css("transform");
                //console.log("获取到的transform",matrix)
                var T;
                if (matrix == "none") {
                    T = 0;
                } else {
                    var arr = matrix.split(",");
                    T = -(arr[5].split(")")[0]);
                }
                //console.log("返回的transform",T)
                return T
            };
            sjObj.innt = function() {
                if (!sjObj.opt.alwaysShow) {
                    $(this).unbind("click");
                    $(this).on("click",
                        function(e) {
                            e.stopPropagation();
                            sjObj.opt.thisElm = this;
                            switch (sjObj.opt.type) {
                                case "time":
                                    //$("html").addClass("ovh");
                                    $(this).blur(); //失去焦点
                                    sjObj.opt.getYear(); //获取年份
                                    sjObj.opt.buildHTml();
                                    sjObj.opt.getFinal();
                                    break;
                            }
                        })
                    //$(this).val(sjObj.opt.time)
                } else {
                    sjObj.opt.thisElm = this;
                    //console.log("直接显示")
                    sjObj.opt.getYear(); //获取年份
                    sjObj.opt.buildHTml();
                }
                $(window).on("resize", function() {
                    //console.log("窗口大小改变")
                    sjObj.opt.setCenter()
                });
            }
            sjObj.innt();
            return sjObj
        }
        if (this.length > 1) {
            //console.log("多个")
            var arr = [];
            $.each(this,
                function() {
                    arr.push(cPlugin(this, true))
                });
            return arr
        } else {
            //console.log("一个")
            var obj = cPlugin(this);
            //console.log("一个时间对象",obj);
            return obj
        }
    }
}(jQuery));

/*-----------------------------------------------Andrew_MultiDate-------------------------------------------*/
(function($){
    var jet = {},
        regymdzz = "YYYY|MM|DD|hh|mm|ss|zz", gr = /\-/g,
        parseInt = function (n) { return window.parseInt(n, 10);},
        config = {
            skinCell:"",
            language:{},
            range:false,
            onClose:false,
            trigger:"click",
            format:"YYYY-MM-DD", //日期格式
            minDate:"1900-01-01", //最小日期
            maxDate:"2099-12-31" //最大日期
        };
    $.fn.Andrew_MultiDate = function(options){
        return new Andrew_MultiDate($(this),options||{});
    };
    $.extend({
        Andrew_MultiDate:function(elem, options){
            return new Andrew_MultiDate($(elem),options||{});
        }
    });
    jet.isObj = function (obj){
        for(var i in obj){return true;}
        return false;
    };
    jet.reMatch = function (str) {
        return str.match(/\w+|d+/g);
    };
    jet.docScroll = function(type) {
        type = type ? "scrollLeft" :"scrollTop";
        return document.body[type] | document.documentElement[type];
    };
    jet.docArea = function(type) {
        return document.documentElement[type ? "clientWidth" :"clientHeight"];
    };
    //判断是否闰年
    jet.isLeap = function(y) {
        return (y % 100 !== 0 && y % 4 === 0) || (y % 400 === 0);
    };
    //补齐数位
    jet.digit = function(num) {
        return num < 10 ? "0" + (num | 0) :num;
    };
    //判断是否为数字
    jet.isNum = function(value){
        return /^[+-]?\d*\.?\d*$/.test(value) ? true : false;
    };
    //获取本月的总天数
    jet.getDaysNum = function(y, m) {
        var num = 31;
        switch (parseInt(m)) {
            case 2: num = jet.isLeap(y) ? 29 : 28; break;
            case 4: case 6: case 9: case 11: num = 30; break;
        }
        return num;
    };
    //获取月与年
    jet.getYM = function(y, m, n) {
        var nd = new Date(y, m - 1);
        nd.setMonth(m - 1 + n);
        return {
            y: nd.getFullYear(),
            m: nd.getMonth() + 1
        };
    };
    //获取上个月
    jet.prevMonth = function(y, m, n) {
        return jet.getYM(y, m, 0 - (n || 1));
    };
    //获取下个月
    jet.nextMonth = function(y, m, n) {
        return jet.getYM(y, m, n || 1);
    };
    //转换日期格式
    jet.parse = function(ymdhms, format) {
        return format.replace(new RegExp(regymdzz,"g"), function(str, index) {
            return str == "zz" ? "00":jet.digit(ymdhms[str]);
        });
    };
    jet.isparmat = function(format) {
        var remat = jet.reMatch(format), mat = regymdzz.split("|"), tmpArr = [];
        $.each(mat,function (m,mval) {
            $.each(remat,function (r,rval) {
                if (mval == rval) tmpArr.push(rval);
            });
        });
        return tmpArr.join("-");
    };

    jet.parseOld = function(ymd, hms, format) {
        ymd = ymd.concat(hms);
        var ymdObj = {}, mat = regymdzz.split("|"),
            remat = jet.reMatch(format);
        $.each(ymd,function (i,val) {
            ymdObj[remat[i]] = parseInt(val);
        });
        return format.replace(new RegExp(regymdzz,"g"), function(str, index) {
            return str == "zz" ? "00":jet.digit(ymdObj[str]);
        });
    };
    //验证日期格式
    jet.checkFormat = function(format) {
        var ymdhms = [];
        format.replace(new RegExp(regymdzz,"g"), function(str, index) {
            ymdhms.push(str);
        });
        return ymdhms.join("-");
    };
    jet.splMatch = function(str) {
        var timeArr = str.split(" ");
        return jet.reMatch(timeArr[0]);
    };
    jet.mlen = function (format) {
        var matlen = format.match(/\w+|d+/g).length,
            mathh = (format.substring(0, 2) == "hh"),
            lens = mathh&&matlen<=3 ? 7 : matlen;
        return lens;
    };
    //验证日期
    jet.checkDate = function (date) {
        var dateArr = jet.reMatch(date);
        if (isNaN(dateArr[0]) || isNaN(dateArr[1]) || isNaN(dateArr[2])) return false;
        if (dateArr[1] > 12 || dateArr[1] < 1) return false;
        if (dateArr[2] < 1 || dateArr[2] > 31) return false;
        if ((dateArr[1] == 4 || dateArr[1] == 6 || dateArr[1] == 9 || dateArr[1] == 11) && dateArr[2] > 30) return false;
        if (dateArr[1] == 2) {
            if (dateArr[2] > 29) return false;
            if ((dateArr[0] % 100 == 0 && dateArr[0] % 400 != 0 || dateArr[0] % 4 != 0) && dateArr[2] > 28) return false;
        }
        return true;
    };
    //返回日期
    function DateTime() {
        var ND = new Date(), that = this;
        //返回一个数值相同的新GetDateTime对象
        that.reDate = function () {
            return new DateTime();
        };
        //返回此实例的Date值
        that.GetValue = function () {
            return ND;
        };
        //获取此实例所表示日期的年份部分。
        that.GetFullYear = function () {
            return ND.getFullYear();
        };
        //获取此实例所表示日期的月份部分。
        that.GetMonth = function () {
            return ND.getMonth() + 1;
        };
        //获取此实例所表示日期的小时部分。
        that.GetHours = function () {
            return ND.getHours();
        };
        //获取此实例所表示的日期为该月中的第几天。
        that.GetDate = function () {
            return ND.getDate();
        };
        //获取此实例所表示日期的分钟部分。
        that.GetMinutes = function () {
            return ND.getMinutes();
        };
        //获取此实例所表示日期的秒部分。
        that.GetSeconds = function () {
            return ND.getSeconds();
        };
    }
    //获取返回的日期
    jet.GetDateTime = function (obj,format) {
        format = format || 'YYYY-MM-DD';
        var objVal = $.extend({YYYY:null,MM:null,DD:null},obj),
            matArr = {YYYY:"FullYear",MM:"Month",DD:"Date"};

        var result = new DateTime().reDate();
        $.each(["DD","MM","YYYY"],function (i,mat) {
            if (!jet.isNum(parseInt(objVal[mat]))) return null;
            var reVal = result.GetValue();
            if (parseInt(objVal[mat]) || parseInt(objVal[mat]) == 0){
                reVal["set"+matArr[mat]](result["Get"+matArr[mat]]() + (mat == "MM" ? -1 : 0) + parseInt(objVal[mat]));
            }
        });
        //获取格式化后的日期
        var reParse = jet.parse({
            YYYY:result.GetFullYear(), MM:result.GetMonth(), DD:result.GetDate(),
            hh:result.GetHours(), mm:result.GetMinutes(), ss:result.GetSeconds()
        }, format);
        return reParse;
    };

    //判断元素类型
    jet.isValHtml = function(elem) {
        return /textarea|input/.test(elem[0].tagName.toLocaleLowerCase());
    };
    jet.isBool = function(obj){  return (obj == undefined || obj == true ?  true : false); };
    var searandom = function (){
        var str = "",arr = [1,2,3,4,5,6,7,8,9,0];
        for(var i=0; i<8; i++) str += arr[Math.round(Math.random() * (arr.length-1))];
        return str;
    };
    function Andrew_MultiDate(elem, opts){
        this.opts = opts;
        this.valCell = elem;
        this.format = this.opts.format;
        this.initdates();
    }
    var jedfn = Andrew_MultiDate.prototype, jefix = "jefixed",matArr = jet.reMatch(regymdzz);
    jedfn.initdates = function(){
        var that = this, opts = that.opts, newDate = new Date(),
            jetrigger = opts.trigger != undefined ? opts.trigger : config.trigger,
            zIndex = opts.zIndex == undefined ? 20 : opts.zIndex,
            isinitVal = (opts.isinitVal == undefined || opts.isinitVal == false) ? false : true;
        var randomCell = "#ak-MultiDate"+searandom(),isShow = jet.isBool(opts.isShow);
        that.areaVal = [];
        opts.range = opts.range || config.range;
        opts.onClose = opts.onClose || config.onClose;
        that.fixed = jet.isBool(opts.fixed);
        var formatDate = function (cls,boxcell) {
            var dateDiv = $("<div/>",{"id":boxcell.replace(/\#/g,""),"class":"ak-MultiDate" +(opts.skinCell || config.skinCell)}),
                reabsfix = !isShow ? "relative" : (that.fixed == true ? "fixed" :"absolute");
            dateDiv.css({
                "z-index": boxcell != "#ak-MultiDate" ? "" : zIndex ,
                "position":reabsfix,
                "width": "100%"
            });
            if(boxcell != "#ak-MultiDate") dateDiv.attr({"jeformat":opts.format || config.format,"jefixed":randomCell});
            var min = config.minDate.split(" "), max = config.maxDate.split(" ");
            jet.minDate = (!/\-/g.test(opts.minDate)&&opts.minDate!=undefined ? min[0]+" "+opts.minDate : opts.minDate) || config.minDate;
            jet.maxDate = (!/\-/g.test(opts.maxDate)&&opts.maxDate!=undefined ? max[0]+" "+opts.maxDate : opts.maxDate) || config.maxDate;
            jet.boxelem = !isShow ? boxcell : "#ak-MultiDate";
            that.format = !isShow ? dateDiv.attr("jeformat") : (opts.format || config.format);
            var vals = that.getValue({});
            $(cls).append(dateDiv);
            document.activeElement.blur();//隐藏键盘
            if ($("#multi_mask").length < 1) {
                $("body").append('<div id="multi_mask" class="ak-mask"></div>');
                $('#multi_mask').show();
            }
            that.renderHtml(vals[0].YYYY, vals[0].MM,vals[0].DD, opts,jet.boxelem);
        };
        //为开启初始化的时间设置值
        if (isinitVal && jetrigger) {
            //opts.range = undefined;
            var ndate = opts.initDate || [], reVal;
            if (ndate[1]){
                var addval = jet.reMatch(jet.GetDateTime(ndate[0]));
                reVal = [{YYYY:addval[0], MM:jet.digit(addval[1]), DD:jet.digit(addval[2]) , hh:jet.digit(addval[3]), mm:jet.digit(addval[4]), ss:jet.digit(addval[5]) }];
            }else {
                reVal = that.getValue(jet.isObj(ndate[0]) ? ndate[0] : {});
            }
            that.setValue(reVal[0],opts.format || config.format);
        }
        //判断固定元素是否存在
        if(!isShow){
            formatDate(that.valCell,randomCell);
        }else {
            //insTrigger的值为true时内部默认点击事件
            var jd = ["body","#ak-MultiDate"];
            if (jetrigger) {
                /*that.valCell.on(jetrigger, function (ev) {
                    ev.stopPropagation();
                    if ($(jd[1]).length > 0) return;
                    formatDate(jd[0],jd[1]);
                });*/
                that.valCell.on(jetrigger, function (ev) {
                    ev.stopPropagation();
                    if ($(jd[1]).length > 0) return;
                    formatDate(jd[0],jd[1]);
                    $(jd[1]).slideDown();
                });
            }else {
                if ($(jd[1]).length > 0) return;
                formatDate(jd[0],jd[1]);
                //console.log(that);
                $(jd[1]).slideDown();
            }
        }
    };
    jedfn.parseFormat = function(ymdhms,format) {
        return jet.parse(ymdhms,format);
    };
    //转换日期值
    jedfn.parseValue = function (fnStr,matStr) {
        var that = this, valArr=[],opts = that.opts, setVal = "",elm = $(jet.boxelem),
            formats = matStr == undefined ? ($(elm.attr(jefix)).length > 0 ? elm.attr("jeformat") : that.format) : matStr,
            dateStr = $.isFunction(fnStr) ? fnStr() : fnStr;
        if (dateStr != "" || dateStr.length > 0 ){
            var unrange = opts.range != false,
                rangeArr = new Array(unrange ? 2 : 1);
            $.each(rangeArr,function (i) {
                var rangLen = rangeArr.length == 2,ymdObj = {},parmat = jet.reMatch(formats),
                    ranArr = rangLen ? dateStr.split(opts.range) : dateStr;
                if (rangLen){
                    $.each(jet.reMatch(ranArr[i]),function (r,val) {
                        ymdObj[jet.mlen(that.format) == 7 ? parmat[r] : matArr[r]] = val;
                    });
                }
                valArr.push(that.parseFormat((rangLen ? ymdObj : ranArr), formats));
                ymdObj = {};
            });
            setVal = valArr.join(unrange ? opts.range : "");
        }
        return setVal;
    };
    //设置日期值
    jedfn.setValue = function (fnStr,matStr,bool) {
        var that = this, elCell = that.valCell,strVal;
        if((typeof fnStr=='string')&&fnStr!=''&&that.opts.range == false){
            var reVal = jet.reMatch(fnStr), inObj={};
            $.each(jet.reMatch(that.format),function (r,val) {
                inObj[val] = parseInt(reVal[r]);
            });
            strVal = inObj;
        }else {
            strVal = fnStr;
        }
        var type = jet.isValHtml(elCell) ? "val" : "text",
            vals = that.parseValue(strVal,matStr);
        that.valCell.next("label").hide();
        if (bool != false) elCell[type](vals);
        return vals;
    };
    //获取日期值
    jedfn.getValue = function (valobj) {
        var that = this, objCell = that.valCell,
            opts = that.opts, reObj, result = new DateTime().reDate(),
            dateY = result.GetFullYear(),dateM = result.GetMonth(),dateD = result.GetDate();
        if (valobj == undefined && jet.isBool(opts.isShow)){
            var type = jet.isValHtml(objCell) ? "val" : "text";
            reObj = objCell[type]();
        }else {
            var isValShow = jet.isBool(opts.isShow) ? (that.getValue() == "") : !jet.isBool(opts.isShow),
                objarr = $.extend({YYYY:null,MM:null,DD:null},valobj||{}),
                ranMat = [],newArr = new Array(2),unObj = function (obj) {
                    return [(objarr[obj] == undefined || objarr[obj] == null),objarr[obj]]
                }, defObj = [{ YYYY:dateY,MM:dateM,DD:dateD},
                    { YYYY:dateY,MM:dateM,DD:dateD}];
            if (isValShow) {
                //目标为空值则获取当前日期时间
                $.each(newArr,function (i) {
                    var inObj = {};
                    $.each(matArr, function (r, val) {
                        inObj[val] = parseInt(unObj(val)[0] ? defObj[i][val] : unObj(val)[1]);
                    });
                    ranMat.push($.extend(defObj[i], inObj));
                });
            } else {
                var isunRange = opts.range != false, initVal = that.getValue(),
                    spVal = initVal.split(opts.range), reMat = jet.reMatch(that.format);
                $.each(newArr,function (i) {
                    var inObj = {}, reVal = isunRange ? jet.reMatch(spVal[i]) : jet.reMatch(initVal);
                    $.each(reMat,function (r,val) {
                        inObj[val] = parseInt(reVal[r]);
                    });
                    var exVal = $.extend(inObj,valobj||{});
                    ranMat.push($.extend(defObj[i],exVal));
                });
            }
            reObj = ranMat;
        }
        return reObj;
    };
    //布局控件骨架
    jedfn.renderHtml = function(ys, ms, ds, opts,boxcls){
        var that = this, boxCell = $(boxcls),
            isShow = jet.isBool(opts.isShow);
        var allvals = that.getValue({YYYY:ys,MM:ms,DD:ds}),
            vals = allvals[0], valx = allvals[1];
        that.format = isShow ? that.format : boxCell.attr("jeformat");
        var mlens = jet.mlen(that.format), testhh = /\hh/.test(that.format);
        var headcon = "<div class='arthead bg_title'></div><div class='artcont'></div>",
            artcont = $("<div/>",{"class":"maincont"}),
            footer = $("<div/>",{"class":"mainfoot"}),
            daycon = $("<div/>",{"class":"daybox"}).append(headcon),
            ymscon = $("<div/>",{"class":"ymsbox"}).append(headcon);
        artcont.append(ymscon).append(daycon);
        boxCell.empty().append(artcont.children().hide()).append(footer);
        boxCell.append($("<div/>",{"class":"ak-MultiDate-tips"}).hide());
        that.maincon = function (elem,is) { return boxCell.find(elem+" > "+(is == 0 ? ".arthead":".artcont")); };
        //根据日期格式进行对应的日期时间显示
        if(mlens == 7){
            that.eachHms(opts,boxCell);
        }else if(mlens>=3 && mlens<=6){
            that.maincon(".daybox",0).append('<button class="yearprev yprev bg_title"></button><button class="monthprev mprev bg_title"></button><button class="monthnext mnext bg_title"></button><button class="yearnext ynext bg_title"></button>');
            boxCell.find(".daybox").show();
            that.eachDays(vals.YYYY, vals.MM, vals.DD, opts, boxCell);
            //判断日期格式中是否包含hh（时）
            //将所有子元素用一个生成的div将所有段落包裹起来
            that.maincon(".ymsbox",0).append('<button class="yearprev yprev bg_title"></button><button class="yearnext ynext bg_title"></button><button class="close bg_title"></button>').addClass("ymfix");
            //将生成的年月插入到元素中
            that.eachYM(vals.YYYY, vals.MM, opts, boxCell,".fixcon");
        }
        //为年月的情况下执行
        if(mlens==1 || mlens==2){
            that.maincon(".ymsbox",0).append('<button class="yearprev yprev bg_title"></button><button class="yearnext ynext bg_title"></button>');
            boxCell.find(".ymsbox").show();
            that.eachYM(vals.YYYY, vals.MM, opts, boxCell,".ak-MultiDate-cont");
        }
        if(!isShow) footer.find(".today").hide();
        //绑定各个事件
        that.eventsDate(opts,boxCell);
        setTimeout(function () {
            opts.success && opts.success(boxCell);
        }, 50);
    };
    jedfn.createYMHtml = function(ys, ms, opts){
        var year = parseInt(ys),
            month = parseInt(ms),
            headCls = this.maincon(".daybox",0);
        if (month < 10) {
            var month = "0"+month;
        }
        var ymCls = $("<p class='dis_block ovh w_100 h_in'/>").css({"width":jet.isBool(opts.multiPane) ? '':'50%'}),
            ymText = "<button type='button' class='ymbtn bg_title'>"+year+"-"+month+"</button>";
        headCls.append(ymCls.html(ymText));
        return year+"-"+month;
    };
    //循环生成年或月
    jedfn.eachYM = function(y, m,opts,boxCell,clsCell) {
        var that = this, yearArr = new Array(15), date = new Date(),
            lang = opts.language || config.language, ymscon = that.maincon(".ymsbox",1),
            multiPane = jet.isBool(opts.multiPane), mlens = jet.mlen(that.format),
            ymarr = that.getValue({}),testhh = /\hh/.test(that.format),
            formatYY = mlens == 1;

        if(ymscon.find(".ymcon").length > 0) ymscon.find(".ymcon").remove();
        $.each(new Array(multiPane ? 1 : 2),function (s) {
            var retSetCls = function (sym,gym,eym) {
                var sval = sym.replace(gr,""), gval = gym.replace(gr,""), eval = eym.replace(gr,"");
                if (/YYYY-MM-DD/g.test(jet.isparmat(that.format))){
                    return (parseInt(sval) == parseInt(gval)) ? (s == 0 ? "actdate bg_title" : "") : "";
                }else {
                    if (parseInt(sval) == parseInt(gval)) {
                        if (!testhh) {
                            that.areaVal.push(sym);
                            that.areaStart = true;
                        }
                        return "actdate bg_title";
                    } else if (parseInt(sval) > parseInt(gval) && parseInt(sval) < parseInt(eval)) {
                        return "contain";
                    } else if (parseInt(sval) == parseInt(eval)) {
                        if (!testhh) {
                            that.areaVal.push(sym);
                            that.areaStart = true;
                        }
                        return "actdate bg_title";
                    } else {
                        return "";
                    }
                }
            };
            var ymDiv = $("<div/>",{"class":"ymcon"}).addClass(s==1 ? "spaer":""),ymArr=[];
            $.each(formatYY ? yearArr : lang.month, function (n, val) {
                var ym = s==1 ? y + (formatYY ? yearArr.length : 1) : y,seCls;
                n = s==1 ? (formatYY ? 15+n : 12+n) : n;
                if (formatYY) {
                    var minArr = jet.splMatch(jet.minDate), maxArr = jet.splMatch(jet.maxDate),
                        minY = minArr[0], maxY = maxArr[0], year = (ym - 7 + n),
                        getyear = (that.getValue() == "" && jet.isBool(opts.isShow)) ? date.getFullYear() : that.getValue();
                    //判断是否在有效期内
                    if (year < minY || year > maxY) {
                        ymArr.push({style:"disabled",ym: year,idx:n});
                    } else {
                        seCls = retSetCls(year.toString(),getyear.toString(),ymarr[1].YYYY.toString());
                        ymArr.push({style:seCls,ym: year,idx:n});
                    }
                } else {
                    var minArr = jet.splMatch(jet.minDate), maxArr = jet.splMatch(jet.maxDate),
                        thisDate = parseInt(ym+""+jet.digit(val)+""+"01"),
                        minTime = parseInt(minArr[0]+""+jet.digit(minArr[1])+""+jet.digit(minArr[2])),
                        maxTime = parseInt(maxArr[0]+""+jet.digit(maxArr[1])+""+jet.digit(maxArr[2]));
                    //判断是否在有效期内
                    if (thisDate < minTime || thisDate > maxTime) {
                        ymArr.push({style:"disabled",ym: ym + "-" + jet.digit(val),idx:n});
                    } else {
                        var ymVal = ym + "-" + jet.digit(val),ymmVal = ymarr[0].YYYY+ "-" + jet.digit(ymarr[0].MM);
                        seCls = retSetCls(ymVal,ymmVal,(ymarr[1].YYYY+ "-" + jet.digit(ymarr[1].MM)));
                        ymArr.push({style:seCls,ym: ym + "-" + jet.digit(val),idx:n});
                    }
                }

            });
            var table = $('<table/>',{"class":formatYY ?"yul":"ymul"});
            //生成表格主体
            $.each(new Array(formatYY ? 5:4), function(i){
                var tr = $('<tr/>');
                $.each(new Array(3), function(){
                    var td = $("<td/>");
                    table.append(tr.append(td));
                })
            });
            //为表格赋值年月
            $.each(ymArr,function (i,val) {
                table.find("td").eq(i).addClass(val.style).attr({idx:val.idx,"je-val":val.ym}).html(val.ym)
            });
            ymscon.append(ymDiv.append(table));

        });
        var contd = ymscon.find("td"),ymstit = that.maincon(".ymsbox",0),
            eqNum = formatYY ? (multiPane ? 15-1:15*2-1):(multiPane ? 12-1:12*2-1),
            sval = contd.eq(0).text(), eval = contd.eq(eqNum).text();
        var mnx = [(formatYY ? sval:sval.substring(0,4)),(formatYY ? eval:eval.substring(0,4))];
        ymstit.find("p").remove();
        ymstit.append("<p>"+sval+" ~ "+eval+"</p>").attr({min:mnx[0],max:mnx[1]});
    };
    //初始验证正则
    jedfn.dateRegExp = function(valArr) {
        var enval = valArr.split(",")||[], re = "";
        var doExp = function (val) {
            var arr, tmpEval, re = /#?\{(.*?)\}/;
            val = val + "";
            while ((arr = re.exec(val)) != null) {
                arr.lastIndex = arr.index + arr[1].length + arr[0].length - arr[1].length - 1;
                tmpEval = parseInt(eval(arr[1]));
                if (tmpEval < 0) tmpEval = "9700" + -tmpEval;
                val = val.substring(0, arr.index) + tmpEval + val.substring(arr.lastIndex + 1);
            }
            return val;
        };
        if (enval && enval.length > 0) {
            for (var i = 0; i < enval.length; i++) {
                re += doExp(enval[i]);
                if (i != enval.length - 1) re += "|";
            }
            re = re ? new RegExp("(?:" + re + ")") : null;
        } else {
            re = null;
        }
        //re = new RegExp((re + "").replace(/^\/\(\?:(.*)\)\/.*/, "$1"));
        return re;
    };
    //循环生成日
    jedfn.eachDays = function(ys, ms,ds, opts, boxCell){
        var that = this, isShow = jet.isBool(opts.isShow);
        var year = parseInt(ys), month = parseInt(ms), objCell = that.valCell,
            lang = opts.language || config.language, endval = opts.valiDate||[],
            minArr = jet.reMatch(jet.minDate), minNum = parseInt(minArr[0]+""+jet.digit(minArr[1])+""+jet.digit(minArr[2])),
            maxArr = jet.reMatch(jet.maxDate), maxNum = parseInt(maxArr[0]+""+jet.digit(maxArr[1])+""+jet.digit(maxArr[2]));
        var multiPane = jet.isBool(opts.multiPane),  ymdarr = that.getValue(!isShow ? {YYYY:ys,MM:ms,DD:ds}:{}),
            valrange = ((objCell.val() || objCell.text()) != "") && opts.range != false,
            ymdDate = parseInt(ymdarr[0].YYYY+""+jet.digit(ymdarr[0].MM)+""+jet.digit(ymdarr[0].DD));
        //设置时间标注
        var setMark = function (my, mm, md) {
            var Marks = opts.marks, contains = function(arr, obj) {
                var len = arr.length;
                while (len--) {
                    if (arr[len] === obj) return true;
                }
                return false;
            };
            return $.isArray(Marks) && Marks.length > 0 && contains(Marks, my + "-" + jet.digit(mm) + "-" + jet.digit(md)) ? '<i class="marks"></i>' :"";
        };
        //是否显示节日
        var isfestival = function(y, m ,d) {
            var festivalStr;
            if(opts.festival == true && lang.name == "cn"){
                var lunar = that.jeLunar(y, m - 1, d), feslunar = (lunar.solarFestival || lunar.lunarFestival),
                    lunartext = (feslunar && lunar.jieqi) != "" ? feslunar : (lunar.jieqi || lunar.showInLunar);
                festivalStr = '<p><span class="solar">' + d + '</span><span class="lunar">' + lunartext + '</span></p>';
            }else{
                festivalStr = '<p class="nolunar">' + d + '</p>';
            }
            return festivalStr;
        };
        //判断是否在限制的日期之中
        var dateLimit = function(Y, M, D, isMonth){
            var thatNum = parseInt(Y + "" + jet.digit(M) + "" + jet.digit(D));
            if(isMonth){
                if (thatNum >= minNum && thatNum <= maxNum) return true;
            }else {
                if (minNum > thatNum || maxNum < thatNum) return true;
            }
        };

        var eachDays = function (yd,md) {
            var count = 0, daysArr = [],
                firstWeek = new Date(yd, md - 1, 1).getDay() || 7,
                daysNum = jet.getDaysNum(yd, md), didx = 0,
                prevM = jet.prevMonth(yd, md),
                prevDaysNum = jet.getDaysNum(yd, prevM.m),
                nextM = jet.nextMonth(yd, md);
            //上一月剩余天数
            for (var p = prevDaysNum - firstWeek + 1; p <= prevDaysNum; p++, count++) {
                var pmark = setMark(prevM.y,prevM.m,p);
                var cls = dateLimit(prevM.y, prevM.m, p, false) ? "disabled" : "other";
                daysArr.push({style:cls,ymd:prevM.y+'-'+prevM.m+'-'+p,day:p,d:(isfestival(prevM.y,prevM.m,p) + pmark),idx:didx++});
            }
            //本月的天数
            for(var b = 1; b <= daysNum; b++, count++){
                var bmark = setMark(yd,md,b), cls = "";
                var dateval = parseInt(yd+""+jet.digit(md)+""+jet.digit(b)),
                    rangval = parseInt(ymdarr[1].YYYY+""+jet.digit(ymdarr[1].MM)+""+jet.digit(ymdarr[1].DD)),
                    parsdate = dateval > ymdDate, rangdate = dateval < rangval;
                if(dateLimit(yd, md, b, true)){
                    if(dateval == ymdDate){
                        cls = "actdate bg_title";
                        that.areaVal.push(yd+'-'+jet.digit(md)+'-'+jet.digit(b));
                        that.areaStart = true;
                    }else if(parsdate&&rangdate&&valrange){
                        cls = "contain";
                    }else if((dateval == rangval)&&valrange){
                        cls = "actdate bg_title";
                        that.areaVal.push(yd+'-'+jet.digit(md)+'-'+jet.digit(b));
                        that.areaEnd = true;
                    }else {
                        cls = "";
                    }
                }else {
                    cls = "disabled";
                }
                daysArr.push({style:cls,ymd:yd+'-'+md+'-'+b,day:b,d:(isfestival(yd,md,b) + bmark),idx:didx++});
            }
            //下一月开始天数
            for(var n = 1, nlen = 42 - count; n <= nlen; n++){
                var nmark = setMark(nextM.y,nextM.m,n);
                var cls = dateLimit(nextM.y, nextM.m, n, false) ? "disabled" : "other";
                daysArr.push({style:cls,ymd:nextM.y+'-'+nextM.m+'-'+n,day:n,d:(isfestival(nextM.y,nextM.m,n) + nmark),idx:didx++});
            }
            //将星期与日期拼接起来
            return daysArr;
        };
        var valdigit = function (val) {
            var spval = jet.reMatch(val) , rearr = [];
            $.each(spval,function (i,v) {
                rearr.push(jet.digit(v));
            });
            return rearr.join("-");
        };
        var moreArr = new Array(multiPane ? 1 : 2), isDec = (month + 1 > 12),ymarr = [];
        $.each(moreArr,function (d,val) {
            var table = $('<table/>',{"class":"daysul"}) ,thead = $('<thead/>'),
                tbody = $('<tbody/>'), t= d == 1 ? 42:0;
            table.append(thead).append(tbody);
            //生成表格主体
            $.each(new Array(7), function(i){
                var tr = $('<tr/>');
                $.each(new Array(7), function(){
                    var th = $("<th/>"), td = $("<td/>");
                    tr.append(i == 0 ? th : td.attr("idx",t++));
                    i == 0 ? thead.append(tr) : tbody.append(tr);
                })
            });
            var nian = (isDec && d == 1) ? year+1 : year,
                yue = (isDec && d == 1) ? 1 : (d == 1 ? month+1 : month);
            var arrDay = eachDays(nian,yue);
            var moreCls = $("<div/>",{'class':'contlist'});
            //赋值星期
            $.each(lang.weeks,function (i,val) {
                table.find("th").eq(i).text(val);
            });
            ymarr.push(that.createYMHtml(nian,yue, opts));
            $.each(arrDay,function (i,val) {
                var clsVal = val.style;
                if(endval.length > 0 && endval[0]!=""){
                    if(/\%/g.test(endval[0])){
                        var reval = endval[0].replace(/\%/g,"").split(","), enArr = [];
                        $.each(reval,function (r,rel) {
                            enArr.push(jet.digit(parseInt(rel)));
                        });
                        var isfind = $.inArray(jet.digit(val.day), enArr) == -1;
                        clsVal = jet.isBool(endval[1]) ? (isfind ? "disabled" :clsVal) : (isfind ? clsVal :"disabled");
                    }else {
                        var valreg = that.dateRegExp(endval[0]), regday = valreg.test(jet.digit(val.day));
                        clsVal = jet.isBool(endval[1]) ? (regday ? "disabled" : val.style) : (regday ? val.style : "disabled")
                    }
                }
                table.find("td").eq(i).addClass(clsVal).attr("je-val",valdigit(val.ymd)).html(val.d);
            });
            that.maincon(".daybox",1).append(moreCls.append(table)).addClass(d == 1 ? "spaer" : "");
        });
        that.maincon(".daybox",0).attr("je-ym",ymarr.join(","));
    };
    //为日期绑定各类事件
    jedfn.eventsDate = function(opts,boxCell) {
        var that = this, multiPane = jet.isBool(opts.multiPane);
        //上下月事件
        that.clickYM(opts,boxCell);
        //点击天事件
        that.clickDays(opts,boxCell);
        //自适应定位,值在isShow为true的情况下有效
        if(jet.isBool(opts.isShow)){
            var datepos = opts.position||[];
            if (datepos.length > 0){
                boxCell.css({
                    "top":datepos[0],
                    "left":datepos[1]
                });
            }else {
                that.dateOrien(boxCell, that.valCell);
                $(window).on("resize", function(){
                    that.dateOrien(boxCell, that.valCell);
                })
            }
        }
        //点击空白处隐藏
        $("#multi_mask").unbind("click");
        $("#multi_mask").on("click",function () {
            if (jet.boxelem == "#ak-MultiDate"){
                var box = $(jet.boxelem);
                if (box.length > 0) {
                    $(jet.boxelem).slideUp();
                    setTimeout(function() {
                            that.dateClose();
                        },
                        500);
                }
                /*if (box && box.css("display") !== "none")  that.dateClose();*/
                if($("#ak-MultiDate_tipscon").length > 0) $("#ak-MultiDate_tipscon").remove();
                delete that.areaStart;
                delete that.areaEnd;
                that.areaVal = [];
            }
        });
    };
    //切换年月并重新生成日历
    jedfn.clickYM = function (opts,boxCell) {
        var that = this, ymhead = that.maincon(".ymsbox",0),elemCell = that.valCell,
            yPre = ymhead.find(".yprev"),
            yNext = ymhead.find(".ynext"),
            ymdhead = that.maincon(".daybox",0),
            isShow = jet.isBool(opts.isShow),
            ydPre = ymdhead.find(".yprev"),
            ydNext = ymdhead.find(".ynext"),
            mdPre = ymdhead.find(".mprev"),
            mdNext = ymdhead.find(".mnext"),
            mlens = jet.mlen(that.format),
            isYYMM = mlens == 2,
            isYY = mlens == 1;
        var carr = ["actdate","contain"],
            ymDate = new Date();
        var clickYmSelected = function () {
            var ulCell = that.maincon(".ymsbox",1).find(".ymcon"), tdCell = ulCell.find("td");
            tdCell.unbind("click");
            tdCell.on("click",function () {
                var lithis = $(this), thisdate = lithis.attr("je-val");
                if (lithis.hasClass("disabled")) return;
                if(opts.range == false){
                    tdCell.removeClass(carr[0]);
                    lithis.addClass(carr[0]);
                    that.maincon(".ymsbox",0).attr("data-val",lithis.text());
                }else {
                    //判断是否存在选择的开始与结束日期
                    if (that.areaStart && that.areaEnd == undefined){
                        lithis.addClass(carr[0]);
                        that.areaEnd = true;
                        //添加当前选中的到数组中
                        that.areaVal.push(thisdate);
                        //遍历元素，并在范围中查找同时着色
                        tdCell.each(function () {
                            var sefl = $(this),seVals = sefl.attr("je-val").replace(gr,""),
                                rearea = [that.areaVal[0].replace(gr,""),that.areaVal[1].replace(gr,"")],
                                minVal = Math.min.apply(null, rearea), maxVal = Math.max.apply(null, rearea);
                            if (!sefl.hasClass("other")){
                                var contrast = parseInt(seVals) > parseInt(minVal) && parseInt(seVals) < parseInt(maxVal);
                                if(contrast){
                                    sefl.addClass(carr[1]);
                                }
                            }
                        });
                    }else if (that.areaStart && that.areaEnd){
                        //如果已经选择了一个范围，就清除属性
                        that.delAreaAttr();
                        tdCell.removeClass(carr[0]).removeClass(carr[1]);
                        lithis.addClass(carr[0]);
                        that.areaVal.push(thisdate);
                        that.areaStart = true;
                    }

                }
            });
        };
        if(isYYMM || isYY){
            clickYmSelected();
            //年或年月情况下的变化
            $.each([yPre, yNext], function (ym, cls) {
                cls.unbind("click");
                cls.on("click", function (ev) {
                    var cthat = $(this), ymMonth = ymDate.getMonth()+1,
                        ymMin = parseInt(cthat.parent().attr("min")), ymMax = parseInt(cthat.parent().attr("max"));
                    var ymYear =isYY ? (ym == 0 ? ymMin : ymMax) : (ym == 0 ? --ymMin : ++ymMax);
                    that.renderHtml(ymYear, ymMonth, null, opts, boxCell);
                    if (opts.range == false) {
                        var ymobj = isYY ? {YYYY: ymYear} : {YYYY: ymYear, MM: ymMonth};
                        var value = that.parseValue(ymobj),
                            date = {
                                YYYY: ymYear, MM: ymMonth, DD: ymDate.getDate(),
                                hh: ymDate.getHours(), mm: ymDate.getMinutes(), ss: ymDate.getSeconds()
                            };
                        if ($.isFunction(opts.toggle)) opts.toggle(elemCell,value,date);
                    }
                })
            })
        }else {
            //切换年
            $.each([ydPre, ydNext], function (y, cls) {
                cls.unbind("click");
                cls.on("click", function (ev) {
                    ev.stopPropagation();
                    var gym = jet.reMatch($(this).parent().attr("je-ym"));
                    var year = parseInt(gym[0]), month = parseInt(gym[1]),
                        pnYear = y == 0 ? --year : ++year;
                    that.renderHtml(pnYear, month, null, opts, boxCell);
                    if (opts.range == false) {
                        var gv = that.getValue({})[0];
                        var value = that.parseValue({YYYY: pnYear, MM: month, DD: gv.DD}),
                            dateobj = {
                                YYYY: pnYear, MM: month, DD: ymDate.getDate(),
                                hh: ymDate.getHours(), mm: ymDate.getMinutes(), ss: ymDate.getSeconds()
                            };
                        if ($.isFunction(opts.toggle)) opts.toggle({elem:elemCell,val:value,date:dateobj});
                    }
                });
            });
            //切换月
            $.each([mdPre, mdNext], function (m, cls) {
                cls.unbind("click");
                cls.on("click", function (ev) {
                    ev.stopPropagation();
                    var gym = jet.reMatch($(this).parent().attr("je-ym"));
                    var year = parseInt(gym[0]), month = parseInt(gym[1]),
                        PrevYM = jet.prevMonth(year, month), NextYM = jet.nextMonth(year, month);
                    m == 0 ? that.renderHtml(PrevYM.y, PrevYM.m, null, opts, boxCell) : that.renderHtml(NextYM.y, NextYM.m, null, opts, boxCell);
                    var yearVal = m == 0 ? PrevYM.y : NextYM.y, monthVal = m == 0 ? PrevYM.m : NextYM.m;
                    if (opts.range == false) {
                        var gv = that.getValue({})[0];
                        var value = that.parseValue({YYYY: yearVal, MM: monthVal, DD: gv.DD}),
                            dateobj = {
                                YYYY: yearVal, MM: monthVal, DD: ymDate.getDate(),
                                hh: ymDate.getHours(), mm: ymDate.getMinutes(), ss: ymDate.getSeconds()
                            };
                        if ($.isFunction(opts.toggle)) opts.toggle({elem:elemCell,val:value,date:dateobj});
                    }
                    //console.log("jinru"+ymDate)
                });
            });
        }
        if(mlens >= 3 && mlens <= 6){
            that.maincon(".daybox",0).on("click",".ymbtn", function (ev) {
                boxCell.children(".ymsbox").show();
                boxCell.children(".daybox").hide();
                if (isShow) that.dateOrien(boxCell, that.valCell);
            });
            var aloneSelym = function () {
                var ulCell = boxCell.find(".ymcon"), tdCell = ulCell.find("td");
                tdCell.unbind("click");
                tdCell.on("click",function () {
                    var sefl = $(this), seval = jet.reMatch(sefl.attr("je-val"));
                    tdCell.removeClass(carr[0]);
                    sefl.addClass(carr[0]);
                    boxCell.children(".ak-MultiDate-contfix").show();
                    boxCell.children(".ak-MultiDate-ak-MultiDatewrap").hide();
                    that.renderHtml(seval[0], seval[1],null, opts,boxCell);
                })
            };
            $.each([yPre, yNext], function (ym, cls) {
                cls.unbind("click");
                cls.on("click", function (ev) {
                    var ymMonth = ymDate.getMonth()+1,
                        ymMin = parseInt($(this).parent().attr("min")), ymMax = parseInt($(this).parent().attr("max"));
                    var ymYear =isYY ? (ym == 0 ? ymMin : ymMax) : (ym == 0 ? --ymMin : ++ymMax);
                    that.eachYM(ymYear, ymMonth, opts, boxCell,".ak-MultiDate-contfix");
                    aloneSelym();
                    if (isShow) that.dateOrien(boxCell, that.valCell);
                    if ($.isFunction(opts.toggle)) opts.toggle();
                })
            });
            ymhead.find(".close").unbind("click");
            ymhead.on("click",".close", function (ev) {
                boxCell.children(".daybox").show();
                boxCell.children(".ymsbox").hide();
                if (isShow) that.dateOrien(boxCell, that.valCell);
            });
            aloneSelym();
        }

    };
    //绑定天的事件
    jedfn.clickDays = function (opts,boxCell) {
        var that = this, elemCell = that.valCell,valStr = "je-val",
            ulCls = boxCell.find(".daysul"), tdCls = ulCls.find("td"),
            lang = opts.language || config.language,
            carr = ["actdate bg_title","contain"];

        //点击绑定日期事件
        tdCls.unbind("click");
        tdCls.on("click", function(ev) {
            var lithis = $(this), thisdate = lithis.attr(valStr),
                ymdArr = jet.reMatch(thisdate), dayArr = [];
            if (lithis.hasClass("disabled")) return;
            ev.stopPropagation();
            //单独选择
            var aloneSelected = function () {
                $.each(ymdArr,function (i,val) {
                    dayArr.push(parseInt(val));
                });
                if($(boxCell.attr(jefix)).length > 0 ){
                    that.renderHtml(dayArr[0], dayArr[1],dayArr[2], opts,boxCell);
                }else {
                    //判断是否为点击后关闭弹层
                    if(jet.isBool(opts.onClose)){
                        tdCls.removeClass(carr[0]);
                        lithis.addClass(carr[0]);
                    }else {
                        var ymdObj = {}, spval = jet.reMatch(lithis.attr(valStr));
                        //获取时分秒的集合
                        $.each(spval,function (i,val) {
                            ymdObj[matArr[i]] = val;
                        });
                        var objs = /\hh/.test(that.format) ? $.extend(ymdObj,that.gethmsVal(boxCell)) : ymdObj;
                        var vals = that.setValue(objs);
                        var box = $(jet.boxelem);
                        if (box.length > 0) {
                            $(jet.boxelem).slideUp();
                            setTimeout(function() {
                                    that.dateClose();
                                },
                                500);
                        }
                        if ($.isFunction(opts.okfun) || opts.okfun != null){
                            opts.okfun && opts.okfun({elem:elemCell,val:vals,date:objs});
                        }
                    }
                }
            };
            //区域选择
            var areaSelected = function () {
                //判断是否只选中一个
                if (that.areaStart && that.areaEnd == undefined){
                    lithis.addClass(carr[0]);
                    that.areaEnd = true;
                    //添加当前选中的到数组中
                    that.areaVal.push(thisdate);
                    //遍历元素，并在范围中查找同时着色
                    tdCls.each(function () {
                        var sefl = $(this),seVals = sefl.attr("je-val").replace(gr,""),
                            rearea = [that.areaVal[0].replace(gr,""),that.areaVal[1].replace(gr,"")],
                            minVal = Math.min.apply(null, rearea), maxVal = Math.max.apply(null, rearea);
                        if (!sefl.hasClass("other") && !sefl.hasClass("disabled")){
                            var contrast = parseInt(seVals) > parseInt(minVal) && parseInt(seVals) < parseInt(maxVal);
                            if(contrast){
                                sefl.addClass(carr[1]);
                            }
                        }
                    });
                }else if (that.areaStart && that.areaEnd){
                    //如果已经选择了一个范围，就清除属性
                    that.delAreaAttr();
                    tdCls.removeClass(carr[0]).removeClass(carr[1]);
                    lithis.addClass(carr[0]);
                    that.areaVal.push(thisdate);
                    that.areaStart = true;
                }
            };
            //判断是否要进行日期区域选择
            opts.range == false ? aloneSelected() : areaSelected();
        });
    };
    //计算当前选中的滚动条位置
    jedfn.locateScroll = function (cell) {
        $.each(cell, function() {
            var hmsCls = $(this), achmsCls = hmsCls.find(".action");
            var acNUm = (achmsCls.length > 0) ? (achmsCls[0].offsetTop - 114):0;
            hmsCls[0].scrollTop = acNUm;
        });
    };
    //辨别控件的方位
    jedfn.dateOrien = function(boxCls, valCls) {
        boxCls.css({"bottom":0,"left":0});
    };
    jedfn.tips = function (text, time) {
        var that = this, tipCls = $(jet.boxelem).find(".ak-MultiDate-tips");
        tipCls.html("").html(text||"").show();
        clearTimeout(that.tipTime);
        that.tipTime = setTimeout(function(){
            tipCls.html("").hide();
        }, (time||2.5)*1000);
    };
    //关闭层
    jedfn.dateClose = function() {
        if($($(jet.boxelem).attr(jefix)).length == 0) $(jet.boxelem).remove();
        $('#multi_mask').remove();
    };
    //日期大小比较
    jedfn.dateContrast = function (ac, bc) {
        var sarr = ac.split("-"), earr = bc.split("-"),
            start = parseInt(sarr[0]+""+jet.digit(parseInt(sarr[1])-1)+""+jet.digit(sarr[2]||"01")),
            end = parseInt(earr[0]+""+jet.digit(parseInt(earr[1])-1)+""+jet.digit(sarr[2]||"01"));
        return (start >= end) ? false : true;
    };
    //删除区域属性
    jedfn.delAreaAttr = function () {
        delete this.areaStart;
        delete this.areaEnd;
        this.areaVal = [];
    };
    //返回指定日期
    $.nowDate = function (str,format) {
        format = format || 'YYYY-MM-DD hh:mm:ss';
        if (typeof(str) === 'number') {
            str = {DD: str};
        }
        return jet.GetDateTime(str, format);
    };
    //分解日期时间
    $.splitDate = function (str) {
        var sdate = str.match(/\w+|d+/g);
        return {
            YYYY:parseInt(sdate[0]),MM:parseInt(sdate[1])||00,DD:parseInt(sdate[2])||00,
            hh:parseInt(sdate[3])||00,mm:parseInt(sdate[4])||00,ss:parseInt(sdate[5])||00
        };
    };
    //获取年月日星期
    $.getLunar = function(date,format){
        var that = this;
        format = format || 'YYYY-MM-DD hh:mm:ss';
        if(/YYYY-MM-DD/g.test(jet.isparmat(format))){
            //如果为数字类型的日期对获取到日期的进行替换
            var charDate = date.substr(0,4).replace(/^(\d{4})/g,"$1,") + date.substr(4).replace(/(.{2})/g,"$1,"),
                reArr = jet.isNum(date) ? jet.reMatch(charDate) : jet.reMatch(date),
                lunars = that.jeLunar(reArr[0], reArr[1] - 1, reArr[2]);
            return{
                nMonth: lunars.lnongMonth,             //农历月
                nDays: lunars.lnongDate,               //农历日
                yYear: parseInt(lunars.solarYear),     //阳历年
                yMonth: parseInt(lunars.solarMonth),   //阳历月
                yDays: parseInt(lunars.solarDate),     //阳历日
                cWeek: lunars.inWeekDays,              //汉字星期几
                nWeek: lunars.solarWeekDay             //数字星期几
            };
        }
    };
    return Andrew_MultiDate;
}(jQuery));

/*-----------------------------------------------Andrew_Viewer-------------------------------------------*/
(function($){
    function aL(a) {
        return "string" == typeof a
    }
    function a1(a) {
        return "number" == typeof a && !isNaN(a)
    }
    function aM(a) {
        return "undefined" == typeof a
    }
    function aR(b, a) {
        var c = [];
        return a1(a) && c.push(a),
            c.slice.apply(b, c)
    }
    function aQ(b, a) {
        var c = aR(arguments, 2);
        return function() {
            return b.apply(a, c.concat(aR(arguments)))
        }
    }
    function a5(b) {
        var a = [],
            c = b.rotate,
            e = b.scaleX,
            d = b.scaleY;
        return a1(c) && a.push("rotate(" + c + "deg)"),
        a1(e) && a1(d) && a.push("scale(" + e + "," + d + ")"),
            a.length ? a.join(" ") : "none"
    }
    function aX(a) {
        return a.offsetWidth
    }
    function aN(a) {
        return aL(a) ? a.replace(/^.*\//, "").replace(/[\?&#].*$/, "") : ""
    }
    function aT(b, a) {
        var c;
        return b.naturalWidth ? a(b.naturalWidth, b.naturalHeight) : (c = document.createElement("img"), c.onload = function() {
            a(this.width, this.height)
        },
            void(c.src = b.src))
    }
    function a2(a) {
        var c = a.length,
            b = 0,
            d = 0;
        return c && ($.each(a,
            function(f, e) {
                b += e.pageX,
                    d += e.pageY
            }), b /= c, d /= c),
            {
                pageX: b,
                pageY: d
            }
    }
    function a3(a) {
        switch (a) {
            case 2:
                return aH;
            case 3:
                return aD;
            case 4:
                return az
        }
    }
    function aK(a, b) {
        this.$element = $(a),
            this.options = $.extend({},
                aK.defaults, $.isPlainObject(b) && b),
            this.isImg = !1,
            this.isBuilt = !1,
            this.isShown = !1,
            this.isViewed = !1,
            this.isFulled = !1,
            this.isPlayed = !1,
            this.wheeling = !1,
            this.playing = !1,
            this.fading = !1,
            this.tooltiping = !1,
            this.transitioning = !1,
            this.action = !1,
            this.target = !1,
            this.timeout = !1,
            this.index = 0,
            this.length = 0,
            this.init()
    }
    var aS = $(window),
        aJ = $(document),
        aZ = "viewer",
        aY = document.createElement(aZ),
        aI = "fix",
        aP = "scrolling",
        a4 = "dis_block_im",
        aG = "dis_none_im",
        aH = "ak-viewer-hide-xs-down",
        aD = "ak-viewer-hide-sm-down",
        az = "ak-viewer-hide-md-down",
        aF = "ak-viewer-fade",
        aw = "ak-viewer-in",
        ac = "ak-viewer-move",
        aU = "ak-viewer-active",
        at = "ak-viewer-invisible",
        ad = "ak-viewer-transition",
        al = "ak-viewer-fullscreen",
        ah = "ak-viewer-fullscreen-exit",
        af = "ak-viewer-close",
        ax = "img",
        ai = "mousedown touchstart pointerdown MSPointerDown",
        ay = "mousemove touchmove pointermove MSPointerMove",
        ap = "mouseup touchend touchcancel pointerup pointercancel MSPointerUp MSPointerCancel",
        aO = "wheel mousewheel DOMMouseScroll",
        aj = "transitionend",
        ao = "load." + aZ,
        ae = "keydown." + aZ,
        a6 = "click." + aZ,
        aV = "resize." + aZ,
        aB = "build." + aZ,
        aA = "built." + aZ,
        au = "show." + aZ,
        ag = "shown." + aZ,
        an = "hide." + aZ,
        am = "hidden." + aZ,
        ab = "view." + aZ,
        aq = "viewed." + aZ,
        ak = "undefined" != typeof aY.style.transition,
        av = Math.round,
        ar = Math.sqrt,
        aE = Math.abs,
        aa = Math.min,
        a0 = Math.max,
        aC = Number;
    aK.prototype = {
        constructor: aK,
        init: function() {
            var c = this.options,
                f = this.$element,
                d = f.is(ax),
                h = d ? f: f.find(ax),
                g = h.length,
                b = $.proxy(this.ready, this);
            g && ($.isFunction(c.build) && f.one(aB, c.build), this.trigger(aB).isDefaultPrevented() || (ak || (c.transition = !1), this.isImg = d, this.length = g, this.count = 0, this.$images = h, this.$body = $("main"), c.inline ? (f.one(aA, $.proxy(function() {
                    this.view()
                },
                this)), h.each(function() {
                this.complete ? b() : $(this).one(ao, b)
            })) : f.on(a6, $.proxy(this.start, this))))
        },
        ready: function() {
            this.count++,
            this.count === this.length && this.build()
        },
        build: function() {
            var c, j, f, l, k, b, d = this.options,
                g = this.$element;
            this.isBuilt || (this.$parent = c = g.parent(), this.$viewer = j = $(aK.template), this.$canvas = j.find(".ak-viewer-canvas"), this.$footer = j.find(".ak-viewer-footer"), this.$title = f = j.find(".ak-viewer-title"), this.$toolbar = l = j.find(".ak-viewer-toolbar"), this.$navbar = k = j.find(".ak-viewer-navbar"), this.$button = b = j.find(".ak-viewer-button"), this.$tooltip = j.find(".ak-viewer-tooltip"), this.$player = j.find(".ak-viewer-player"), this.$list = j.find(".ak-viewer-list"), f.addClass(d.title ? a3(d.title) : aG), l.addClass(d.toolbar ? a3(d.toolbar) : aG), l.find("li[class*=zoom]").toggleClass(at, !d.zoomable), l.find("li[class*=flip]").toggleClass(at, !d.scalable), d.rotatable || l.find("li[class*=rotate]").addClass(at).appendTo(l), k.addClass(d.navbar ? a3(d.navbar) : aG), d.inline ? (b.addClass(al), j.css("z-index", d.zIndexInline), "static" === c.css("position") && c.css("position", "relative")) : (b.addClass(af), j.css("z-index", d.zIndex).addClass([aI, aF, aG].join(" "))), $("body").append(j), d.inline && (this.render(), this.bind(), this.isShown = !0), this.isBuilt = !0, $.isFunction(d.built) && g.one(aA, d.built), this.trigger(aA))
        },
        unbuild: function() {
            var b = this.options,
                a = this.$element;
            this.isBuilt && (b.inline && a.removeClass(aG), this.$viewer.remove())
        },
        bind: function() {
            var a = this.options,
                b = this.$element;
            $.isFunction(a.view) && b.on(ab, a.view),
            $.isFunction(a.viewed) && b.on(aq, a.viewed),
                this.$viewer.on(a6, $.proxy(this.click, this)).on(aO, $.proxy(this.wheel, this)),
                this.$canvas.on(ai, $.proxy(this.mousedown, this)),
                aJ.on(ay, this._mousemove = aQ(this.mousemove, this)).on(ap, this._mouseup = aQ(this.mouseup, this)).on(ae, this._keydown = aQ(this.keydown, this)),
                aS.on(aV, this._resize = aQ(this.resize, this))
        },
        unbind: function() {
            var a = this.options,
                b = this.$element;
            $.isFunction(a.view) && b.off(ab, a.view),
            $.isFunction(a.viewed) && b.off(aq, a.viewed),
                this.$viewer.off(a6, this.click).off(aO, this.wheel),
                this.$canvas.off(ai, this.mousedown),
                aJ.off(ay, this._mousemove).off(ap, this._mouseup).off(ae, this._keydown),
                aS.off(aV, this._resize)
        },
        render: function() {
            this.initContainer(),
                this.initViewer(),
                this.initList(),
                this.renderViewer()
        },
        initContainer: function() {
            this.container = {
                width: aS.innerWidth(),
                height: aS.innerHeight()
            }
        },
        initViewer: function() {
            var a, c = this.options,
                b = this.$parent;
            c.inline && (this.parent = a = {
                width: a0(b.width(), c.minWidth),
                height: a0(b.height(), c.minHeight)
            }),
            (this.isFulled || !a) && (a = this.container),
                this.viewer = $.extend({},
                    a)
        },
        renderViewer: function() {
            this.options.inline && !this.isFulled && this.$viewer.css(this.viewer)
        },
        initList: function() {
            var b = this.options,
                a = this.$element,
                d = this.$list,
                c = [];
            this.$images.each(function(g) {
                var j = this.src,
                    e = this.alt || aN(j),
                    f = b.url;
                j && (aL(f) ? f = this.getAttribute(f) : $.isFunction(f) && (f = f.call(this, this)), c.push('<li><img src="' + j + '" data-action="view" data-index="' + g + '" data-original-url="' + (f || j) + '" alt="' + e + '"></li>'))
            }),
                d.html(c.join("")).find(ax).one(ao, {
                        filled: !0
                    },
                    $.proxy(this.loadImage, this)),
                this.$items = d.children(),
            b.transition && a.one(aq,
                function() {
                    d.addClass(ad)
                })
        },
        renderList: function(b) {
            var a = b || this.index,
                d = this.$items.eq(a).width(),
                c = d + 1;
            this.$list.css({
                width: c * (this.length + 1),
                marginLeft: (this.viewer.width - d) / 2 - c * a
            })
        },
        resetList: function() {
            this.$list.empty().removeClass(ad).css("margin-left", 0)
        },
        initImage: function(c) {
            var j = this.options,
                f = this.$image,
                l = this.viewer,
                k = this.$footer.height(),
                b = l.width,
                d = a0(l.height - k, k),
                g = this.image || {};
            aT(f[0], $.proxy(function(h, r) {
                    var p, a, m = h / r,
                        q = b,
                        e = d;
                    d * m > b ? e = b / m: q = d * m,
                        q = aa(0.9 * q, h),
                        e = aa(0.9 * e, r),
                        a = {
                            naturalWidth: h,
                            naturalHeight: r,
                            aspectRatio: m,
                            ratio: q / h,
                            width: q,
                            height: e,
                            left: (b - q) / 2,
                            top: (d - e) / 2
                        },
                        p = $.extend({},
                            a),
                    j.rotatable && (a.rotate = g.rotate || 0, p.rotate = 0),
                    j.scalable && (a.scaleX = g.scaleX || 1, a.scaleY = g.scaleY || 1, p.scaleX = 1, p.scaleY = 1),
                        this.image = a,
                        this.initialImage = p,
                    $.isFunction(c) && c()
                },
                this))
        },
        renderImage: function(a) {
            var c = this.image,
                b = this.$image;
            b.css({
                width: c.width,
                height: c.height,
                marginLeft: c.left,
                marginTop: c.top,
                transform: a5(c)
            });
            $.isFunction(a) && (this.transitioning ? b.one(aj, a) : a())
        },
        resetImage: function() {
            this.$image.remove();
            this.$image = null
        },
        start: function(a) {
            var b = a.target;
            $(b).is("img") && (this.target = b, this.show())
        },
        click: function(a) {
            var c = $(a.target),
                b = c.data("action"),
                d = this.image;
            switch (b) {
                case "mix":
                    this.isPlayed ? this.stop() : this.options.inline ? this.isFulled ? this.exit() : this.full() : this.hide();
                    break;
                case "view":
                    this.view(c.data("index"));
                    break;
                case "zoom-in":
                    this.zoom(0.1, !0);
                    break;
                case "zoom-out":
                    this.zoom( - 0.1, !0);
                    break;
                case "one-to-one":
                    this.toggle();
                    break;
                case "reset":
                    this.reset();
                    break;
                case "prev":
                    this.prev();
                    break;
                case "play":
                    this.play();
                    break;
                case "next":
                    this.next();
                    break;
                case "rotate-left":
                    this.rotate( - 90);
                    break;
                case "rotate-right":
                    this.rotate(90);
                    break;
                case "flip-horizontal":
                    this.scaleX( - d.scaleX || -1);
                    break;
                case "flip-vertical":
                    this.scaleY( - d.scaleY || -1);
                    break;
                default:
                    this.isPlayed && this.stop()
            }
        },
        load: function() {
            var a = this.options,
                c = this.viewer,
                b = this.$image;
            this.timeout && (clearTimeout(this.timeout), this.timeout = !1),
                b.removeClass(at).css("cssText", "width:0;height:0;margin-left:" + c.width / 2 + "px;margin-top:" + c.height / 2 + "px;max-width:none!important;visibility:visible;"),
                this.initImage($.proxy(function() {
                        b.toggleClass(ad, a.transition).toggleClass(ac, a.movable),
                            this.renderImage($.proxy(function() {
                                    this.isViewed = !0,
                                        this.trigger(aq)
                                },
                                this))
                    },
                    this))
        },
        loadImage: function(c) {
            var g = c.target,
                f = $(g),
                k = f.parent(),
                j = k.width(),
                b = k.height(),
                d = c.data && c.data.filled;
            aT(g,
                function(h, a) {
                    var m = h / a,
                        o = j,
                        l = b;
                    b * m > j ? d ? o = b * m: l = j / m: d ? l = j / m: o = b * m,
                        f.css({
                            width: o,
                            height: l,
                            marginLeft: (j - o) / 2,
                            marginTop: (b - l) / 2
                        })
                })
        },
        resize: function() {
            this.initContainer(),
                this.initViewer(),
                this.renderViewer(),
                this.renderList(),
                this.initImage($.proxy(function() {
                        this.renderImage()
                    },
                    this)),
            this.isPlayed && this.$player.find(ax).one(ao, $.proxy(this.loadImage, this)).trigger(ao)
        },
        wheel: function(a) {
            var c = a.originalEvent || a,
                b = aC(this.options.zoomRatio) || 0.1,
                d = 1;
            this.isViewed && (a.preventDefault(), this.wheeling || (this.wheeling = !0, setTimeout($.proxy(function() {
                    this.wheeling = !1
                },
                this), 50), c.deltaY ? d = c.deltaY > 0 ? 1 : -1 : c.wheelDelta ? d = -c.wheelDelta / 120 : c.detail && (d = c.detail > 0 ? 1 : -1), this.zoom( - d * b, !0, a)))
        },
        keydown: function(b) {
            var a = this.options,
                c = b.which;
            if (this.isFulled && a.keyboard) {
                switch (c) {
                    case 27:
                        this.isPlayed ? this.stop() : a.inline ? this.isFulled && this.exit() : this.hide();
                        break;
                    case 32:
                        this.isPlayed && this.stop();
                        break;
                    case 37:
                        this.prev();
                        break;
                    case 38:
                        b.preventDefault(),
                            this.zoom(a.zoomRatio, !0);
                        break;
                    case 39:
                        this.next();
                        break;
                    case 40:
                        b.preventDefault(),
                            this.zoom( - a.zoomRatio, !0);
                        break;
                    case 48:
                    case 49:
                        (b.ctrlKey || b.shiftKey) && (b.preventDefault(), this.toggle())
                }
            }
        },
        mousedown: function(d) {
            var c, g = this.options,
                f = d.originalEvent,
                j = f && f.touches,
                h = d,
                b = g.movable ? "move": !1;
            if (this.isViewed) {
                if (j) {
                    if (c = j.length, c > 1) {
                        if (!g.zoomable || 2 !== c) {
                            return
                        }
                        h = j[1],
                            this.startX2 = h.pageX,
                            this.startY2 = h.pageY,
                            b = "zoom"
                    } else {
                        this.isSwitchable() && (b = "switch")
                    }
                    h = j[0]
                }
                b && (d.preventDefault(), this.action = b, this.startX = h.pageX || f && f.pageX, this.startY = h.pageY || f && f.pageY)
            }
        },
        mousemove: function(d) {
            var c, j = this.options,
                g = this.action,
                l = this.$image,
                k = d.originalEvent,
                b = k && k.touches,
                f = d;
            if (this.isViewed) {
                if (b) {
                    if (c = b.length, c > 1) {
                        if (!j.zoomable || 2 !== c) {
                            return
                        }
                        f = b[1],
                            this.endX2 = f.pageX,
                            this.endY2 = f.pageY
                    }
                    f = b[0]
                }
                g && (d.preventDefault(), "move" === g && j.transition && l.hasClass(ad) && l.removeClass(ad), this.endX = f.pageX || k && k.pageX, this.endY = f.pageY || k && k.pageY, this.change(d))
            }
        },
        mouseup: function(b) {
            var a = this.action;
            a && (b.preventDefault(), "move" === a && this.options.transition && this.$image.addClass(ad), this.action = !1)
        },
        show: function() {
            var a, b = this.options;
            b.inline || this.transitioning || (this.isBuilt || this.build(), $.isFunction(b.show) && this.$element.one(au, b.show), this.trigger(au).isDefaultPrevented() || (this.$body.removeClass(aP), a = this.$viewer.removeClass(aG), this.$element.one(ag, $.proxy(function() {
                    this.view(this.target ? this.$images.index(this.target) : this.index),
                        this.target = !1
                },
                this)), b.transition ? (this.transitioning = !0, a.addClass(ad), aX(a[0]), a.one(aj, $.proxy(this.shown, this)).addClass(aw)) : (a.addClass(aw), this.shown())))
        },
        hide: function() {
            var a = this.options,
                b = this.$viewer;
            a.inline || this.transitioning || !this.isShown || ($.isFunction(a.hide) && this.$element.one(an, a.hide), this.trigger(an).isDefaultPrevented() || (this.isViewed && a.transition ? (this.transitioning = !0, this.$image.one(aj, $.proxy(function() {
                    b.one(aj, $.proxy(this.hidden, this)).removeClass(aw)
                },
                this)), this.zoomTo(0, !1, !1, !0)) : (b.removeClass(aw), this.hidden())))
        },
        view: function(c) {
            var g, f, k, j, b, d = this.$title;
            c = Number(c) || 0,
            !this.isShown || this.isPlayed || 0 > c || c >= this.length || this.isViewed && c === this.index || this.trigger(ab).isDefaultPrevented() || (f = this.$items.eq(c), k = f.find(ax), j = k.data("originalUrl"), b = k.attr("alt"), this.$image = g = $('<img src="' + j + '" alt="' + b + '">'), this.isViewed && this.$items.eq(this.index).removeClass(aU), f.addClass(aU), this.isViewed = !1, this.index = c, this.image = null, this.$canvas.html(g.addClass(at)), this.renderList(), d.empty(), this.$element.one(aq, $.proxy(function() {
                    var h = this.image,
                        a = h.naturalWidth,
                        l = h.naturalHeight;
                    d.html(b + " (" + a + " &times; " + l + ")")
                },
                this)), g[0].complete ? this.load() : (g.one(ao, $.proxy(this.load, this)), this.timeout && clearTimeout(this.timeout), this.timeout = setTimeout($.proxy(function() {
                    g.removeClass(at),
                        this.timeout = !1
                },
                this), 1000)))
        },
        prev: function() {
            this.view(a0(this.index - 1, 0))
        },
        next: function() {
            this.view(aa(this.index + 1, this.length - 1))
        },
        move: function(b, a) {
            var c = this.image;
            this.moveTo(aM(b) ? b: c.left + aC(b), aM(a) ? a: c.top + aC(a))
        },
        moveTo: function(b, a) {
            var d = this.image,
                c = !1;
            aM(a) && (a = b),
                b = aC(b),
                a = aC(a),
            this.isViewed && !this.isPlayed && this.options.movable && (a1(b) && (d.left = b, c = !0), a1(a) && (d.top = a, c = !0), c && this.renderImage())
        },
        zoom: function(b, a, d) {
            var c = this.image;
            b = aC(b),
                b = 0 > b ? 1 / (1 - b) : 1 + b,
                this.zoomTo(c.width * b / c.naturalWidth, a, d)
        },
        zoomTo: function(p, C, D, e) {
            var d, z, q, b, k, y = this.options,
                B = 0.01,
                j = 100,
                A = this.image,
                x = A.width,
                w = A.height;
            p = a0(0, p),
            a1(p) && this.isViewed && !this.isPlayed && (e || y.zoomable) && (e || (B = a0(B, y.minZoomRatio), j = aa(j, y.maxZoomRatio), p = aa(a0(p, B), j)), p > 0.95 && 1.05 > p && (p = 1), z = A.naturalWidth * p, q = A.naturalHeight * p, D && (d = D.originalEvent) ? (b = this.$viewer.offset(), k = d.touches ? a2(d.touches) : {
                pageX: D.pageX || d.pageX || 0,
                pageY: D.pageY || d.pageY || 0
            },
                A.left -= (z - x) * ((k.pageX - b.left - A.left) / x), A.top -= (q - w) * ((k.pageY - b.top - A.top) / w)) : (A.left -= (z - x) / 2, A.top -= (q - w) / 2), A.width = z, A.height = q, A.ratio = p, this.renderImage(), C && this.tooltip())
        },
        rotate: function(a) {
            this.rotateTo((this.image.rotate || 0) + aC(a))
        },
        rotateTo: function(b) {
            var a = this.image;
            b = aC(b),
            a1(b) && this.isViewed && !this.isPlayed && this.options.rotatable && (a.rotate = b, this.renderImage())
        },
        scale: function(b, a) {
            var d = this.image,
                c = !1;
            aM(a) && (a = b),
                b = aC(b),
                a = aC(a),
            this.isViewed && !this.isPlayed && this.options.scalable && (a1(b) && (d.scaleX = b, c = !0), a1(a) && (d.scaleY = a, c = !0), c && this.renderImage())
        },
        scaleX: function(a) {
            this.scale(a, this.image.scaleY)
        },
        scaleY: function(a) {
            this.scale(this.image.scaleX, a)
        },
        play: function() {
            var c, e = this.options,
                j = this.$player,
                g = $.proxy(this.loadImage, this),
                b = [],
                d = 0,
                f = 0;
            this.isShown && !this.isPlayed && (e.fullscreen && this.requestFullscreen(), this.isPlayed = !0, j.addClass(a4), this.$items.each(function(h) {
                var k = $(this),
                    a = k.find(ax),
                    m = $('<img src="' + a.data("originalUrl") + '" alt="' + a.attr("alt") + '">');
                d++,
                    m.addClass(aF).toggleClass(ad, e.transition),
                k.hasClass(aU) && (m.addClass(aw), f = h),
                    b.push(m),
                    m.one(ao, {
                            filled: !1
                        },
                        g),
                    j.append(m)
            }), a1(e.interval) && e.interval > 0 && (c = $.proxy(function() {
                    this.playing = setTimeout(function() {
                            b[f].removeClass(aw),
                                f++,
                                f = d > f ? f: 0,
                                b[f].addClass(aw),
                                c()
                        },
                        e.interval)
                },
                this), d > 1 && c()))
        },
        stop: function() {
            this.isPlayed && (this.options.fullscreen && this.exitFullscreen(), this.isPlayed = !1, clearTimeout(this.playing), this.$player.removeClass(a4).empty())
        },
        full: function() {
            var a = this.options,
                c = this.$image,
                b = this.$list;
            this.isShown && !this.isPlayed && !this.isFulled && a.inline && (this.isFulled = !0, this.$body.removeClass(aP), this.$button.addClass(ah), a.transition && (c.removeClass(ad), b.removeClass(ad)), this.$viewer.addClass(aI).removeAttr("style").css("z-index", a.zIndex), this.initContainer(), this.viewer = $.extend({},
                this.container), this.renderList(), this.initImage($.proxy(function() {
                    this.renderImage(function() {
                        a.transition && setTimeout(function() {
                                c.addClass(ad),
                                    b.addClass(ad)
                            },
                            0)
                    })
                },
                this)))
        },
        exit: function() {
            var a = this.options,
                c = this.$image,
                b = this.$list;
            this.isFulled && (this.isFulled = !1, this.$body.removeClass(aP), this.$button.removeClass(ah), a.transition && (c.removeClass(ad), b.removeClass(ad)), this.$viewer.removeClass(aI).css("z-index", a.zIndexInline), this.viewer = $.extend({},
                this.parent), this.renderViewer(), this.renderList(), this.initImage($.proxy(function() {
                    this.renderImage(function() {
                        a.transition && setTimeout(function() {
                                c.addClass(ad),
                                    b.addClass(ad)
                            },
                            0)
                    })
                },
                this)))
        },
        tooltip: function() {
            var a = this.options,
                c = this.$tooltip,
                b = this.image,
                d = [a4, aF, ad].join(" ");
            this.isViewed && !this.isPlayed && a.tooltip && (c.text(av(100 * b.ratio) + "%"), this.tooltiping ? clearTimeout(this.tooltiping) : a.transition ? (this.fading && c.trigger(aj), c.addClass(d), aX(c[0]), c.addClass(aw)) : c.addClass(a4), this.tooltiping = setTimeout($.proxy(function() {
                    a.transition ? (c.one(aj, $.proxy(function() {
                            c.removeClass(d),
                                this.fading = !1
                        },
                        this)).removeClass(aw), this.fading = !0) : c.removeClass(a4),
                        this.tooltiping = !1
                },
                this), 1000))
        },
        toggle: function() {
            1 === this.image.ratio ? this.zoomTo(this.initialImage.ratio, !0) : this.zoomTo(1, !0)
        },
        reset: function() {
            this.isViewed && !this.isPlayed && (this.image = $.extend({},
                this.initialImage), this.renderImage())
        },
        update: function() {
            var a, c = this.$element,
                b = this.$images,
                d = [];
            if (this.isImg) {
                if (!c.parent().length) {
                    return this.destroy()
                }
            } else {
                this.$images = b = c.find(ax),
                    this.length = b.length
            }
            this.isBuilt && ($.each(this.$items,
                function(f) {
                    var g = $(this).find("img")[0],
                        h = b[f];
                    h ? h.src !== g.src && d.push(f) : d.push(f)
                }), this.$list.width("auto"), this.initList(), this.isShown && (this.length ? this.isViewed && (a = $.inArray(this.index, d), a >= 0 ? (this.isViewed = !1, this.view(a0(this.index - (a + 1), 0))) : this.$items.eq(this.index).addClass(aU)) : (this.$image = null, this.isViewed = !1, this.index = 0, this.image = null, this.$canvas.empty(), this.$title.empty())))
        },
        destroy: function() {
            var a = this.$element;
            this.options.inline ? this.unbind() : (this.isShown && this.unbind(), a.off(a6, this.start)),
                this.unbuild(),
                a.removeData(aZ)
        },
        trigger: function(a, c) {
            var b = $.Event(a, c);
            return this.$element.trigger(b),
                b
        },
        shown: function() {
            var a = this.options;
            this.transitioning = !1,
                this.isFulled = !0,
                this.isShown = !0,
                this.isVisible = !0,
                this.render(),
                this.bind(),
            $.isFunction(a.shown) && this.$element.one(ag, a.shown),
                this.trigger(ag)
        },
        hidden: function() {
            var a = this.options;
            this.transitioning = !1,
                this.isViewed = !1,
                this.isFulled = !1,
                this.isShown = !1,
                this.isVisible = !1,
                this.unbind(),
                this.$body.addClass(aP),
                this.$viewer.addClass(aG),
                this.resetList(),
                this.resetImage(),
            $.isFunction(a.hidden) && this.$element.one(am, a.hidden),
                this.trigger(am)
        },
        requestFullscreen: function() {
            var a = document.documentElement; ! this.isFulled || document.fullscreenElement || document.mozFullScreenElement || document.webkitFullscreenElement || document.msFullscreenElement || (a.requestFullscreen ? a.requestFullscreen() : a.msRequestFullscreen ? a.msRequestFullscreen() : a.mozRequestFullScreen ? a.mozRequestFullScreen() : a.webkitRequestFullscreen && a.webkitRequestFullscreen(Element.ALLOW_KEYBOARD_INPUT))
        },
        exitFullscreen: function() {
            this.isFulled && (document.exitFullscreen ? document.exitFullscreen() : document.msExitFullscreen ? document.msExitFullscreen() : document.mozCancelFullScreen ? document.mozCancelFullScreen() : document.webkitExitFullscreen && document.webkitExitFullscreen())
        },
        change: function(b) {
            var a = this.endX - this.startX,
                c = this.endY - this.startY;
            switch (this.action) {
                case "move":
                    this.move(a, c);
                    break;
                case "zoom":
                    this.zoom(function(f, d, h, g) {
                        var k = ar(f * f + d * d),
                            j = ar(h * h + g * g);
                        return (j - k) / k
                    } (aE(this.startX - this.startX2), aE(this.startY - this.startY2), aE(this.endX - this.endX2), aE(this.endY - this.endY2)), !1, b),
                        this.startX2 = this.endX2,
                        this.startY2 = this.endY2;
                    break;
                case "switch":
                    this.action = "switched",
                    aE(a) > aE(c) && (a > 1 ? this.prev() : -1 > a && this.next())
            }
            this.startX = this.endX,
                this.startY = this.endY
        },
        isSwitchable: function() {
            var b = this.image,
                a = this.viewer;
            return b.left >= 0 && b.top >= 0 && b.width <= a.width && b.height <= a.height
        }
    };
    aK.defaults = {
        inline: !1,
        button: !0,
        navbar: !0,
        title: !0,
        toolbar: !0,
        tooltip: !0,
        movable: !0,
        zoomable: !0,
        rotatable: !0,
        scalable: !0,
        transition: !0,
        fullscreen: !0,
        keyboard: !0,
        interval: 5000,
        minWidth: 200,
        minHeight: 100,
        zoomRatio: 0.1,
        minZoomRatio: 0.01,
        maxZoomRatio: 100,
        zIndex: 99,
        zIndexInline: 0,
        url: "src",
        build: null,
        built: null,
        show: null,
        shown: null,
        hide: null,
        hidden: null,
        view: null,
        viewed: null
    };
    aK.template = '<div class="ak-viewer-container">' + '<div class="ak-viewer-canvas"></div>' + '<div class="ak-viewer-footer animated slideInUp h_10em bg_black07">' + '<div class="ak-viewer-title"></div>' + '<ul class="ak-viewer-toolbar">' + '<li class="ak-viewer-one-to-one bg_black07" data-action="one-to-one"></li>' + '<li class="ak-viewer-zoom-in bg_black07" data-action="zoom-in"></li>' + '<li class="ak-viewer-zoom-out bg_black07" data-action="zoom-out"></li>' + '<li class="ak-viewer-prev bg_black07" data-action="prev"></li>' + '<li class="ak-viewer-next bg_black07" data-action="next"></li>' + '<li class="ak-viewer-rotate-left bg_black07" data-action="rotate-left"></li>' + '<li class="ak-viewer-rotate-right bg_black07" data-action="rotate-right"></li>' + '<li class="ak-viewer-flip-horizontal bg_black07" data-action="flip-horizontal"></li>' + '<li class="ak-viewer-flip-vertical bg_black07" data-action="flip-vertical"></li>' + '<li class="ak-viewer-reset bg_black07" data-action="reset"></li>' + "</ul>" + '<div class="ak-viewer-navbar bg_black04">' + '<ul class="ak-viewer-list"></ul>' + "</div>" + "</div>" + '<div class="ak-viewer-tooltip"></div>' + '<button type="button" class="ak-viewer-button bg_black07" data-action="mix"></button>' + '<div class="ak-mask"></div>' + "</div>";
    aK.other = $.fn.Andrew_Viewer;
    $.fn.Andrew_Viewer = function(c) {
        var d, b = aR(arguments, 1);
        return this.each(function() {
            var e, f = $(this),
                a = f.data(aZ);
            if (!a) {
                if (/destroy|hide|exit|stop|reset/.test(c)) {
                    return
                }
                f.data(aZ, a = new aK(this, c))
            }
            aL(c) && $.isFunction(e = a[c]) && (d = e.apply(a, b))
        }),
            aM(d) ? this: d
    };
    $.fn.Andrew_Viewer.Constructor = aK;
    $.fn.Andrew_Viewer.setDefaults = aK.setDefaults,
        $.fn.Andrew_Viewer.noConflict = function() {
            return $.fn.Andrew_Viewer = aK.other,
                this
        }
}(jQuery));

/*-----------------------------------------------Andrew_TouchSwipe-------------------------------------------*/
(function($){
    $.fn.Andrew_TouchSwipe = function(G) {
        var F = $(this),
            E = F.data(B);
        if (E && typeof G === "string") {
            if (E[G]) {
                return E[G].apply(this, Array.prototype.slice.call(arguments, 1))
            } else {
                $.error("Method " + G + " does not exist on jQuery.Andrew_TouchSwipe")
            }
        } else {
            if (!E && (typeof G === "object" || !G)) {
                return w.apply(this, arguments)
            }
        }
        return F
    };
    $.fn.Andrew_TouchSwipe.defaults = {
        fingers: 1,
        threshold: 75,
        cancelThreshold: null,
        pinchThreshold: 20,
        maxTimeThreshold: null,
        fingerReleaseThreshold: 250,
        longTapThreshold: 500,
        doubleTapThreshold: 200,
        swipe: null,
        swipeLeft: null,
        swipeRight: null,
        swipeUp: null,
        swipeDown: null,
        swipeStatus: null,
        pinchIn: null,
        pinchOut: null,
        pinchStatus: null,
        click: null,
        tap: null,
        doubleTap: null,
        longTap: null,
        hold: null,
        triggerOnTouchEnd: true,
        triggerOnTouchLeave: false,
        allowPageScroll: "auto",
        fallbackToMouseEvents: true,
        excludedElements: "label, button, input, select, textarea, a, .noSwipe"
    };
    var p = "left",
        o = "right",
        e = "up",
        x = "down",
        c = "in",
        z = "out",
        m = "none",
        s = "auto",
        l = "swipe",
        t = "pinch",
        A = "tap",
        j = "doubletap",
        b = "longtap",
        y = "hold",
        D = "horizontal",
        u = "vertical",
        i = "all",
        r = 10,
        g = "start",
        k = "move",
        h = "end",
        q = "cancel",
        a = "ontouchstart" in window,
        v = window.navigator.msPointerEnabled && !window.navigator.pointerEnabled,
        d = window.navigator.pointerEnabled || window.navigator.msPointerEnabled,
        B = "TouchSwipe";
    $.fn.Andrew_TouchSwipe.phases = {
        PHASE_START: g,
        PHASE_MOVE: k,
        PHASE_END: h,
        PHASE_CANCEL: q
    };
    $.fn.Andrew_TouchSwipe.directions = {
        LEFT: p,
        RIGHT: o,
        UP: e,
        DOWN: x,
        IN: c,
        OUT: z
    };
    $.fn.Andrew_TouchSwipe.pageScroll = {
        NONE: m,
        HORIZONTAL: D,
        VERTICAL: u,
        AUTO: s
    };
    $.fn.Andrew_TouchSwipe.fingers = {
        ONE: 1,
        TWO: 2,
        THREE: 3,
        ALL: i
    };
    function w(E) {
        if (E && (E.allowPageScroll === undefined && (E.swipe !== undefined || E.swipeStatus !== undefined))) {
            E.allowPageScroll = m
        }
        if (E.click !== undefined && E.tap === undefined) {
            E.tap = E.click
        }
        if (!E) {
            E = {}
        }
        E = $.extend({},
            $.fn.Andrew_TouchSwipe.defaults, E);
        return this.each(function() {
            var G = $(this);
            var F = G.data(B);
            if (!F) {
                F = new C(this, E);
                G.data(B, F)
            }
        })
    }
    function C(a4, av) {
        var az = (a || d || !av.fallbackToMouseEvents),
            J = az ? (d ? (v ? "MSPointerDown": "pointerdown") : "touchstart") : "mousedown",
            ay = az ? (d ? (v ? "MSPointerMove": "pointermove") : "touchmove") : "mousemove",
            U = az ? (d ? (v ? "MSPointerUp": "pointerup") : "touchend") : "mouseup",
            S = az ? null: "mouseleave",
            aD = (d ? (v ? "MSPointerCancel": "pointercancel") : "touchcancel");
        var ag = 0,
            aP = null,
            ab = 0,
            a1 = 0,
            aZ = 0,
            G = 1,
            aq = 0,
            aJ = 0,
            M = null;
        var aR = $(a4);
        var Z = "start";
        var W = 0;
        var aQ = null;
        var T = 0,
            a2 = 0,
            a5 = 0,
            ad = 0,
            N = 0;
        var aW = null,
            af = null;
        try {
            aR.bind(J, aN);
            aR.bind(aD, a9)
        } catch(ak) {
            $.error("events not supported " + J + "," + aD + " on jQuery.Andrew_TouchSwipe")
        }
        this.enable = function() {
            aR.bind(J, aN);
            aR.bind(aD, a9);
            return aR
        };
        this.disable = function() {
            aK();
            return aR
        };
        this.destroy = function() {
            aK();
            aR.data(B, null);
            return aR
        };
        this.option = function(bc, bb) {
            if (av[bc] !== undefined) {
                if (bb === undefined) {
                    return av[bc]
                } else {
                    av[bc] = bb
                }
            } else {
                $.error("Option " + bc + " does not exist on jQuery.Andrew_TouchSwipe.options")
            }
            return null
        };
        function aN(bd) {
            if (aB()) {
                return
            }
            if ($(bd.target).closest(av.excludedElements, aR).length > 0) {
                return
            }
            var be = bd.originalEvent ? bd.originalEvent: bd;
            var bc, bb = a ? be.touches[0] : be;
            Z = g;
            if (a) {
                W = be.touches.length
            } else {
                bd.preventDefault()
            }
            ag = 0;
            aP = null;
            aJ = null;
            ab = 0;
            a1 = 0;
            aZ = 0;
            G = 1;
            aq = 0;
            aQ = aj();
            M = aa();
            R();
            if (!a || (W === av.fingers || av.fingers === i) || aX()) {
                ai(0, bb);
                T = at();
                if (W == 2) {
                    ai(1, be.touches[1]);
                    a1 = aZ = au(aQ[0].start, aQ[1].start)
                }
                if (av.swipeStatus || av.pinchStatus) {
                    bc = O(be, Z)
                }
            } else {
                bc = false
            }
            if (bc === false) {
                Z = q;
                O(be, Z);
                return bc
            } else {
                if (av.hold) {
                    af = setTimeout($.proxy(function() {
                            aR.trigger("hold", [be.target]);
                            if (av.hold) {
                                bc = av.hold.call(aR, be, be.target)
                            }
                        },
                        this), av.longTapThreshold)
                }
                ao(true)
            }
            return null
        }
        function a3(be) {
            var bh = be.originalEvent ? be.originalEvent: be;
            if (Z === h || Z === q || am()) {
                return
            }
            var bd, bc = a ? bh.touches[0] : bh;
            var bf = aH(bc);
            a2 = at();
            if (a) {
                W = bh.touches.length
            }
            if (av.hold) {
                clearTimeout(af)
            }
            Z = k;
            if (W == 2) {
                if (a1 == 0) {
                    ai(1, bh.touches[1]);
                    a1 = aZ = au(aQ[0].start, aQ[1].start)
                } else {
                    aH(bh.touches[1]);
                    aZ = au(aQ[0].end, aQ[1].end);
                    aJ = ar(aQ[0].end, aQ[1].end)
                }
                G = a7(a1, aZ);
                aq = Math.abs(a1 - aZ)
            }
            if ((W === av.fingers || av.fingers === i) || !a || aX()) {
                aP = aL(bf.start, bf.end);
                al(be, aP);
                ag = aS(bf.start, bf.end);
                ab = aM();
                aI(aP, ag);
                if (av.swipeStatus || av.pinchStatus) {
                    bd = O(bh, Z)
                }
                if (!av.triggerOnTouchEnd || av.triggerOnTouchLeave) {
                    var bb = true;
                    if (av.triggerOnTouchLeave) {
                        var bg = aY(this);
                        bb = E(bf.end, bg)
                    }
                    if (!av.triggerOnTouchEnd && bb) {
                        Z = aC(k)
                    } else {
                        if (av.triggerOnTouchLeave && !bb) {
                            Z = aC(h)
                        }
                    }
                    if (Z == q || Z == h) {
                        O(bh, Z)
                    }
                }
            } else {
                Z = q;
                O(bh, Z)
            }
            if (bd === false) {
                Z = q;
                O(bh, Z)
            }
        }
        function L(bb) {
            var bc = bb.originalEvent;
            if (a) {
                if (bc.touches.length > 0) {
                    F();
                    return true
                }
            }
            if (am()) {
                W = ad
            }
            a2 = at();
            ab = aM();
            if (ba() || !an()) {
                Z = q;
                O(bc, Z)
            } else {
                if (av.triggerOnTouchEnd || (av.triggerOnTouchEnd == false && Z === k)) {
                    bb.preventDefault();
                    Z = h;
                    O(bc, Z)
                } else {
                    if (!av.triggerOnTouchEnd && a6()) {
                        Z = h;
                        aF(bc, Z, A)
                    } else {
                        if (Z === k) {
                            Z = q;
                            O(bc, Z)
                        }
                    }
                }
            }
            ao(false);
            return null
        }
        function a9() {
            W = 0;
            a2 = 0;
            T = 0;
            a1 = 0;
            aZ = 0;
            G = 1;
            R();
            ao(false)
        }
        function K(bb) {
            var bc = bb.originalEvent;
            if (av.triggerOnTouchLeave) {
                Z = aC(h);
                O(bc, Z)
            }
        }
        function aK() {
            aR.unbind(J, aN);
            aR.unbind(aD, a9);
            aR.unbind(ay, a3);
            aR.unbind(U, L);
            if (S) {
                aR.unbind(S, K)
            }
            ao(false)
        }
        function aC(bf) {
            var be = bf;
            var bd = aA();
            var bc = an();
            var bb = ba();
            if (!bd || bb) {
                be = q
            } else {
                if (bc && bf == k && (!av.triggerOnTouchEnd || av.triggerOnTouchLeave)) {
                    be = h
                } else {
                    if (!bc && bf == h && av.triggerOnTouchLeave) {
                        be = q
                    }
                }
            }
            return be
        }
        function O(bd, bb) {
            var bc = undefined;
            if (I() || V()) {
                bc = aF(bd, bb, l)
            } else {
                if ((P() || aX()) && bc !== false) {
                    bc = aF(bd, bb, t)
                }
            }
            if (aG() && bc !== false) {
                bc = aF(bd, bb, j)
            } else {
                if (ap() && bc !== false) {
                    bc = aF(bd, bb, b)
                } else {
                    if (ah() && bc !== false) {
                        bc = aF(bd, bb, A)
                    }
                }
            }
            if (bb === q) {
                a9(bd)
            }
            if (bb === h) {
                if (a) {
                    if (bd.touches.length == 0) {
                        a9(bd)
                    }
                } else {
                    a9(bd)
                }
            }
            return bc
        }
        function aF(be, bb, bd) {
            var bc = undefined;
            if (bd == l) {
                aR.trigger("swipeStatus", [bb, aP || null, ag || 0, ab || 0, W, aQ]);
                if (av.swipeStatus) {
                    bc = av.swipeStatus.call(aR, be, bb, aP || null, ag || 0, ab || 0, W, aQ);
                    if (bc === false) {
                        return false
                    }
                }
                if (bb == h && aV()) {
                    aR.trigger("swipe", [aP, ag, ab, W, aQ]);
                    if (av.swipe) {
                        bc = av.swipe.call(aR, be, aP, ag, ab, W, aQ);
                        if (bc === false) {
                            return false
                        }
                    }
                    switch (aP) {
                        case p:
                            aR.trigger("swipeLeft", [aP, ag, ab, W, aQ]);
                            if (av.swipeLeft) {
                                bc = av.swipeLeft.call(aR, be, aP, ag, ab, W, aQ)
                            }
                            break;
                        case o:
                            aR.trigger("swipeRight", [aP, ag, ab, W, aQ]);
                            if (av.swipeRight) {
                                bc = av.swipeRight.call(aR, be, aP, ag, ab, W, aQ)
                            }
                            break;
                        case e:
                            aR.trigger("swipeUp", [aP, ag, ab, W, aQ]);
                            if (av.swipeUp) {
                                bc = av.swipeUp.call(aR, be, aP, ag, ab, W, aQ)
                            }
                            break;
                        case x:
                            aR.trigger("swipeDown", [aP, ag, ab, W, aQ]);
                            if (av.swipeDown) {
                                bc = av.swipeDown.call(aR, be, aP, ag, ab, W, aQ)
                            }
                            break
                    }
                }
            }
            if (bd == t) {
                aR.trigger("pinchStatus", [bb, aJ || null, aq || 0, ab || 0, W, G, aQ]);
                if (av.pinchStatus) {
                    bc = av.pinchStatus.call(aR, be, bb, aJ || null, aq || 0, ab || 0, W, G, aQ);
                    if (bc === false) {
                        return false
                    }
                }
                if (bb == h && a8()) {
                    switch (aJ) {
                        case c:
                            aR.trigger("pinchIn", [aJ || null, aq || 0, ab || 0, W, G, aQ]);
                            if (av.pinchIn) {
                                bc = av.pinchIn.call(aR, be, aJ || null, aq || 0, ab || 0, W, G, aQ)
                            }
                            break;
                        case z:
                            aR.trigger("pinchOut", [aJ || null, aq || 0, ab || 0, W, G, aQ]);
                            if (av.pinchOut) {
                                bc = av.pinchOut.call(aR, be, aJ || null, aq || 0, ab || 0, W, G, aQ)
                            }
                            break
                    }
                }
            }
            if (bd == A) {
                if (bb === q || bb === h) {
                    clearTimeout(aW);
                    clearTimeout(af);
                    if (Y() && !H()) {
                        N = at();
                        aW = setTimeout($.proxy(function() {
                                N = null;
                                aR.trigger("tap", [be.target]);
                                if (av.tap) {
                                    bc = av.tap.call(aR, be, be.target)
                                }
                            },
                            this), av.doubleTapThreshold)
                    } else {
                        N = null;
                        aR.trigger("tap", [be.target]);
                        if (av.tap) {
                            bc = av.tap.call(aR, be, be.target)
                        }
                    }
                }
            } else {
                if (bd == j) {
                    if (bb === q || bb === h) {
                        clearTimeout(aW);
                        N = null;
                        aR.trigger("doubletap", [be.target]);
                        if (av.doubleTap) {
                            bc = av.doubleTap.call(aR, be, be.target)
                        }
                    }
                } else {
                    if (bd == b) {
                        if (bb === q || bb === h) {
                            clearTimeout(aW);
                            N = null;
                            aR.trigger("longtap", [be.target]);
                            if (av.longTap) {
                                bc = av.longTap.call(aR, be, be.target)
                            }
                        }
                    }
                }
            }
            return bc
        }
        function an() {
            var bb = true;
            if (av.threshold !== null) {
                bb = ag >= av.threshold
            }
            return bb
        }
        function ba() {
            var bb = false;
            if (av.cancelThreshold !== null && aP !== null) {
                bb = (aT(aP) - ag) >= av.cancelThreshold
            }
            return bb
        }
        function ae() {
            if (av.pinchThreshold !== null) {
                return aq >= av.pinchThreshold
            }
            return true
        }
        function aA() {
            var bb;
            if (av.maxTimeThreshold) {
                if (ab >= av.maxTimeThreshold) {
                    bb = false
                } else {
                    bb = true
                }
            } else {
                bb = true
            }
            return bb
        }
        function al(bb, bc) {
            if (av.allowPageScroll === m || aX()) {
                bb.preventDefault()
            } else {
                var bd = av.allowPageScroll === s;
                switch (bc) {
                    case p:
                        if ((av.swipeLeft && bd) || (!bd && av.allowPageScroll != D)) {
                            bb.preventDefault()
                        }
                        break;
                    case o:
                        if ((av.swipeRight && bd) || (!bd && av.allowPageScroll != D)) {
                            bb.preventDefault()
                        }
                        break;
                    case e:
                        if ((av.swipeUp && bd) || (!bd && av.allowPageScroll != u)) {
                            bb.preventDefault()
                        }
                        break;
                    case x:
                        if ((av.swipeDown && bd) || (!bd && av.allowPageScroll != u)) {
                            bb.preventDefault()
                        }
                        break
                }
            }
        }
        function a8() {
            var bc = aO();
            var bb = X();
            var bd = ae();
            return bc && bb && bd
        }
        function aX() {
            return !! (av.pinchStatus || av.pinchIn || av.pinchOut)
        }
        function P() {
            return !! (a8() && aX())
        }
        function aV() {
            var be = aA();
            var bg = an();
            var bd = aO();
            var bb = X();
            var bc = ba();
            var bf = !bc && bb && bd && bg && be;
            return bf
        }
        function V() {
            return !! (av.swipe || av.swipeStatus || av.swipeLeft || av.swipeRight || av.swipeUp || av.swipeDown)
        }
        function I() {
            return !! (aV() && V())
        }
        function aO() {
            return ((W === av.fingers || av.fingers === i) || !a)
        }
        function X() {
            return aQ[0].end.x !== 0
        }
        function a6() {
            return !! (av.tap)
        }
        function Y() {
            return !! (av.doubleTap)
        }
        function aU() {
            return !! (av.longTap)
        }
        function Q() {
            if (N == null) {
                return false
            }
            var bb = at();
            return (Y() && ((bb - N) <= av.doubleTapThreshold))
        }
        function H() {
            return Q()
        }
        function ax() {
            return ((W === 1 || !a) && (isNaN(ag) || ag < av.threshold))
        }
        function a0() {
            return ((ab > av.longTapThreshold) && (ag < r))
        }
        function ah() {
            return !! (ax() && a6())
        }
        function aG() {
            return !! (Q() && Y())
        }
        function ap() {
            return !! (a0() && aU())
        }
        function F() {
            a5 = at();
            ad = event.touches.length + 1
        }
        function R() {
            a5 = 0;
            ad = 0
        }
        function am() {
            var bb = false;
            if (a5) {
                var bc = at() - a5;
                if (bc <= av.fingerReleaseThreshold) {
                    bb = true
                }
            }
            return bb
        }
        function aB() {
            return !! (aR.data(B + "_intouch") === true)
        }
        function ao(bb) {
            if (bb === true) {
                aR.bind(ay, a3);
                aR.bind(U, L);
                if (S) {
                    aR.bind(S, K)
                }
            } else {
                aR.unbind(ay, a3, false);
                aR.unbind(U, L, false);
                if (S) {
                    aR.unbind(S, K, false)
                }
            }
            aR.data(B + "_intouch", bb === true)
        }
        function ai(bc, bb) {
            var bd = bb.identifier !== undefined ? bb.identifier: 0;
            aQ[bc].identifier = bd;
            aQ[bc].start.x = aQ[bc].end.x = bb.pageX || bb.clientX;
            aQ[bc].start.y = aQ[bc].end.y = bb.pageY || bb.clientY;
            return aQ[bc]
        }
        function aH(bb) {
            var bd = bb.identifier !== undefined ? bb.identifier: 0;
            var bc = ac(bd);
            bc.end.x = bb.pageX || bb.clientX;
            bc.end.y = bb.pageY || bb.clientY;
            return bc
        }
        function ac(bc) {
            for (var bb = 0; bb < aQ.length; bb++) {
                if (aQ[bb].identifier == bc) {
                    return aQ[bb]
                }
            }
        }
        function aj() {
            var bb = [];
            for (var bc = 0; bc <= 5; bc++) {
                bb.push({
                    start: {
                        x: 0,
                        y: 0
                    },
                    end: {
                        x: 0,
                        y: 0
                    },
                    identifier: 0
                })
            }
            return bb
        }
        function aI(bb, bc) {
            bc = Math.max(bc, aT(bb));
            M[bb].distance = bc
        }
        function aT(bb) {
            if (M[bb]) {
                return M[bb].distance
            }
            return undefined
        }
        function aa() {
            var bb = {};
            bb[p] = aw(p);
            bb[o] = aw(o);
            bb[e] = aw(e);
            bb[x] = aw(x);
            return bb
        }
        function aw(bb) {
            return {
                direction: bb,
                distance: 0
            }
        }
        function aM() {
            return a2 - T
        }
        function au(be, bd) {
            var bc = Math.abs(be.x - bd.x);
            var bb = Math.abs(be.y - bd.y);
            return Math.round(Math.sqrt(bc * bc + bb * bb))
        }
        function a7(bb, bc) {
            var bd = (bc / bb) * 1;
            return bd.toFixed(2)
        }
        function ar() {
            if (G < 1) {
                return z
            } else {
                return c
            }
        }
        function aS(bc, bb) {
            return Math.round(Math.sqrt(Math.pow(bb.x - bc.x, 2) + Math.pow(bb.y - bc.y, 2)))
        }
        function aE(be, bc) {
            var bb = be.x - bc.x;
            var bg = bc.y - be.y;
            var bd = Math.atan2(bg, bb);
            var bf = Math.round(bd * 180 / Math.PI);
            if (bf < 0) {
                bf = 360 - Math.abs(bf)
            }
            return bf
        }
        function aL(bc, bb) {
            var bd = aE(bc, bb);
            if ((bd <= 45) && (bd >= 0)) {
                return p
            } else {
                if ((bd <= 360) && (bd >= 315)) {
                    return p
                } else {
                    if ((bd >= 135) && (bd <= 225)) {
                        return o
                    } else {
                        if ((bd > 45) && (bd < 135)) {
                            return x
                        } else {
                            return e
                        }
                    }
                }
            }
        }
        function at() {
            var bb = new Date();
            return bb.getTime()
        }
        function aY(bb) {
            bb = $(bb);
            var bd = bb.offset();
            var bc = {
                left: bd.left,
                right: bd.left + bb.outerWidth(),
                top: bd.top,
                bottom: bd.top + bb.outerHeight()
            };
            return bc
        }
        function E(bb, bc) {
            return (bb.x > bc.left && bb.x < bc.right && bb.y > bc.top && bb.y < bc.bottom)
        }
    }
}(jQuery));

/*-----------------------------------------------Andrew_DropLoad-------------------------------------------*/
(function($){
    var _absMoveY = 0;
    var win = window;
    var doc = document;
    var $win = $(win);
    var $doc = $(doc);
    $.fn.Andrew_DropLoad = function(options){
        return new ak_DropLoad(this, options);
    };
    var ak_DropLoad = function(element, options){
        var me = this;
        me.$element = element;
        // 上方是否插入DOM
        me.upInsertDOM = false;
        // loading状态
        me.loading = false;
        // 是否锁定
        me.isLockUp = false;
        me.isLockDown = false;
        // 是否有数据
        me.isData = true;
        me._scrollTop = 0;
        me._threshold = 0;
        me.init(options);
    };

    // 初始化
    ak_DropLoad.prototype.init = function(options){

        var me = this;
        me.opts = $.extend(true, {}, {
            scrollArea : me.$element,// 滑动区域
            domUp : {// 上方DOM
                domClass   : 'ak-dropload-up',
                domRefresh : '↓ refresh',
                domUpdate  : '↑ update',
                domLoad    : 'loading...'
            },
            domDown : {// 下方DOM
                domClass   : 'ak-dropload-down',
                domRefresh : '↑ refresh',
                domLoad    : 'loading...',
                domNoData  : 'noData'
            },
            autoLoad : true,// 自动加载
            distance : 50,// 拉动距离
            threshold : '',// 提前加载距离
            loadUpFn : '',// 上方function
            loadDownFn : ''// 下方function
        }, options);

        // 如果加载下方，事先在下方插入DOM
        if(me.opts.loadDownFn != ''){
            $("."+ me.opts.domDown.domClass).remove();
            me.$element.append('<div class="'+me.opts.domDown.domClass+'"><div class="ak-dropload-refresh">'+me.opts.domDown.domRefresh+'</div></div>');
            me.$domDown = $('.'+me.opts.domDown.domClass);
        }

        // 计算提前加载距离
        if(!!me.$domDown && me.opts.threshold === ''){
            // 默认滑到加载区2/3处时加载
            me._threshold = Math.floor(me.$domDown.height()*1/3);
        }else{
            me._threshold = me.opts.threshold;
        }
		console.log("me.$domDown.height()*1/3-->"+me.$domDown.height()*1/3);
		console.log("me.opts.threshold-->"+me.opts.threshold);
        // 判断滚动区域
        if(me.opts.scrollArea == win){
            me.$scrollArea = $win;
            // 获取文档高度
           // me._scrollContentHeight = $doc.height();
			me._scrollContentHeight = me.$element[0].scrollHeight;
            // 获取win显示区高度  —— 这里有坑
            me._scrollWindowHeight = doc.documentElement.clientHeight;

        }else{
            me.$scrollArea = me.opts.scrollArea;
            me._scrollContentHeight = me.$element[0].scrollHeight;
            me._scrollWindowHeight = me.$element.height();

        }
		console.log("123212132121321me._scrollContentHeight--> "+me._scrollContentHeight);
		console.log("123212132121321me._scrollWindowHeight--> "+me._scrollWindowHeight);
        fnAutoLoad(me);

        // 窗口调整
        $win.on('resize',function(){
            if(me.opts.scrollArea == win){
                // 重新获取win显示区高度
                me._scrollWindowHeight = win.innerHeight;
            }else{
                me._scrollWindowHeight = me.$element.height();
            }
        });

        // 绑定触摸
        me.$element.on('touchstart',function(e){
            if(!me.loading){
                fnTouches(e);
                fnTouchstart(e, me);
            }
        });
        me.$element.on('touchmove',function(e){
            if(!me.loading){
                fnTouches(e, me);
                fnTouchmove(e, me);
            }
        });
        me.$element.on('touchend',function(){
            if(!me.loading){
                fnTouchend(me);
            }
        });

        // 加载下方
        me.$element.on('scroll',function(){
            me._scrollTop = me.$scrollArea.scrollTop();
			console.log("me.loading-->"+me.loading)
			console.log("me.isLockDown-->"+me.isLockDown)
			console.log((me._scrollContentHeight - me._threshold) <= (me._scrollWindowHeight + me._scrollTop))
            // 滚动页面触发加载数据
            if(me.opts.loadDownFn != '' && !me.loading && !me.isLockDown && (me._scrollContentHeight - me._threshold) <= (me._scrollWindowHeight + me._scrollTop)){
                loadDown(me);
            }
        });
    };

    // touches
    function fnTouches(e){
        if(!e.touches){
            e.touches = e.originalEvent.touches;
        }
    }

    // touchstart
    function fnTouchstart(e, me){
        me._startY = e.touches[0].pageY;
        // 记住触摸时的scrolltop值
        me.touchScrollTop = me.$scrollArea.scrollTop();
    }

    // touchmove
    function fnTouchmove(e, me){
        me._curY = e.touches[0].pageY;
        me._moveY = me._curY - me._startY;

        if(me._moveY > 0){
            me.direction = 'down';
        }else if(me._moveY < 0){
            me.direction = 'up';
        }

        _absMoveY =  Math.abs(me._moveY);
        if(me.$element.offset().top >=0){
        	 // 加载上方
            if(me.opts.loadUpFn != '' && me.touchScrollTop <= 0 && me.direction == 'down' && !me.isLockUp){
                e.preventDefault();

                me.$domUp = $('.'+me.opts.domUp.domClass);
                // 如果加载区没有DOM
                if(!me.upInsertDOM){
                    $("."+me.opts.domUp.domClass).remove();
                    me.$element.prepend('<div class="'+me.opts.domUp.domClass+'"></div>');
                    me.upInsertDOM = true;
                }

                fnTransition(me.$domUp,0);


                // 下拉
                if(_absMoveY <= me.opts.distance){
                    me._offsetY = _absMoveY;
                    //todo：move时会不断清空、增加dom，有可能影响性能，下同
                    me.$domUp.html('<div class="ak-dropload-refresh">'+me.opts.domUp.domRefresh+'</div>');
                    // 指定距离 < 下拉距离 < 指定距离*2
                }else if(_absMoveY > me.opts.distance && _absMoveY <= me.opts.distance*2){
                    me._offsetY = me.opts.distance+(_absMoveY-me.opts.distance)*0.5;
                    me.$domUp.html('<div class="ak-dropload-update">'+me.opts.domUp.domUpdate+'</div>');
                    // 下拉距离 > 指定距离*2
                }else{
                    me._offsetY = me.opts.distance+me.opts.distance*0.5+(_absMoveY-me.opts.distance*2)*0.2;
                }

                me.$domUp.css({'height': me._offsetY});
            }
        }
    }

    // touchend
    function fnTouchend(me){
        var _absMoveY = Math.abs(me._moveY);

        if(me.opts.loadUpFn != '' && me.touchScrollTop <= 0 && me.direction == 'down' && !me.isLockUp){
            if(me.$element.offset().top >=0){
                fnTransition(me.$domUp,300);
                if(_absMoveY > me.opts.distance){
                    me.$domUp.css({'height':me.$domUp.children().height()});
                    me.$domUp.html('<div class="ak-dropload-load"><span class="loading"></span>'+me.opts.domUp.domLoad+'</div>');
                    me.loading = true;
                    me.opts.loadUpFn(me);
                }else{
                    me.$domUp.css({'height':'0'}).on('webkitTransitionEnd mozTransitionEnd transitionend',function(){
                        me.upInsertDOM = false;
                        $(this).remove();
                    });

                }
                me._moveY = 0;
            }

        }else{
			//me.opts.loadDownFn(me);
            me._scrollTop = me.$scrollArea.scrollTop();
			console.log("me.loading-->"+me.loading)
			console.log("me.isLockDown-->"+me.isLockDown)
			console.log("me.$element.offset().top-->"+me.$element.offset().top)
			console.log("me._scrollContentHeight---->>>++++"+me._scrollContentHeight);
			console.log("me._threshold---->>>****"+(me._threshold));
			console.log("---->>>++++"+(me._scrollContentHeight + me.$element.offset().top - me._threshold));
			console.log("---->>>****"+(me._scrollWindowHeight + me._scrollTop));

			//当窗口高度大于（滚动区域减去窗口上部）的区域时，加载新一页数据
			 if(me.opts.loadDownFn != '' && !me.loading && !me.isLockDown && (me._scrollWindowHeight + me._scrollTop) >= (me._scrollContentHeight + me.$element.offset().top - me._threshold)){
	                loadDown(me);
	            }
            // 滚动页面触发加载数据
//            if(me.opts.loadDownFn != '' && !me.loading && !me.isLockDown && (me._scrollContentHeight - me._threshold) <= (me._scrollWindowHeight + me._scrollTop)){
//                loadDown(me);
//            }
		}
    }

    // 如果文档高度不大于窗口高度，数据较少，自动加载下方数据
    function fnAutoLoad(me){
		console.log("me.opts.autoLoad:"+me.opts.autoLoad)
		console.log("me._scrollWindowHeight:"+me._scrollWindowHeight)
		console.log("me._scrollContentHeight - me._threshold"+(me._scrollContentHeight - me._threshold))
        if(me.opts.autoLoad){
            if((me._scrollContentHeight - me._threshold) <= me._scrollWindowHeight){

                loadDown(me);
            }
        }
    }

    // 重新获取文档高度
    function fnRecoverContentHeight(me){
        me._scrollContentHeight = me.$element[0].scrollHeight - _absMoveY;
		console.log("-----end me.$element.offset().top:"+me.$element.offset().top);
		console.log("end:me._scrollContentHeight:---->>>>"+me._scrollContentHeight);
    }

    // 加载下方
    function loadDown(me){
        me.direction = 'up';
        me.$domDown.html('<div class="ak-dropload-load"><span class="loading"></span>'+me.opts.domDown.domLoad+'</div>');
        me.loading = true;
        me.opts.loadDownFn(me);
    }

    // 锁定
    ak_DropLoad.prototype.lock = function(direction){
        var me = this;
        // 如果不指定方向
        if(direction === undefined){
            // 如果操作方向向上
            if(me.direction == 'up'){
                me.isLockDown = true;
                // 如果操作方向向下
            }else if(me.direction == 'down'){
                me.isLockUp = true;
            }else{
                me.isLockUp = true;
                me.isLockDown = true;
            }
            // 如果指定锁上方
        }else if(direction == 'up'){
            me.isLockUp = true;
            // 如果指定锁下方
        }else if(direction == 'down'){
            me.isLockDown = true;
            // 为了解决DEMO5中tab效果bug，因为滑动到下面，再滑上去点tab，direction=down，所以有bug
            me.direction = 'up';
        }
    };

    // 解锁
    ak_DropLoad.prototype.unlock = function(){
        var me = this;
        // 简单粗暴解锁
        me.isLockUp = false;
        me.isLockDown = false;
        // 为了解决DEMO5中tab效果bug，因为滑动到下面，再滑上去点tab，direction=down，所以有bug
        me.direction = 'up';
    };

    // 无数据
    ak_DropLoad.prototype.noData = function(flag){
        var me = this;
        if(flag === undefined || flag == true){
            me.isData = false;
        }else if(flag == false){
            me.isData = true;
        }
    };

    // 重置
    ak_DropLoad.prototype.resetload = function(){
        var me = this;
        if(me.direction == 'down' && me.upInsertDOM){
            me.$domUp.css({'height':'0'}).on('webkitTransitionEnd mozTransitionEnd transitionend',function(){
                me.loading = false;
                me.upInsertDOM = false;
                $(this).remove();
            });
            fnRecoverContentHeight(me);

            fnAutoLoad(me);
        }else if(me.direction == 'up'){
            me.loading = false;
            // 如果有数据
            if(me.isData){
                // 加载区修改样式
                me.$domDown.html('<div class="ak-dropload-refresh">'+me.opts.domDown.domRefresh+'</div>');
                fnRecoverContentHeight(me);
                fnAutoLoad(me);
            }else{
                // 如果没数据
                me.$domDown.html('<div class="ak-dropload-noData">'+me.opts.domDown.domNoData+'</div>');
            }
        }
    };

    // css过渡
    function fnTransition(dom,num){
        dom.css({
            '-webkit-transition':'all '+num+'ms',
            'transition':'all '+num+'ms'
        });
    }
}(jQuery));

/*-----------------------------------------------Andrew_Select-------------------------------------------*/
(function($){
    window.Andrew_Select = (function() {
        function getClass(dom, string) {
            return dom.getElementsByClassName(string);
        }
        //构造器
        function Andrew_Select(config) {
            this.Andrew_Select;
            this.wheelsData = config.wheels;
            this.jsonType = false;
            this.jsonData = [];
            this.checkDataType();
            this.renderWheels(this.wheelsData);
            this.displayJson = [];
            this.cascade = false;
            this.startY;
            this.moveEndY;
            this.moveY;
            this.oldMoveY;
            this.offset = 0;
            this.offsetSum = 0;
            this.oversizeBorder;
            this.curDistance = [];
            this.clickStatus = false;
            this.init(config);
        }
        Andrew_Select.prototype = {
            constructor: Andrew_Select,
            init: function (config) {
                var _this = this;
                _this.trigger = document.querySelector(config.trigger);
                if(_this.trigger==undefined || _this.trigger==null || _this.trigger==""){
                    return;
                }
                $("body").append(_this.Andrew_Select);
                document.activeElement.blur();//隐藏键盘
                _this.wheel = getClass(_this.Andrew_Select, 'wheel'); //wheel 数组
                _this.slider = getClass(_this.Andrew_Select, 'selectContainer'); // slider 数组
                _this.wheels = _this.Andrew_Select.querySelector('.wheels'); //wheels
                _this.liHeight = _this.Andrew_Select.querySelector('li').offsetHeight;
                _this.ensureBtn = _this.Andrew_Select.querySelector('.ensure');
                _this.closeBtn = _this.Andrew_Select.querySelector('.cancel');
                _this.grayLayer = _this.Andrew_Select.querySelector('.ak-mask');
                _this.popUp = _this.Andrew_Select.querySelector('.content');
                _this.callback = config.callback ? config.callback : function () {
                };
                _this.transitionEnd = config.transitionEnd ? config.transitionEnd : function () {
                };
                _this.initPosition = config.position ? config.position : [];
                $(window).resize(function(){
                    _this.liHeight = _this.Andrew_Select.querySelector('li').offsetHeight;
                    _this.setCurDistance(_this.initPosition);
                });
                _this.titleText = config.title ? config.title : '';
                _this.button_ensure = config.ensure ? config.ensure : '';
                _this.button_cancel = config.cancel ? config.cancel : '';
                _this.setTitle(_this.titleText);
                _this.setEnsure(_this.button_ensure);
                _this.setCancel(_this.button_cancel);
                _this.checkCascade();
                if (_this.cascade) {
                    _this.initCascade();
                }
                //定位 初始位置
                if (_this.initPosition.length == 0) {
                    for (var i = 0; i < _this.slider.length; i++) {
                        _this.initPosition.push(0);
                    }
                }
                _this.setCurDistance(_this.initPosition);
                _this.addListenerAll();
                //按钮监听
                //$(_this.closeBtn).unbind("click");
                _this.closeBtn.addEventListener('click',function () {
                    $(_this.Andrew_Select).removeClass('ak-Select-show');
                    setTimeout(function(){
                            $(_this.grayLayer).addClass('dis_none_im');
                            $(_this.popUp).children().addClass('dis_opa_0');
                        },
                        500);
                    $("main").addClass("scrolling");
                });
                //$(_this.ensureBtn).unbind("click");
                _this.ensureBtn.addEventListener('click',function () {
                    $(_this.Andrew_Select).removeClass('ak-Select-show');
                    setTimeout(function(){
                            $(_this.grayLayer).addClass('dis_none_im');
                            $(_this.popUp).children().addClass('dis_opa_0');
                        },
                        500);
                    $("main").addClass("scrolling");
                    var tempValue = '';
                    for (var i = 0; i < _this.wheel.length; i++) {
                        i == _this.wheel.length - 1 ? tempValue += _this.getValue(i) : tempValue += _this.getValue(i) + ' ';
                    }
                    $(_this.trigger).next("label").hide();
                    _this.trigger.value = tempValue;
                    _this.callback(_this.getJson(), _this.getIndexArr());
                });
                $(_this.trigger).unbind("click");
                _this.trigger.addEventListener('click',function () {
                    $(_this.grayLayer).removeClass('dis_none_im');
                    $(_this.Andrew_Select).addClass('ak-Select-show');
                    $("main").removeClass("scrolling");
                    if ($(_this.Andrew_Select).hasClass('ak-Select-show')) {
                        $(_this.popUp).children().removeClass('dis_opa_0');
                    }
                });
                //$(_this.grayLayer).unbind("click");
                _this.grayLayer.addEventListener('click',function () {
                    $(_this.Andrew_Select).removeClass('ak-Select-show');
                    setTimeout(function(){
                            $(_this.grayLayer).addClass('dis_none_im');
                            $(_this.popUp).children().addClass('dis_opa_0');
                        },
                        500);
                    $("main").addClass("scrolling");
                });
                //$(_this.popUp).unbind("click");
                _this.popUp.addEventListener('click',function (event) {
                    event.stopPropagation();
                    $("main").addClass("scrolling");
                });
                _this.fixRowStyle(); //修正列数
            },
            setTitle: function (string) {
                var _this = this;
                _this.titleText = string;
                $(_this.Andrew_Select).find('.title').html(_this.titleText);
            },
            setEnsure: function (string) {
                var _this = this;
                _this.button_ensure = string;
                $(_this.Andrew_Select).find('.ensure').html(_this.button_ensure);
            },
            setCancel: function (string) {
                var _this = this;
                _this.button_cancel = string;
                $(_this.Andrew_Select).find('.cancel').html(_this.button_cancel);
            },
            renderWheels: function (wheelsData) {
                var _this = this;
                _this.Andrew_Select = document.createElement("div");
                $(_this.Andrew_Select).addClass("ak-Select");
                $(_this.Andrew_Select).html('<div id="select_mask" class="ak-mask dis_none_im"></div>' + '<div class="content">' + '<div class="panel dis_opa_0">' + '<div class="title c_title"></div>' + '<div class="fixWidth">' + '<div class="wheels">' + '</div>' + '<div class="selectLine"></div>' + '<div class="shadowMask"></div>' + '</div>' + '</div>' + '<div class="btnBar dis_opa_0">' + '<div class="fixWidth">' + '<button type="button" class="cancel bg_white c_gray_777"></button>' + '<button type="button" class="ensure bg_white c_title"></button>' + '</div>' + '</div>' + '</div>');
                //根据数据长度来渲染
                var tempHTML = '';

                for (var i = 0; i < wheelsData.length; i++) { //列
                    tempHTML += '<div class="wheel"><ul class="selectContainer">';
                    //console.log(wheelsData[i]);
                    if (_this.jsonType) {
                        for (var j = 0; j < wheelsData[i].data.length; j++) { //行
                            tempHTML += '<li data-id="' + wheelsData[i].data[j].id + '">' + wheelsData[i].data[j].value + '</li>';
                        }
                    } else {
                        for (var j = 0; j < wheelsData[i].data.length; j++) { //行
                            tempHTML += '<li>' + wheelsData[i].data[j] + '</li>';
                        }
                    }
                    tempHTML += '</ul></div>';
                }
                $(_this.Andrew_Select).find('.wheels').html(tempHTML);
            },
            addListenerAll: function () {
                var _this = this;
                for (var i = 0; i < _this.slider.length; i++) {
                    //手势监听
                    (function (i) {
                        _this.addListenerWheel(_this.wheel[i], i);
                        _this.addListenerLi(i);
                    })(i);
                }
            },
            addListenerWheel: function (theWheel, index, event) {
                var _this = this;
                theWheel.addEventListener('touchstart',
                    function () {
                        _this.touch(event, this.firstChild, index);
                    },
                    false);
                theWheel.addEventListener('touchend',
                    function () {
                        _this.touch(event, this.firstChild, index);
                    },
                    false);
                theWheel.addEventListener('touchmove',
                    function () {
                        _this.touch(event, this.firstChild, index);
                    },
                    false);

                //PC拖拽监听
                theWheel.addEventListener('mousedown',
                    function () {
                        _this.dragClick(event, this.firstChild, index);
                    },
                    false);
                theWheel.addEventListener('mousemove',
                    function () {
                        _this.dragClick(event, this.firstChild, index);
                    },
                    false);
                theWheel.addEventListener('mouseup',
                    function () {
                        _this.dragClick(event, this.firstChild, index);
                    },
                    true);
            },
            addListenerLi: function (sliderIndex) {
                var _this = this;

                var curWheelLi = _this.slider[sliderIndex].getElementsByTagName('li');
                for (var j = 0; j < curWheelLi.length; j++) {
                    (function (j) {
                        curWheelLi[j].addEventListener('click',
                            function () {
                                _this.singleClick(this, j, sliderIndex);
                            },
                            false);
                    })(j);
                }
            },
            checkDataType: function () {
                var _this = this;
                if (typeof(_this.wheelsData[0].data[0]) == 'object') {
                    _this.jsonType = true;
                    _this.jsonData = _this.wheelsData[0].data;
                }
            },
            checkCascade: function () {
                var _this = this;
                if (_this.jsonType) {
                    var node = _this.wheelsData[0].data;
                    for (var i = 0; i < node.length; i++) {
                        if ('childs' in node[i] && node[i].childs.length > 0) {
                            _this.cascade = true;
                            break;
                        }
                    }
                } else {
                    _this.cascade = false;
                }
            },
            initCascade: function () {
                var _this = this;
                _this.displayJson.push(_this.generateArrData(_this.jsonData));
                _this.checkArrDeep(_this.jsonData[0]);
                _this.updateWheels();
            },
            generateArrData: function (targetArr) {
                var tempArr = [];
                for (var i = 0; i < targetArr.length; i++) {
                    tempArr.push({
                        "id": targetArr[i].id,
                        "value": targetArr[i].value
                    });
                }
                return tempArr;
            },
            checkArrDeep: function (parent) { //检测子节点深度  修改 displayJson
                var _this = this;
                if ('childs' in parent && parent.childs.length > 0) {
                    _this.displayJson.push(_this.generateArrData(parent.childs)); //生成子节点数组
                    _this.checkArrDeep(parent.childs[0]); //检测下一个子节点
                }
            },
            checkRange: function (index, posIndexArr) {
                var _this = this;
                var deleteNum = _this.displayJson.length - 1 - index;
                for (var i = 0; i < deleteNum; i++) {
                    _this.displayJson.pop(); //修改 displayJson
                }
                var resultNode;
                for (var i = 0; i <= index; i++) {
                    if (i == 0) resultNode = _this.jsonData[posIndexArr[0]];
                    else {
                        resultNode = resultNode.childs[posIndexArr[i]];
                    }
                }
                _this.checkArrDeep(resultNode);
                //console.log(_this.displayJson);
                _this.updateWheels();
                _this.fixRowStyle();
                _this.setCurDistance(_this.resetPostion(index, posIndexArr));
            },
            resetPostion: function (index, posIndexArr) {
                var _this = this;
                var tempPosArr = posIndexArr;
                var tempCount;
                if (_this.slider.length > posIndexArr.length) {
                    tempCount = _this.slider.length - posIndexArr.length;
                    for (var i = 0; i < tempCount; i++) {
                        tempPosArr.push(0);
                    }
                } else if (_this.slider.length < posIndexArr.length) {
                    tempCount = posIndexArr.length - _this.slider.length;
                    for (var i = 0; i < tempCount; i++) {
                        tempPosArr.pop();
                    }
                }
                for (var i = index + 1; i < tempPosArr.length; i++) {
                    tempPosArr[i] = 0;
                }
                return tempPosArr;
            },
            updateWheels: function () {
                var _this = this;
                //删除多余的wheel
                if (_this.wheel.length > _this.displayJson.length) {
                    var count = _this.wheel.length - _this.displayJson.length;
                    for (var i = 0; i < count; i++) {
                        _this.wheels.removeChild(_this.wheel[_this.wheel.length - 1]);
                    }
                }

                for (var i = 0; i < _this.displayJson.length; i++) { //列
                    (function (i) {
                        var tempHTML = '';
                        if (_this.wheel[i]) {
                            //console.log('插入Li');
                            for (var j = 0; j < _this.displayJson[i].length; j++) { //行
                                tempHTML += '<li data-id="' + _this.displayJson[i][j].id + '">' + _this.displayJson[i][j].value + '</li>';
                            }
                            _this.slider[i].innerHTML = tempHTML;

                        } else {
                            var tempWheel = document.createElement("div");
                            $(tempWheel).addClass("wheel");
                            tempHTML = '<ul class="selectContainer">';
                            for (var j = 0; j < _this.displayJson[i].length; j++) { //行
                                tempHTML += '<li data-id="' + _this.displayJson[i][j].id + '">' + _this.displayJson[i][j].value + '</li>';
                            }
                            tempHTML += '</ul>';
                            $(tempWheel).html(tempHTML);

                            _this.addListenerWheel(tempWheel, i);
                            _this.wheels.appendChild(tempWheel);
                        }
                        _this.addListenerLi(i);
                    })(i);
                }
            },
            updateWheel: function (sliderIndex, data) {
                var _this = this;
                var tempHTML = '';
                for (var j = 0; j < data.length; j++) {
                    tempHTML += '<li>' + data[j] + '</li>'
                }
                _this.slider[sliderIndex].innerHTML = tempHTML;
                _this.addListenerLi(sliderIndex);
            },
            fixRowStyle: function () {
                var _this = this;
                var width = (100 / _this.wheel.length).toFixed(2);
                for (var i = 0; i < _this.wheel.length; i++) {
                    _this.wheel[i].style.width = width + '%';
                }
            },
            getIndex: function (distance) {
                return Math.round((2 * this.liHeight - distance) / this.liHeight);
            },
            getIndexArr: function () {
                var _this = this;
                var temp = [];
                for (var i = 0; i < _this.curDistance.length; i++) {
                    temp.push(_this.getIndex(_this.curDistance[i]));
                }
                return temp;
            },
            getJson: function () {
                var _this = this;
                var temp = [];
                var positionArr = _this.getIndexArr();
                if (_this.cascade) {
                    for (var i = 0; i < _this.wheel.length; i++) {
                        temp.push(_this.displayJson[i][positionArr[i]]);
                    }
                } else if (_this.jsonType) {
                    for (var i = 0; i < _this.curDistance.length; i++) {
                        temp.push(_this.wheelsData[i].data[_this.getIndex(_this.curDistance[i])]);
                    }
                } else {
                    for (var i = 0; i < _this.curDistance.length; i++) {
                        temp.push(_this.getValue(i));
                    }
                }
                return temp;
            },
            calcDistance: function (index) {
                return 2 * this.liHeight - index * this.liHeight;
            },
            setCurDistance: function (indexArr) {
                var _this = this;
                var temp = [];
                for (var i = 0; i < _this.slider.length; i++) {
                    temp.push(_this.calcDistance(indexArr[i]));
                    _this.movePosition(_this.slider[i], temp[i]);
                }
                _this.curDistance = temp;
            },
            fixPosition: function (distance) {
                return -(this.getIndex(distance) - 2) * this.liHeight;
            },
            movePosition: function (theSlider, distance) {
                theSlider.style.webkitTransform = 'translate3d(0,' + distance + 'px, 0)';
                theSlider.style.transform = 'translate3d(0,' + distance + 'px, 0)';
            },
            locatePostion: function (index, posIndex) {
                this.curDistance[index] = this.calcDistance(posIndex);
                this.movePosition(this.slider[index], this.curDistance[index]);
            },
            updateCurDistance: function (theSlider, index) {
                this.curDistance[index] = parseInt(theSlider.style.transform.split(',')[1]);
            },
            getDistance: function (theSlider) {
                return parseInt(theSlider.style.transform.split(',')[1]);
            },
            getValue: function (sliderIndex) {
                var _this = this;
                var index = _this.getIndex(_this.curDistance[sliderIndex]);
                return _this.slider[sliderIndex].getElementsByTagName('li')[index].innerHTML;
            },
            touch: function (event, theSlider, index) {
                var _this = this;
                event = event || window.event;
                switch (event.type) {
                    case "touchstart":
                        _this.startY = event.touches[0].clientY;
                        _this.oldMoveY = _this.startY;
                        break;

                    case "touchend":

                        _this.moveEndY = event.changedTouches[0].clientY;
                        _this.offsetSum = _this.moveEndY - _this.startY;

                        //修正位置
                        _this.updateCurDistance(theSlider, index);
                        _this.curDistance[index] = _this.fixPosition(_this.curDistance[index]);
                        _this.movePosition(theSlider, _this.curDistance[index]);
                        _this.oversizeBorder = -(theSlider.getElementsByTagName('li').length - 3) * _this.liHeight;

                        //反弹
                        if (_this.curDistance[index] + _this.offsetSum > 2 * _this.liHeight) {
                            _this.curDistance[index] = 2 * _this.liHeight;
                            setTimeout(function () {
                                    _this.movePosition(theSlider, _this.curDistance[index]);
                                },
                                100);

                        } else if (_this.curDistance[index] + _this.offsetSum < _this.oversizeBorder) {
                            _this.curDistance[index] = _this.oversizeBorder;
                            setTimeout(function () {
                                    _this.movePosition(theSlider, _this.curDistance[index]);
                                },
                                100);
                        }

                        _this.transitionEnd(_this.getIndexArr(), _this.getJson());

                        if (_this.cascade) {
                            var tempPosArr = _this.getIndexArr();
                            tempPosArr[index] = _this.getIndex(_this.curDistance[index]);
                            _this.checkRange(index, tempPosArr);
                        }

                        break;

                    case "touchmove":
                        event.preventDefault();
                        _this.moveY = event.touches[0].clientY;
                        _this.offset = _this.moveY - _this.oldMoveY;

                        _this.updateCurDistance(theSlider, index);
                        _this.curDistance[index] = _this.curDistance[index] + _this.offset;
                        _this.movePosition(theSlider, _this.curDistance[index]);
                        _this.oldMoveY = _this.moveY;
                        break;
                }
            },
            dragClick: function (event, theSlider, index) {
                var _this = this;
                event = event || window.event;
                if (typeof event !== 'undefined') {
                    switch (event.type) {
                        case "mousedown":
                            _this.startY = event.clientY;
                            _this.oldMoveY = _this.startY;
                            _this.clickStatus = true;
                            break;

                        case "mouseup":

                            _this.moveEndY = event.clientY;
                            _this.offsetSum = _this.moveEndY - _this.startY;

                            //修正位置
                            _this.updateCurDistance(theSlider, index);
                            _this.curDistance[index] = _this.fixPosition(_this.curDistance[index]);
                            _this.movePosition(theSlider, _this.curDistance[index]);
                            _this.oversizeBorder = -(theSlider.getElementsByTagName('li').length - 3) * _this.liHeight;
                            //反弹
                            if (_this.curDistance[index] + _this.offsetSum > 2 * _this.liHeight) {
                                _this.curDistance[index] = 2 * _this.liHeight;
                                setTimeout(function () {
                                        _this.movePosition(theSlider, _this.curDistance[index]);
                                    },
                                    100);

                            } else if (_this.curDistance[index] + _this.offsetSum < _this.oversizeBorder) {
                                _this.curDistance[index] = _this.oversizeBorder;
                                setTimeout(function () {
                                        _this.movePosition(theSlider, _this.curDistance[index]);
                                    },
                                    100);
                            }

                            _this.clickStatus = false;
                            _this.transitionEnd(_this.getIndexArr(), _this.getJson());
                            if (_this.cascade) {
                                var tempPosArr = _this.getIndexArr();
                                tempPosArr[index] = _this.getIndex(_this.curDistance[index]);
                                _this.checkRange(index, tempPosArr);
                            }
                            break;

                        case "mousemove":
                            event.preventDefault();
                            if (_this.clickStatus) {
                                _this.moveY = event.clientY;
                                _this.offset = _this.moveY - _this.oldMoveY;

                                _this.updateCurDistance(theSlider, index);
                                _this.curDistance[index] = _this.curDistance[index] + _this.offset;
                                _this.movePosition(theSlider, _this.curDistance[index]);
                                _this.oldMoveY = _this.moveY;
                            }
                            break;
                    }
                }
            },
            singleClick: function (theLi, index, sliderIndex) {
                var _this = this;
                if (_this.cascade) {
                    var tempPosArr = _this.getIndexArr();
                    tempPosArr[sliderIndex] = index;
                    _this.checkRange(sliderIndex, tempPosArr);

                } else {
                    _this.curDistance[sliderIndex] = (2 - index) * _this.liHeight;
                    _this.movePosition(theLi.parentNode, _this.curDistance[sliderIndex]);
                }
            }
        };
        return Andrew_Select;
    })();
}(jQuery));
